-- MySQL dump 10.13  Distrib 5.5.49, for Linux (x86_64)
--
-- Host: localhost    Database: project_j30_meet_gavern
-- ------------------------------------------------------
-- Server version	5.5.49-cll












--
-- Table structure for table `#__assets`
--



CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=87 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__assets`
--


INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES (1,0,1,149,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(2,1,1,2,1,'com_admin','com_admin','{}'),(3,1,3,6,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(4,1,7,8,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(5,1,9,10,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(6,1,11,12,1,'com_config','com_config','{}'),(7,1,13,18,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(8,1,19,64,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(9,1,65,66,1,'com_cpanel','com_cpanel','{}'),(10,1,67,68,1,'com_installer','com_installer','{\"core.admin\":[],\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),(11,1,69,70,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(12,1,71,72,1,'com_login','com_login','{}'),(13,1,73,74,1,'com_mailto','com_mailto','{}'),(14,1,75,76,1,'com_massmail','com_massmail','{}'),(15,1,77,78,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),(16,1,79,80,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(17,1,81,82,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(18,1,83,102,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(19,1,103,108,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(20,1,109,110,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(21,1,111,112,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),(22,1,113,114,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(23,1,115,116,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(24,1,117,120,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(26,1,121,122,1,'com_wrapper','com_wrapper','{}'),(27,8,20,21,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(29,7,14,15,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(30,19,104,105,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(32,24,118,119,1,'com_users.category.7','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(33,1,123,124,1,'com_finder','com_finder','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(35,8,22,23,2,'com_content.category.9','Blog','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(41,1,125,126,1,'com_users.category.10','Uncategorised',''),(42,1,127,128,1,'com_joomlaupdate','com_joomlaupdate','{\"core.admin\":[],\"core.manage\":[],\"core.delete\":[],\"core.edit.state\":[]}'),(44,7,16,17,2,'com_contact.category.10','GavickPro','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(45,19,106,107,2,'com_newsfeeds.category.11','Joomla! Feeds','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(46,8,24,41,2,'com_content.category.12','Meet Gavern','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(47,46,25,26,3,'com_content.article.7','Typography','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(48,46,27,28,3,'com_content.article.8','Module positions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(49,46,29,30,3,'com_content.article.9','Page breaks plugin','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(50,46,31,32,3,'com_content.article.10','Module variations','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(51,46,33,34,3,'com_content.article.11','About Meet Gavern','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(52,8,42,63,2,'com_content.category.13','GavickPro Premium Templates','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(54,46,35,40,3,'com_content.category.14','Meet Gavern Features','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(55,54,36,37,4,'com_content.article.13','Built-in LESS parser','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(56,54,38,39,4,'com_content.article.14','Username-less login','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(57,52,43,44,3,'com_content.article.15','League News - Premier Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(58,52,45,46,3,'com_content.article.16','The World News II - Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(59,52,47,48,3,'com_content.article.17','Quay - Social Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(60,52,49,50,3,'com_content.article.18','PartyFreak - Social Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(61,52,51,52,3,'com_content.article.19','eSport - eCommerce Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(62,52,53,54,3,'com_content.article.20','BikeStore - eCommerce Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(63,52,55,56,3,'com_content.article.21','myFolio - Blog Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(64,52,57,58,3,'com_content.article.22','PixelLove - Blog Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(65,52,59,60,3,'com_content.article.23','AppsPro Tech - Business Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(66,52,61,62,3,'com_content.article.24','Corporate 2 - Business Joomla! Template','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(67,1,129,130,1,'com_k2','com_k2','{\"core.admin\":[],\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(69,1,131,132,1,'#__ucm_content.1','#__ucm_content.1','[]'),(70,1,133,134,1,'#__ucm_content.2','#__ucm_content.2',''),(71,1,135,136,1,'#__ucm_content.3','#__ucm_content.3','[]'),(72,1,137,138,1,'#__ucm_content.4','#__ucm_content.4',''),(73,1,139,140,1,'#__ucm_content.5','#__ucm_content.5',''),(74,1,141,142,1,'com_tags','com_tags','{\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),(75,1,143,144,1,'com_contenthistory','com_contenthistory','{}'),(76,1,145,146,1,'com_ajax','com_ajax','{}'),(77,1,147,148,1,'com_postinstall','com_postinstall','{}'),(78,18,84,85,2,'com_modules.module.100','Based on Bootstrap','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(79,18,86,87,2,'com_modules.module.90','[icon-ok] Weblinks','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(80,18,88,89,2,'com_modules.module.91','[icon-fire] Hot links','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(81,18,90,91,2,'com_modules.module.92','[icon-time] Templates','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(82,18,92,93,2,'com_modules.module.93','[icon-gift] Freebies','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(83,18,94,95,2,'com_modules.module.94','[icon-exclamation-sign] Important','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(84,18,96,97,2,'com_modules.module.95','[icon-thumbs-up] Share ','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(85,18,98,99,2,'com_modules.module.96','Header - frontpage','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}'),(86,18,100,101,2,'com_modules.module.101','Social icons','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"module.edit.frontend\":[]}');


--
-- Table structure for table `#__associations`
--



CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__associations`
--




--
-- Table structure for table `#__banner_clients`
--



CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_clients`
--




--
-- Table structure for table `#__banner_tracks`
--



CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_tracks`
--




--
-- Table structure for table `#__banners`
--



CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banners`
--




--
-- Table structure for table `#__categories`
--



CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__categories`
--


INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES (1,0,0,0,27,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',-2,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(3,28,1,5,6,1,'uncategorised','com_banners','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(4,29,1,7,8,1,'uncategorised','com_contact','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(5,30,1,9,10,1,'uncategorised','com_newsfeeds','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(7,32,1,13,14,1,'uncategorised','com_users','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(9,35,1,3,4,1,'blog','com_content','Blog','blog','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',166,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(10,44,1,17,18,1,'gavickpro','com_contact','GavickPro','gavickpro','','<p>The GavickPro staff.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',166,'2012-10-07 12:45:18',166,'2012-10-07 21:29:57',0,'*',1),(11,45,1,19,20,1,'joomla-feeds','com_newsfeeds','Joomla! Feeds','joomla-feeds','','<p>RSS Feeds connected with Joomla!.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',166,'2012-10-07 20:06:08',0,'0000-00-00 00:00:00',0,'*',1),(12,46,1,21,24,1,'meet-gavern','com_content','Meet Gavern','meet-gavern','','<p>Articles about Meet Gavern template.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',166,'2012-10-07 20:22:28',0,'0000-00-00 00:00:00',508,'*',1),(13,52,1,25,26,1,'gavickpro-premium-templates','com_content','GavickPro Premium Templates','gavickpro-premium-templates','','<p>Articles about the GavickPro\'s Premium Templates.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',166,'2012-10-08 15:32:31',0,'0000-00-00 00:00:00',19,'*',1),(14,54,12,22,23,2,'meet-gavern/meet-gavern-features','com_content','Meet Gavern Features','meet-gavern-features','','<p>The most important features implemented in the Meet Gavern template.</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"tags\":[10,4,11],\"robots\":\"\"}',166,'2012-10-08 15:33:46',166,'2013-04-25 15:48:47',1,'*',1);


--
-- Table structure for table `#__contact_details`
--



CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__contact_details`
--


INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES (1,'GavickPro','contact','Company','012 Lorem Street, 123rd Floor City, GA 0123456-78\r\n','City','','Country','00-000,','+123 456 789 123 456 789','+123 456 789 123 456 789','','images/gkavatar.jpeg','blank@sample',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_tags\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"articles_display_num\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":false,\"linkb_name\":\"\",\"linkb\":false,\"linkc_name\":\"\",\"linkc\":false,\"linkd_name\":\"\",\"linkd\":false,\"linke_name\":\"\",\"linke\":false,\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',167,10,1,'+123 456 789 123 456 789','','','','','*','2012-10-07 12:45:53',166,'','2016-04-27 04:52:09',166,'','','{\"robots\":\"\",\"rights\":\"\"}',1,'','0000-00-00 00:00:00','0000-00-00 00:00:00',7,5);


--
-- Table structure for table `#__content`
--



CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content`
--


INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES (7,47,'Typography','typography','<p>The Meet Gavern template contains a rich typography included in the Bootstrap framework. Below you can see few examples:</p>\r\n<h2>Alerts</h2>\r\n<p> </p>\r\n<div class=\"alert alert-block\"><strong>Default alert</strong> It is the default alert block</div>\r\n<div class=\"alert alert-error\"><strong>Error alert</strong> It is the error alert block</div>\r\n<div class=\"alert alert-success\"><strong>Success alert</strong> It is the success alert block</div>\r\n<div class=\"alert alert-info\"><strong>Info alert</strong> It is the info alert block</div>\r\n<div class=\"demo-typo-col2\">\r\n<p> </p>\r\n<h2>Headers</h2>\r\n<p> </p>\r\n<h1>Heading 1</h1>\r\n<h2>Heading 2</h2>\r\n<h3>Heading 3</h3>\r\n<h4>Heading 4</h4>\r\n<h5>Heading 5</h5>\r\n<h6>Heading 6</h6>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p> </p>\r\n<h2>Buttons</h2>\r\n<p> </p>\r\n<p><a class=\"btn\" href=\"#\">Default button</a> <a class=\"btn btn-primary\" href=\"#\">Primary button</a> <a class=\"btn btn-info\" href=\"#\">Info button</a> <a class=\"btn btn-success\" href=\"#\">Success button</a> <a class=\"btn btn-warning\" href=\"#\">Warning button</a> <a class=\"btn btn-danger\" href=\"#\">Danger button</a> <a class=\"btn btn-inverse\" href=\"#\">Inverse button</a></p>\r\n\r\n</div>\r\n','\r\n<div class=\"demo-typo-col1\">\r\n<p> </p>\r\n<h2>Blockquotes</h2>\r\n<p> </p>\r\n<blockquote>Etiam porta sem malesuada magna mollis euismod. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Curabitur blandit tempus porttitor. <small>Robert Gavick</small></blockquote>\r\n</div>\r\n<div class=\"demo-typo-col1\">\r\n<p> </p>\r\n<h2>Lists</h2>\r\n<p> </p>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p>Unordered list</p>\r\n<ul>\r\n<li>Maecenas sed diam eget risus varius blandit sit amet non magna.</li>\r\n<li>Nulla vitae elit libero, a pharetra augue.</li>\r\n<li>Curabitur blandit tempus porttitor.</li>\r\n<li>Cras justo odio, dapibus ac facilisis in, egestas eget quam.</li>\r\n<li>Donec id elit non mi porta gravida at eget metus.</li>\r\n</ul>\r\n<p> </p>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p>Ordered list</p>\r\n<ol>\r\n<li>Maecenas sed diam eget risus varius blandit sit amet non magna.</li>\r\n<li>Nulla vitae elit libero, a pharetra augue.</li>\r\n<li>Curabitur blandit tempus porttitor.</li>\r\n<li>Cras justo odio, dapibus ac facilisis in, egestas eget quam.</li>\r\n<li>Donec id elit non mi porta gravida at eget metus.</li>\r\n</ol>\r\n<p> </p>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p>Definition list</p>\r\n<dl><dt>Maecenas sed</dt><dd>diam eget risus varius blandit sit amet non magna.</dd><dt>Nulla</dt><dd>vitae elit libero, a pharetra augue.</dd><dt>Curabitur</dt><dd>blandit tempus porttitor.</dd><dt>Cras justo odio</dt><dd>dapibus ac facilisis in, egestas eget quam.</dd><dt>Donec id</dt><dd>elit non mi porta gravida at eget metus.</dd></dl>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p>Horizontal definition list</p>\r\n<dl class=\"dl-horizontal\"><dt>Maecenas sed</dt><dd>diam eget risus varius blandit sit amet non magna.</dd><dt>Nulla</dt><dd>vitae elit libero, a pharetra augue.</dd><dt>Curabitur</dt><dd>blandit tempus porttitor.</dd><dt>Cras justo odio</dt><dd>dapibus ac facilisis in, egestas eget quam.</dd><dt>Donec id</dt><dd>elit non mi porta gravida at eget metus.</dd></dl>\r\n</div>\r\n<div class=\"demo-typo-col1\">\r\n<p> </p>\r\n<h2>Code listings</h2>\r\n<p> </p>\r\n<p>You can create the inline <code>code listings</code> and the bigger code blocks:</p>\r\n<pre>window.addEvent(\"load\", function() {\r\nconsole.log(\'Sample code listing\');\r\n});</pre>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p> </p>\r\n<h2>Labels</h2>\r\n<p> </p>\r\n<p>It is the <span class=\"label\">default</span> label</p>\r\n<p>It is the <span class=\"label label-success\">success</span> label</p>\r\n<p>It is the <span class=\"label label-warning\">warning</span> label</p>\r\n<p>It is the <span class=\"label label-important\">important</span> label</p>\r\n<p>It is the <span class=\"label label-info\">info</span> label</p>\r\n<p>It is the <span class=\"label label-inverse\">inverse</span> label</p>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<p> </p>\r\n<h2>Badges</h2>\r\n<p> </p>\r\n<p>It is the default <span class=\"badge\">12</span> badge</p>\r\n<p>It is the default <span class=\"badge badge-success\">12</span> badge</p>\r\n<p>It is the default <span class=\"badge badge-warning\">12</span> badge</p>\r\n<p>It is the default <span class=\"badge badge-important\">12</span> badge</p>\r\n<p>It is the default <span class=\"badge badge-info\">12</span> badge</p>\r\n<p>It is the default <span class=\"badge badge-inverse\">12</span> badge</p>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<p> </p>\r\n	<h2>Icons - Font Awesome</h2>\r\n<p> </p>\r\n	<p>The Font Awesome is a set of base icons similar to the Glyphicons included with Bootstrap, plus a set of extended icons that include pictograms for external links, thumbs up/down, comments, cogs and more.\r\n		\r\n		Font Awesome is licensed under the <a href=\"http://creativecommons.org/licenses/by/3.0/\" target=\"_blank\">Creative Commons Attribution 3.0 Unported</a> (CC BY 3.0). More details you can find on project homepage at <a target=\"_blank\" href=\"http://fortawesome.github.com/Font-Awesome\">http://fortawesome.github.com/Font-Awesome</a></p>\r\n<p><small> Use &lt;i class=\"<b>icon-CLASS_NAME</b>\"&gt;&lt;/i&gt; content here... </small></p>\r\n<h3>Miscellaneous (new icons in Font Awesome v.3.2)</h3>\r\n<div class=\"demo-typo-col4\">\r\n<ul class=\"the-icons\">\r\n      <li><i class=\"icon-compass\"></i> icon-compass</li>\r\n    \r\n      <li><i class=\"icon-collapse\"></i> icon-collapse</li>\r\n    \r\n      <li><i class=\"icon-collapse-top\"></i> icon-collapse-top</li>\r\n    \r\n      <li><i class=\"icon-expand\"></i> icon-expand</li>\r\n    \r\n      <li><i class=\"icon-eur\"></i> icon-eur</li>\r\n    \r\n      <li><i class=\"icon-euro\"></i> icon-euro <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-gbp\"></i> icon-gbp</li>\r\n    \r\n      <li><i class=\"icon-usd\"></i> icon-usd</li>\r\n    \r\n      <li><i class=\"icon-dollar\"></i> icon-dollar <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-inr\"></i> icon-inr</li>\r\n    \r\n      <li><i class=\"icon-rupee\"></i> icon-rupee <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-jpy\"></i> icon-jpy</li>\r\n    \r\n      <li><i class=\"icon-yen\"></i> icon-yen <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-cny\"></i> icon-cny</li>\r\n    \r\n      <li><i class=\"icon-renminbi\"></i> icon-renminbi <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-krw\"></i> icon-krw</li>\r\n    </ul>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<ul class=\"the-icons\">\r\n      <li><i class=\"icon-won\"></i> icon-won <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-btc\"></i> icon-btc</li>\r\n    \r\n      <li><i class=\"icon-bitcoin\"></i> icon-bitcoin <span class=\"muted\">(alias)</span></li>\r\n    \r\n      <li><i class=\"icon-file\"></i> icon-file</li>\r\n    \r\n      <li><i class=\"icon-file-text\"></i> icon-file-text</li>\r\n    \r\n      <li><i class=\"icon-sort-by-alphabet\"></i> icon-sort-by-alphabet</li>\r\n    \r\n      <li><i class=\"icon-sort-by-alphabet-alt\"></i> icon-sort-by-alphabet-alt</li>\r\n    \r\n      <li><i class=\"icon-sort-by-attributes\"></i> icon-sort-by-attributes</li>\r\n    \r\n      <li><i class=\"icon-sort-by-attributes-alt\"></i> icon-sort-by-attributes-alt</li>\r\n    \r\n      <li><i class=\"icon-sort-by-order\"></i> icon-sort-by-order</li>\r\n    \r\n      <li><i class=\"icon-sort-by-order-alt\"></i> icon-sort-by-order-alt</li>\r\n    \r\n      <li><i class=\"icon-thumbs-up\"></i> icon-thumbs-up</li>\r\n    \r\n      <li><i class=\"icon-thumbs-down\"></i> icon-thumbs-down</li>\r\n    \r\n      <li><i class=\"icon-youtube-sign\"></i> icon-youtube-sign</li>\r\n    \r\n      <li><i class=\"icon-youtube\"></i> icon-youtube</li>\r\n    \r\n      <li><i class=\"icon-xing\"></i> icon-xing</li>\r\n</ul>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<ul class=\"the-icons\">\r\n      <li><i class=\"icon-xing-sign\"></i> icon-xing-sign</li>\r\n    \r\n      <li><i class=\"icon-youtube-play\"></i> icon-youtube-play</li>\r\n    \r\n      <li><i class=\"icon-dropbox\"></i> icon-dropbox</li>\r\n    \r\n      <li><i class=\"icon-stackexchange\"></i> icon-stackexchange</li>\r\n    \r\n      <li><i class=\"icon-instagram\"></i> icon-instagram</li>\r\n    \r\n      <li><i class=\"icon-flickr\"></i> icon-flickr</li>\r\n    \r\n      <li><i class=\"icon-adn\"></i> icon-adn</li>\r\n    \r\n      <li><i class=\"icon-bitbucket\"></i> icon-bitbucket</li>\r\n    \r\n      <li><i class=\"icon-bitbucket-sign\"></i> icon-bitbucket-sign</li>\r\n    \r\n      <li><i class=\"icon-tumblr\"></i> icon-tumblr</li>\r\n    \r\n      <li><i class=\"icon-tumblr-sign\"></i> icon-tumblr-sign</li>\r\n    \r\n      <li><i class=\"icon-long-arrow-down\"></i> icon-long-arrow-down</li>\r\n    \r\n      <li><i class=\"icon-long-arrow-up\"></i> icon-long-arrow-up</li>\r\n    \r\n      <li><i class=\"icon-long-arrow-left\"></i> icon-long-arrow-left</li>\r\n    \r\n      <li><i class=\"icon-long-arrow-right\"></i> icon-long-arrow-right</li>\r\n    \r\n      <li><i class=\"icon-apple\"></i> icon-apple</li>\r\n    \r\n</ul>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<ul class=\"the-icons\">\r\n      <li><i class=\"icon-windows\"></i> icon-windows</li>\r\n    \r\n      <li><i class=\"icon-android\"></i> icon-android</li>\r\n    \r\n      <li><i class=\"icon-linux\"></i> icon-linux</li>\r\n    \r\n      <li><i class=\"icon-dribbble\"></i> icon-dribbble</li>\r\n    \r\n      <li><i class=\"icon-skype\"></i> icon-skype</li>\r\n    \r\n      <li><i class=\"icon-foursquare\"></i> icon-foursquare</li>\r\n    \r\n      <li><i class=\"icon-trello\"></i> icon-trello</li>\r\n    \r\n      <li><i class=\"icon-female\"></i> icon-female</li>\r\n    \r\n      <li><i class=\"icon-male\"></i> icon-male</li>\r\n    \r\n      <li><i class=\"icon-gittip\"></i> icon-gittip</li>\r\n    \r\n      <li><i class=\"icon-sun\"></i> icon-sun</li>\r\n    \r\n      <li><i class=\"icon-moon\"></i> icon-moon</li>\r\n    \r\n      <li><i class=\"icon-archive\"></i> icon-archive</li>\r\n    \r\n      <li><i class=\"icon-bug\"></i> icon-bug</li>\r\n    \r\n      <li><i class=\"icon-vk\"></i> icon-vk</li>\r\n    \r\n      <li><i class=\"icon-weibo\"></i> icon-weibo</li>\r\n    \r\n      <li><i class=\"icon-renren\"></i> icon-renren</li>\r\n    </ul>\r\n  </div>\r\n	<h3>Web Application Icons</h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-adjust\"></i> icon-adjust</li>\r\n			<li><i class=\"icon-asterisk\"></i> icon-asterisk</li>\r\n			<li><i class=\"icon-ban-circle\"></i> icon-ban-circle</li>\r\n			<li><i class=\"icon-bar-chart\"></i> icon-bar-chart</li>\r\n			<li><i class=\"icon-barcode\"></i> icon-barcode</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n			<li><i class=\"icon-beer\"></i> icon-beer</li>\r\n			<li><i class=\"icon-bell\"></i> icon-bell</li>\r\n			<li><i class=\"icon-bell-alt\"></i> icon-bell-alt</li>\r\n			<li><i class=\"icon-bolt\"></i> icon-bolt</li>\r\n			<li><i class=\"icon-book\"></i> icon-book</li>\r\n			<li><i class=\"icon-bookmark\"></i> icon-bookmark</li>\r\n			<li><i class=\"icon-bookmark-empty\"></i> icon-bookmark-empty</li>\r\n			<li><i class=\"icon-briefcase\"></i> icon-briefcase</li>\r\n			<li><i class=\"icon-bullhorn\"></i> icon-bullhorn</li>\r\n			<li><i class=\"icon-calendar\"></i> icon-calendar</li>\r\n			<li><i class=\"icon-camera\"></i> icon-camera</li>\r\n			<li><i class=\"icon-camera-retro\"></i> icon-camera-retro</li>\r\n			<li><i class=\"icon-certificate\"></i> icon-certificate</li>\r\n			<li><i class=\"icon-check\"></i> icon-check</li>\r\n			<li><i class=\"icon-check-empty\"></i> icon-check-empty</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n			<li><i class=\"icon-cloud\"></i> icon-cloud</li>\r\n			<li><i class=\"icon-cloud-download\"></i> icon-cloud-download</li>\r\n			<li><i class=\"icon-cloud-upload\"></i> icon-cloud-upload</li>\r\n			<li><i class=\"icon-coffee\"></i> icon-coffee</li>\r\n			<li><i class=\"icon-cog\"></i> icon-cog</li>\r\n			<li><i class=\"icon-cogs\"></i> icon-cogs</li>\r\n			<li><i class=\"icon-comment\"></i> icon-comment</li>\r\n			<li><i class=\"icon-comment-alt\"></i> icon-comment-alt</li>\r\n			<li><i class=\"icon-comments\"></i> icon-comments</li>\r\n			<li><i class=\"icon-comments-alt\"></i> icon-comments-alt</li>\r\n			<li><i class=\"icon-credit-card\"></i> icon-credit-card</li>\r\n			<li><i class=\"icon-dashboard\"></i> icon-dashboard</li>\r\n			<li><i class=\"icon-desktop\"></i> icon-desktop</li>\r\n			<li><i class=\"icon-download\"></i> icon-download</li>\r\n			<li><i class=\"icon-download-alt\"></i> icon-download-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-edit\"></i> icon-edit</li>\r\n			<li><i class=\"icon-envelope\"></i> icon-envelope</li>\r\n			<li><i class=\"icon-envelope-alt\"></i> icon-envelope-alt</li>\r\n			<li><i class=\"icon-exchange\"></i> icon-exchange</li>\r\n			<li><i class=\"icon-exclamation-sign\"></i> icon-exclamation-sign</li>\r\n			<li><i class=\"icon-external-link\"></i> icon-external-link</li>\r\n			<li><i class=\"icon-eye-close\"></i> icon-eye-close</li>\r\n			<li><i class=\"icon-eye-open\"></i> icon-eye-open</li>\r\n			<li><i class=\"icon-facetime-video\"></i> icon-facetime-video</li>\r\n			<li><i class=\"icon-fighter-jet\"></i> icon-fighter-jet</li>\r\n			<li><i class=\"icon-film\"></i> icon-film</li>\r\n			<li><i class=\"icon-filter\"></i> icon-filter</li>\r\n			<li><i class=\"icon-fire\"></i> icon-fire</li>\r\n			<li><i class=\"icon-flag\"></i> icon-flag</li>\r\n			<li><i class=\"icon-folder-close\"></i> icon-folder-close</li>\r\n			<li><i class=\"icon-folder-open\"></i> icon-folder-open</li>\r\n			<li><i class=\"icon-folder-close-alt\"></i> icon-folder-close-alt</li>\r\n			<li><i class=\"icon-folder-open-alt\"></i> icon-folder-open-alt</li>\r\n			<li><i class=\"icon-food\"></i> icon-food</li>\r\n			<li><i class=\"icon-gift\"></i> icon-gift</li>\r\n			<li><i class=\"icon-glass\"></i> icon-glass</li>\r\n			<li><i class=\"icon-globe\"></i> icon-globe</li>\r\n			<li><i class=\"icon-group\"></i> icon-group</li>\r\n			<li><i class=\"icon-hdd\"></i> icon-hdd</li>\r\n			<li><i class=\"icon-headphones\"></i> icon-headphones</li>\r\n			<li><i class=\"icon-heart\"></i> icon-heart</li>\r\n			<li><i class=\"icon-heart-empty\"></i> icon-heart-empty</li>\r\n			<li><i class=\"icon-home\"></i> icon-home</li>\r\n			<li><i class=\"icon-inbox\"></i> icon-inbox</li>\r\n			<li><i class=\"icon-info-sign\"></i> icon-info-sign</li>\r\n			<li><i class=\"icon-key\"></i> icon-key</li>\r\n			<li><i class=\"icon-leaf\"></i> icon-leaf</li>\r\n			<li><i class=\"icon-laptop\"></i> icon-laptop</li>\r\n			<li><i class=\"icon-legal\"></i> icon-legal</li>\r\n			<li><i class=\"icon-lemon\"></i> icon-lemon</li>\r\n			<li><i class=\"icon-lightbulb\"></i> icon-lightbulb</li>\r\n			<li><i class=\"icon-lock\"></i> icon-lock</li>\r\n			<li><i class=\"icon-unlock\"></i> icon-unlock</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-magic\"></i> icon-magic</li>\r\n			<li><i class=\"icon-magnet\"></i> icon-magnet</li>\r\n			<li><i class=\"icon-map-marker\"></i> icon-map-marker</li>\r\n			<li><i class=\"icon-minus\"></i> icon-minus</li>\r\n			<li><i class=\"icon-minus-sign\"></i> icon-minus-sign</li>\r\n			<li><i class=\"icon-mobile-phone\"></i> icon-mobile-phone</li>\r\n			<li><i class=\"icon-money\"></i> icon-money</li>\r\n			<li><i class=\"icon-move\"></i> icon-move</li>\r\n			<li><i class=\"icon-music\"></i> icon-music</li>\r\n			<li><i class=\"icon-off\"></i> icon-off</li>\r\n			<li><i class=\"icon-ok\"></i> icon-ok</li>\r\n			<li><i class=\"icon-ok-circle\"></i> icon-ok-circle</li>\r\n			<li><i class=\"icon-ok-sign\"></i> icon-ok-sign</li>\r\n			<li><i class=\"icon-pencil\"></i> icon-pencil</li>\r\n			<li><i class=\"icon-picture\"></i> icon-picture</li>\r\n			<li><i class=\"icon-plane\"></i> icon-plane</li>\r\n			<li><i class=\"icon-plus\"></i> icon-plus</li>\r\n			<li><i class=\"icon-plus-sign\"></i> icon-plus-sign</li>\r\n			<li><i class=\"icon-print\"></i> icon-print</li>\r\n			<li><i class=\"icon-pushpin\"></i> icon-pushpin</li>\r\n			<li><i class=\"icon-qrcode\"></i> icon-qrcode</li>\r\n			<li><i class=\"icon-question-sign\"></i> icon-question-sign</li>\r\n			<li><i class=\"icon-quote-left\"></i> icon-quote-left</li>\r\n			<li><i class=\"icon-quote-right\"></i> icon-quote-right</li>\r\n			<li><i class=\"icon-random\"></i> icon-random</li>\r\n			<li><i class=\"icon-refresh\"></i> icon-refresh</li>\r\n			<li><i class=\"icon-remove\"></i> icon-remove</li>\r\n			<li><i class=\"icon-remove-circle\"></i> icon-remove-circle</li>\r\n			<li><i class=\"icon-remove-sign\"></i> icon-remove-sign</li>\r\n			<li><i class=\"icon-reorder\"></i> icon-reorder</li>\r\n			<li><i class=\"icon-reply\"></i> icon-reply</li>\r\n			<li><i class=\"icon-resize-horizontal\"></i> icon-resize-horizontal</li>\r\n			<li><i class=\"icon-resize-vertical\"></i> icon-resize-vertical</li>\r\n			<li><i class=\"icon-retweet\"></i> icon-retweet</li>\r\n			<li><i class=\"icon-road\"></i> icon-road</li>\r\n			<li><i class=\"icon-rss\"></i> icon-rss</li>\r\n			<li><i class=\"icon-screenshot\"></i> icon-screenshot</li>\r\n			<li><i class=\"icon-search\"></i> icon-search</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-share\"></i> icon-share</li>\r\n			<li><i class=\"icon-share-alt\"></i> icon-share-alt</li>\r\n			<li><i class=\"icon-shopping-cart\"></i> icon-shopping-cart</li>\r\n			<li><i class=\"icon-signal\"></i> icon-signal</li>\r\n			<li><i class=\"icon-signin\"></i> icon-signin</li>\r\n			<li><i class=\"icon-signout\"></i> icon-signout</li>\r\n			<li><i class=\"icon-sitemap\"></i> icon-sitemap</li>\r\n			<li><i class=\"icon-sort\"></i> icon-sort</li>\r\n			<li><i class=\"icon-sort-down\"></i> icon-sort-down</li>\r\n			<li><i class=\"icon-sort-up\"></i> icon-sort-up</li>\r\n			<li><i class=\"icon-spinner\"></i> icon-spinner</li>\r\n			<li><i class=\"icon-star\"></i> icon-star</li>\r\n			<li><i class=\"icon-star-empty\"></i> icon-star-empty</li>\r\n			<li><i class=\"icon-star-half\"></i> icon-star-half</li>\r\n			<li><i class=\"icon-tablet\"></i> icon-tablet</li>\r\n			<li><i class=\"icon-tag\"></i> icon-tag</li>\r\n			<li><i class=\"icon-tags\"></i> icon-tags</li>\r\n			<li><i class=\"icon-tasks\"></i> icon-tasks</li>\r\n			<li><i class=\"icon-thumbs-down\"></i> icon-thumbs-down</li>\r\n			<li><i class=\"icon-thumbs-up\"></i> icon-thumbs-up</li>\r\n			<li><i class=\"icon-time\"></i> icon-time</li>\r\n			<li><i class=\"icon-tint\"></i> icon-tint</li>\r\n			<li><i class=\"icon-trash\"></i> icon-trash</li>\r\n			<li><i class=\"icon-trophy\"></i> icon-trophy</li>\r\n			<li><i class=\"icon-truck\"></i> icon-truck</li>\r\n			<li><i class=\"icon-umbrella\"></i> icon-umbrella</li>\r\n			<li><i class=\"icon-upload\"></i> icon-upload</li>\r\n			<li><i class=\"icon-upload-alt\"></i> icon-upload-alt</li>\r\n			<li><i class=\"icon-user\"></i> icon-user</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n			<li><i class=\"icon-volume-off\"></i> icon-volume-off</li>\r\n			<li><i class=\"icon-volume-down\"></i> icon-volume-down</li>\r\n			<li><i class=\"icon-volume-up\"></i> icon-volume-up</li>\r\n			<li><i class=\"icon-warning-sign\"></i> icon-warning-sign</li>\r\n			<li><i class=\"icon-wrench\"></i> icon-wrench</li>\r\n			<li><i class=\"icon-zoom-in\"></i> icon-zoom-in</li>\r\n			<li><i class=\"icon-zoom-out\"></i> icon-zoom-out</li>\r\n		</ul>\r\n	</div>\r\n	<h3>Text Editor Icons</h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-file\"></i> icon-file</li>\r\n			<li><i class=\"icon-file-alt\"></i> icon-file-alt</li>\r\n			<li><i class=\"icon-cut\"></i> icon-cut</li>\r\n			<li><i class=\"icon-copy\"></i> icon-copy</li>\r\n			<li><i class=\"icon-paste\"></i> icon-paste</li>\r\n			<li><i class=\"icon-save\"></i> icon-save</li>\r\n			<li><i class=\"icon-undo\"></i> icon-undo</li>\r\n			<li><i class=\"icon-repeat\"></i> icon-repeat</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-text-height\"></i> icon-text-height</li>\r\n			<li><i class=\"icon-text-width\"></i> icon-text-width</li>\r\n			<li><i class=\"icon-align-left\"></i> icon-align-left</li>\r\n			<li><i class=\"icon-align-center\"></i> icon-align-center</li>\r\n			<li><i class=\"icon-align-right\"></i> icon-align-right</li>\r\n			<li><i class=\"icon-align-justify\"></i> icon-align-justify</li>\r\n			<li><i class=\"icon-indent-left\"></i> icon-indent-left</li>\r\n			<li><i class=\"icon-indent-right\"></i> icon-indent-right</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-font\"></i> icon-font</li>\r\n			<li><i class=\"icon-bold\"></i> icon-bold</li>\r\n			<li><i class=\"icon-italic\"></i> icon-italic</li>\r\n			<li><i class=\"icon-strikethrough\"></i> icon-strikethrough</li>\r\n			<li><i class=\"icon-underline\"></i> icon-underline</li>\r\n			<li><i class=\"icon-link\"></i> icon-link</li>\r\n			<li><i class=\"icon-paper-clip\"></i> icon-paper-clip</li>\r\n			<li><i class=\"icon-columns\"></i> icon-columns</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-table\"></i> icon-table</li>\r\n			<li><i class=\"icon-th-large\"></i> icon-th-large</li>\r\n			<li><i class=\"icon-th\"></i> icon-th</li>\r\n			<li><i class=\"icon-th-list\"></i> icon-th-list</li>\r\n			<li><i class=\"icon-list\"></i> icon-list</li>\r\n			<li><i class=\"icon-list-ol\"></i> icon-list-ol</li>\r\n			<li><i class=\"icon-list-ul\"></i> icon-list-ul</li>\r\n			<li><i class=\"icon-list-alt\"></i> icon-list-alt</li>\r\n		</ul>\r\n	</div>\r\n	<h3>Directional Icons</h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-angle-left\"></i> icon-angle-left</li>\r\n			<li><i class=\"icon-angle-right\"></i> icon-angle-right</li>\r\n			<li><i class=\"icon-angle-up\"></i> icon-angle-up</li>\r\n			<li><i class=\"icon-angle-down\"></i> icon-angle-down</li>\r\n			<li><i class=\"icon-arrow-down\"></i> icon-arrow-down</li>\r\n			<li><i class=\"icon-arrow-left\"></i> icon-arrow-left</li>\r\n			<li><i class=\"icon-arrow-right\"></i> icon-arrow-right</li>\r\n			<li><i class=\"icon-arrow-up\"></i> icon-arrow-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-caret-down\"></i> icon-caret-down</li>\r\n			<li><i class=\"icon-caret-left\"></i> icon-caret-left</li>\r\n			<li><i class=\"icon-caret-right\"></i> icon-caret-right</li>\r\n			<li><i class=\"icon-caret-up\"></i> icon-caret-up</li>\r\n			<li><i class=\"icon-chevron-down\"></i> icon-chevron-down</li>\r\n			<li><i class=\"icon-chevron-left\"></i> icon-chevron-left</li>\r\n			<li><i class=\"icon-chevron-right\"></i> icon-chevron-right</li>\r\n			<li><i class=\"icon-chevron-up\"></i> icon-chevron-up</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-circle-arrow-down\"></i> icon-circle-arrow-down</li>\r\n			<li><i class=\"icon-circle-arrow-left\"></i> icon-circle-arrow-left</li>\r\n			<li><i class=\"icon-circle-arrow-right\"></i> icon-circle-arrow-right</li>\r\n			<li><i class=\"icon-circle-arrow-up\"></i> icon-circle-arrow-up</li>\r\n			<li><i class=\"icon-double-angle-left\"></i> icon-double-angle-left</li>\r\n			<li><i class=\"icon-double-angle-right\"></i> icon-double-angle-right</li>\r\n			<li><i class=\"icon-double-angle-up\"></i> icon-double-angle-up</li>\r\n			<li><i class=\"icon-double-angle-down\"></i> icon-double-angle-down</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-hand-down\"></i> icon-hand-down</li>\r\n			<li><i class=\"icon-hand-left\"></i> icon-hand-left</li>\r\n			<li><i class=\"icon-hand-right\"></i> icon-hand-right</li>\r\n			<li><i class=\"icon-hand-up\"></i> icon-hand-up</li>\r\n			<li><i class=\"icon-circle\"></i> icon-circle</li>\r\n			<li><i class=\"icon-circle-blank\"></i> icon-circle-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h3>Video Player Icons</h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-play-circle\"></i> icon-play-circle</li>\r\n			<li><i class=\"icon-play\"></i> icon-play</li>\r\n			<li><i class=\"icon-pause\"></i> icon-pause</li>\r\n			<li><i class=\"icon-stop\"></i> icon-stop</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-step-backward\"></i> icon-step-backward</li>\r\n			<li><i class=\"icon-fast-backward\"></i> icon-fast-backward</li>\r\n			<li><i class=\"icon-backward\"></i> icon-backward</li>\r\n			<li><i class=\"icon-forward\"></i> icon-forward</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fast-forward\"></i> icon-fast-forward</li>\r\n			<li><i class=\"icon-step-forward\"></i> icon-step-forward</li>\r\n			<li><i class=\"icon-eject\"></i> icon-eject</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-fullscreen\"></i> icon-fullscreen</li>\r\n			<li><i class=\"icon-resize-full\"></i> icon-resize-full</li>\r\n			<li><i class=\"icon-resize-small\"></i> icon-resize-small</li>\r\n		</ul>\r\n	</div>\r\n	<h3>Social Icons</h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-phone\"></i> icon-phone</li>\r\n			<li><i class=\"icon-phone-sign\"></i> icon-phone-sign</li>\r\n			<li><i class=\"icon-facebook\"></i> icon-facebook</li>\r\n			<li><i class=\"icon-facebook-sign\"></i> icon-facebook-sign</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-twitter\"></i> icon-twitter</li>\r\n			<li><i class=\"icon-twitter-sign\"></i> icon-twitter-sign</li>\r\n			<li><i class=\"icon-github\"></i> icon-github</li>\r\n			<li><i class=\"icon-github-alt\"></i> icon-github-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-github-sign\"></i> icon-github-sign</li>\r\n			<li><i class=\"icon-linkedin\"></i> icon-linkedin</li>\r\n			<li><i class=\"icon-linkedin-sign\"></i> icon-linkedin-sign</li>\r\n			<li><i class=\"icon-pinterest\"></i> icon-pinterest</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-pinterest-sign\"></i> icon-pinterest-sign</li>\r\n			<li><i class=\"icon-google-plus\"></i> icon-google-plus</li>\r\n			<li><i class=\"icon-google-plus-sign\"></i> icon-google-plus-sign</li>\r\n			<li><i class=\"icon-sign-blank\"></i> icon-sign-blank</li>\r\n		</ul>\r\n	</div>\r\n	<h3>Medical Icons </h3>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-ambulance\"></i> icon-ambulance</li>\r\n			<li><i class=\"icon-beaker\"></i> icon-beaker</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-h-sign\"></i> icon-h-sign</li>\r\n			<li><i class=\"icon-hospital\"></i> icon-hospital</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-medkit\"></i> icon-medkit</li>\r\n			<li><i class=\"icon-plus-sign-alt\"></i> icon-plus-sign-alt</li>\r\n		</ul>\r\n	</div>\r\n	<div class=\"demo-typo-col4\">\r\n		<ul class=\"the-icons\">\r\n			<li><i class=\"icon-stethoscope\"></i> icon-stethoscope</li>\r\n			<li><i class=\"icon-user-md\"></i> icon-user-md</li>\r\n		</ul>\r\n	</div>\r\n</div>',1,12,'2012-10-07 20:23:46',166,'','2013-07-10 08:53:09',166,0,'0000-00-00 00:00:00','2012-10-07 20:23:46','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,4,'','',1,128,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\",\"tags\":null}',0,'*',''),(8,48,'Module positions','module-positions','<p>Module positions available in the Meet Gavern template:</p>\r\n<p><img src=\"images/module_positions.png\" alt=\"\" /></p>','',1,12,'2012-10-07 20:25:16',166,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-10-07 20:25:16','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,39,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(9,49,'Page breaks plugin','page-breaks-plugin','<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Donec sed odio dui. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. </p>\r\n<hr title=\"First paragraph\" alt=\"first-paragraph\" class=\"system-pagebreak\" />\r\n<p>Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Vestibulum id ligula porta felis euismod semper. Maecenas faucibus mollis interdum. Cras mattis consectetur purus sit amet fermentum. </p>\r\n<hr title=\"Second paragraph\" alt=\"second-paragraph\" class=\"system-pagebreak\" />\r\n<p>Aenean lacinia bibendum nulla sed consectetur. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. </p>\r\n<hr title=\"Third paragraph\" alt=\"third-paragraph\" class=\"system-pagebreak\" />\r\n<p>Cras mattis consectetur purus sit amet fermentum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id elit non mi porta gravida at eget metus. </p>\r\n<hr title=\"Fourth paragraph\" alt=\"fourth-paragraph\" class=\"system-pagebreak\" />\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>','',1,12,'2012-10-07 20:25:38',166,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-10-07 20:25:38','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,10,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(10,50,'Module variations','module-variations','<p>Meet Gavern offers a lot of module suffixes. As you can see above some of these suffixes can be mixed.</p>\r\n<p>We have also included a really useful mechanism - you can put the icon in the header using following syntax:</p>\r\n<pre>[icon-name] Header text</pre>\r\n<p>Where <strong>icon-name</strong> is one of <a href=\"http://twitter.github.com/bootstrap/base-css.html#icons\">available classes</a>.</p>\r\n\r\n<p>Sed posuere consectetur est at lobortis. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam quis risus eget urna mollis ornare vel eu leo.</p>\r\n\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Aenean lacinia bibendum nulla sed consectetur. Nullam quis risus eget urna mollis ornare vel eu leo.\r\n\r\nCras mattis consectetur purus sit amet fermentum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id elit non mi porta gravida at eget metus. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>','',1,12,'2012-10-07 20:26:14',166,'','2013-08-09 09:01:30',166,0,'0000-00-00 00:00:00','2012-10-07 20:26:14','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,1,'','',1,207,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(11,51,'About Meet Gavern','about-meet-gavern','<p>\r\n     Meet Gavern is based upon a brand new version of the Gavern Framework which features built-in support for Bootstrap.\r\n</p>\r\n<p>\r\n     Meet Gavern is a free template which is available also on the Github repository. If you will need any help - please feel free to ask on the Github issues section for our help.\r\n</p>\r\n<p>\r\n     Currently the Meet Gavern template contains the most important features necessary for the proper work with Joomla! 3. We will implement constantly new features, also the ones suggested by our users.\r\n</p>\r\n<p>\r\n     Please remember that Joomla! 3 is recommended only for the early adopters and we can include big changes in the Meet Gavern template in the future. We have a lot of ideas and we also need your feedback - it will really help us in the template development.\r\n</p>\r\n','',1,12,'2012-10-07 22:23:39',166,'','2015-09-02 07:29:28',166,0,'0000-00-00 00:00:00','2012-10-07 22:23:39','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/meetgavern.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"Meet Gavern\",\"image_fulltext_caption\":\"Meet Gavern is a Free Joomla! template\"}','{\"urla\":\"https:\\/\\/github.com\\/GavickPro\\/Meet-Gavern\",\"urlatext\":\"Meet Gavern Github repository\",\"targeta\":\"\",\"urlb\":\"https:\\/\\/www.gavick.com\\/joomla-templates\\/meet-gavern\",\"urlbtext\":\"Meet Gavern Template Details Page\",\"targetb\":\"\",\"urlc\":\"http:\\/\\/twitter.github.com\\/bootstrap\\/index.html\",\"urlctext\":\"Bootstrap official website\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,'','',1,266,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(13,55,'Built-in LESS parser','built-in-less-parser','<p>The Meet Gavern template contains the built-in LESS parser - both for Bootstrap and template code. You can enable parsing the LESS files after every page refresh.</p>\r\n<div class=\"alert alert-error\"><strong>Warning!</strong> Please remember that if you enable the LESS parser then your modified CSS files will be overwriten by the new ones generated from the *.less files.</div>\r\n<p>The LESS parser can be enabled separately for Bootstrap and for the template LESS files in the \"Layouts\" tab:</p>\r\n<p><img src=\"images/layout_tab.jpg\" alt=\"\" /></p>\r\n<div class=\"alert alert-error\"><strong>Warning!</strong> Please remember to disable the LESS parser after finishing your work - the process is a little bit time consuming so it can delay your page loading speed.</div>\r\n<p>The Meet Gavern LESS code will be still improved to use full potential of the LESS syntax.</p>\r\n<h3>Where are the LESS files?</h3>\r\n<p>The LESS files are located in the two places:</p>\r\n<ol>\r\n<li>In the bootstrap/less/ directory the Bootstrap LESS files are located</li>\r\n<li>In the less/ directory the template LESS files are located .</li>\r\n</ol>','',1,14,'2012-10-08 15:34:25',166,'','2012-10-08 21:59:06',166,0,'0000-00-00 00:00:00','2012-10-08 15:34:25','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":\"http:\\/\\/lesscss.org\\/\",\"urlatext\":\"LESS Documentation\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,1,'','',1,3,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(14,56,'Username-less login','username-less-login','<p>The username-less login is a really useful UI improvement – now, after each login on the website, the page stores user mail hash and usernames in the cookie file - this information is used to create the following block on the next visit at the login page:</p>\r\n<p><img src=\"images/usernameless_login1.png\" alt=\"\" /></p>\r\n<p>As you can see in this case, a user does not have to remember the login – he/she has to remember only his/her own password. Of course if the other user uses the same computer, then he/she can click \"Not Super User?\" link - then the form will back to the original layout:</p>\r\n<p><img src=\"images/usernameless_login2.png\" alt=\"\" /></p>\r\n<p>The Username-less login can be enabled in the Advanced settings tab at the template settings.</p>','',1,14,'2012-10-08 22:08:22',166,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-10-08 22:08:22','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(15,57,'Single post example','single-post','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Cras mattis consectetur purus sit amet fermentum.</p>\r\n<p> </p>','',1,13,'2012-10-08 22:16:01',166,'','2012-10-09 17:55:18',166,0,'0000-00-00 00:00:00','2012-10-08 22:16:01','0000-00-00 00:00:00','{\"image_intro\":\"images\\/leaguenews.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/leaguenews.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,9,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(16,58,'Single post example','post-1','<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Nullam id dolor id nibh ultricies vehicula ut id elit. Sed posuere consectetur est at lobortis. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>\r\n<p>Aenean lacinia bibendum nulla sed consectetur. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Donec id elit non mi porta gravida at eget metus. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Maecenas faucibus mollis interdum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Sed posuere consectetur est at lobortis. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Maecenas faucibus mollis interdum.</p>\r\n<p>Curabitur blandit tempus porttitor. Nullam id dolor id nibh ultricies vehicula ut id elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>','',1,13,'2012-10-08 22:16:38',166,'','2012-10-09 17:56:10',166,0,'0000-00-00 00:00:00','2012-10-08 22:16:38','0000-00-00 00:00:00','{\"image_intro\":\"images\\/twn2.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/twn2.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,8,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(17,59,'Single post example','post-2','<p>Curabitur blandit tempus porttitor. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Nullam quis risus eget urna mollis ornare vel eu leo. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>\r\n<p>Aenean lacinia bibendum nulla sed consectetur. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>\r\n<p>Donec id elit non mi porta gravida at eget metus. Cras mattis consectetur purus sit amet fermentum. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Nullam quis risus eget urna mollis ornare vel eu leo. Vestibulum id ligula porta felis euismod semper. Maecenas faucibus mollis interdum.</p>','',1,13,'2012-10-08 22:17:18',166,'','2012-10-09 17:56:00',166,0,'0000-00-00 00:00:00','2012-10-08 22:17:18','0000-00-00 00:00:00','{\"image_intro\":\"images\\/quay.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/quay.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,7,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(18,60,'Single post example','post-3','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam quis risus eget urna mollis ornare vel eu leo. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>\r\n<p>Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Curabitur blandit tempus porttitor. Maecenas faucibus mollis interdum. Donec sed odio dui. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>','',1,13,'2012-10-08 22:17:57',166,'','2012-10-09 17:55:33',166,0,'0000-00-00 00:00:00','2012-10-08 22:17:57','0000-00-00 00:00:00','{\"image_intro\":\"images\\/partyfreak.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/partyfreak.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,6,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(19,61,'Single post example','post-4','<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Vestibulum id ligula porta felis euismod semper. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Curabitur blandit tempus porttitor.</p>\r\n<p>Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec id elit non mi porta gravida at eget metus. Maecenas faucibus mollis interdum.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Maecenas faucibus mollis interdum. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>','',1,13,'2012-10-08 22:18:26',166,'','2012-10-09 17:55:02',166,0,'0000-00-00 00:00:00','2012-10-08 22:18:26','0000-00-00 00:00:00','{\"image_intro\":\"images\\/esport.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/esport.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(20,62,'Single post example','post-5','<p>Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Vestibulum id ligula porta felis euismod semper. Nullam quis risus eget urna mollis ornare vel eu leo.</p>\r\n<p>Nullam id dolor id nibh ultricies vehicula ut id elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Vestibulum id ligula porta felis euismod semper. Vestibulum id ligula porta felis euismod semper. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Sed posuere consectetur est at lobortis. Nulla vitae elit libero, a pharetra augue. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</p>','',1,13,'2012-10-08 22:19:28',166,'','2012-10-09 17:54:34',166,0,'0000-00-00 00:00:00','2012-10-08 22:19:28','0000-00-00 00:00:00','{\"image_intro\":\"images\\/bikestore.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/bikestore.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(21,63,'Single post example','post-6','<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Donec sed odio dui. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Maecenas sed diam eget risus varius blandit sit amet non magna.</p>\r\n<p>Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Maecenas faucibus mollis interdum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec sed odio dui.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Maecenas faucibus mollis interdum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Vestibulum id ligula porta felis euismod semper. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>','',1,13,'2012-10-08 22:19:59',166,'','2012-10-09 17:56:37',166,0,'0000-00-00 00:00:00','2012-10-08 22:19:59','0000-00-00 00:00:00','{\"image_intro\":\"images\\/myfolio.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/myfolio.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(22,64,'Single post example','post-7','<p>Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur. Sed posuere consectetur est at lobortis. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Etiam porta sem malesuada magna mollis euismod. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Curabitur blandit tempus porttitor. Donec sed odio dui.</p>\r\n<p>Curabitur blandit tempus porttitor. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Cras mattis consectetur purus sit amet fermentum. Nullam id dolor id nibh ultricies vehicula ut id elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>','',1,13,'2012-10-08 22:20:26',166,'','2012-10-09 17:55:46',166,0,'0000-00-00 00:00:00','2012-10-08 22:20:26','0000-00-00 00:00:00','{\"image_intro\":\"images\\/pixellove.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/pixellove.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,2,'','',1,3,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(23,65,'Single post example','post-8','<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean lacinia bibendum nulla sed consectetur. Donec sed odio dui. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>\r\n<p>Donec sed odio dui. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nulla vitae elit libero, a pharetra augue. Sed posuere consectetur est at lobortis. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Aenean lacinia bibendum nulla sed consectetur. Donec ullamcorper nulla non metus auctor fringilla. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Nullam quis risus eget urna mollis ornare vel eu leo. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>','',1,13,'2012-10-08 22:21:06',166,'','2012-10-09 17:54:16',166,0,'0000-00-00 00:00:00','2012-10-08 22:21:06','0000-00-00 00:00:00','{\"image_intro\":\"images\\/appsprotech.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/appsprotech.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,1,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(24,66,'Single post example','post-9','<p>Maecenas faucibus mollis interdum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Curabitur blandit tempus porttitor. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Nulla vitae elit libero, a pharetra augue.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum id ligula porta felis euismod semper.</p>','',1,13,'2012-10-08 22:21:34',166,'','2012-10-09 17:54:52',166,0,'0000-00-00 00:00:00','2012-10-08 22:21:34','0000-00-00 00:00:00','{\"image_intro\":\"images\\/corporate2.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/corporate2.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','');


--
-- Table structure for table `#__content_frontpage`
--



CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_frontpage`
--


INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES (11,2),(13,1);


--
-- Table structure for table `#__content_rating`
--



CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_rating`
--




--
-- Table structure for table `#__content_types`
--



CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_types`
--


INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES (1,'Article','com_content.article','{\"special\":{\"dbtable\":\"#__content\",\"key\":\"id\",\"type\":\"Content\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"introtext\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"attribs\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"asset_id\"}, \"special\": {\"fulltext\":\"fulltext\"}}','ContentHelperRoute::getArticleRoute','{\"formFile\":\"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),(2,'Weblink','com_weblinks.weblink','{\"special\":{\"dbtable\":\"#__weblinks\",\"key\":\"id\",\"type\":\"Weblink\",\"prefix\":\"WeblinksTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"url\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\": {}}','WeblinksHelperRoute::getWeblinkRoute','{\"formFile\":\"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"featured\",\"images\"], \"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"], \"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"], \"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),(3,'Contact','com_contact.contact','{\"special\":{\"dbtable\":\"#__contact_details\",\"key\":\"id\",\"type\":\"Contact\",\"prefix\":\"ContactTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"address\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"image\", \"core_urls\":\"webpage\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\": {\"con_position\":\"con_position\",\"suburb\":\"suburb\",\"state\":\"state\",\"country\":\"country\",\"postcode\":\"postcode\",\"telephone\":\"telephone\",\"fax\":\"fax\",\"misc\":\"misc\",\"email_to\":\"email_to\",\"default_con\":\"default_con\",\"user_id\":\"user_id\",\"mobile\":\"mobile\",\"sortname1\":\"sortname1\",\"sortname2\":\"sortname2\",\"sortname3\":\"sortname3\"}}','ContactHelperRoute::getContactRoute','{\"formFile\":\"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml\",\"hideFields\":[\"default_con\",\"checked_out\",\"checked_out_time\",\"version\",\"xreference\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"], \"displayLookup\":[ {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ] }'),(4,'Newsfeed','com_newsfeeds.newsfeed','{\"special\":{\"dbtable\":\"#__newsfeeds\",\"key\":\"id\",\"type\":\"Newsfeed\",\"prefix\":\"NewsfeedsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\": {\"numarticles\":\"numarticles\",\"cache_time\":\"cache_time\",\"rtl\":\"rtl\"}}','NewsfeedsHelperRoute::getNewsfeedRoute','{\"formFile\":\"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml\",\"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),(5,'User','com_users.user','{\"special\":{\"dbtable\":\"#__users\",\"key\":\"id\",\"type\":\"User\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"null\",\"core_alias\":\"username\",\"core_created_time\":\"registerdate\",\"core_modified_time\":\"lastvisitDate\",\"core_body\":\"null\", \"core_hits\":\"null\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"access\":\"null\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"null\", \"core_language\":\"null\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"null\", \"core_ordering\":\"null\", \"core_metakey\":\"null\", \"core_metadesc\":\"null\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\": {}}','UsersHelperRoute::getUserRoute',''),(6,'Article Category','com_content.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','ContentHelperRoute::getCategoryRoute','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),(7,'Contact Category','com_contact.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','ContactHelperRoute::getCategoryRoute','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),(8,'Newsfeeds Category','com_newsfeeds.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','NewsfeedsHelperRoute::getCategoryRoute','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),(9,'Weblinks Category','com_weblinks.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','WeblinksHelperRoute::getCategoryRoute','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),(10,'Tag','com_tags.tag','{\"special\":{\"dbtable\":\"#__tags\",\"key\":\"tag_id\",\"type\":\"Tag\",\"prefix\":\"TagsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\"}}','TagsHelperRoute::getTagRoute','{\"formFile\":\"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"lft\", \"rgt\", \"level\", \"path\", \"urls\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),(11,'Banner','com_banners.banner','{\"special\":{\"dbtable\":\"#__banners\",\"key\":\"id\",\"type\":\"Banner\",\"prefix\":\"BannersTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"null\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{\"imptotal\":\"imptotal\", \"impmade\":\"impmade\", \"clicks\":\"clicks\", \"clickurl\":\"clickurl\", \"custombannercode\":\"custombannercode\", \"cid\":\"cid\", \"purchase_type\":\"purchase_type\", \"track_impressions\":\"track_impressions\", \"track_clicks\":\"track_clicks\"}}','','{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"reset\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"imptotal\", \"impmade\", \"reset\"], \"convertToInt\":[\"publish_up\", \"publish_down\", \"ordering\"], \"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"cid\",\"targetTable\":\"#__banner_clients\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),(12,'Banners Category','com_banners.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),(13,'Banner Client','com_banners.client','{\"special\":{\"dbtable\":\"#__banner_clients\",\"key\":\"id\",\"type\":\"Client\",\"prefix\":\"BannersTable\"}}','','','','{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\"], \"ignoreChanges\":[\"checked_out\", \"checked_out_time\"], \"convertToInt\":[], \"displayLookup\":[]}'),(14,'User Notes','com_users.note','{\"special\":{\"dbtable\":\"#__user_notes\",\"key\":\"id\",\"type\":\"Note\",\"prefix\":\"UsersTable\"}}','','','','{\"formFile\":\"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\"], \"convertToInt\":[\"publish_up\", \"publish_down\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),(15,'User Notes Category','com_users.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}','','{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}');


--
-- Table structure for table `#__contentitem_tag_map`
--



CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';


--
-- Dumping data for table `#__contentitem_tag_map`
--


INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES ('com_content.article',1,11,3,'2015-09-02 07:29:28',1),('com_content.article',1,11,4,'2015-09-02 07:29:28',1),('com_content.article',1,11,6,'2015-09-02 07:29:28',1),('com_content.article',1,11,10,'2015-09-02 07:29:28',1),('com_weblinks.weblink',4,1,2,'2013-04-25 15:49:27',2),('com_weblinks.weblink',4,1,4,'2013-04-25 15:49:27',2),('com_weblinks.weblink',4,1,12,'2013-04-25 15:49:27',2),('com_contact.contact',3,1,4,'2016-04-27 04:52:09',3),('com_newsfeeds.newsfeed',5,1,3,'2013-04-25 15:49:54',4),('com_newsfeeds.newsfeed',5,1,4,'2013-04-25 15:49:54',4),('com_newsfeeds.newsfeed',5,1,13,'2013-04-25 15:49:54',4),('com_newsfeeds.newsfeed',5,1,14,'2013-04-25 15:49:54',4),('com_content.category',2,14,4,'2013-04-25 15:48:47',6),('com_content.category',2,14,10,'2013-04-25 15:48:47',6),('com_content.category',2,14,11,'2013-04-25 15:48:47',6);


--
-- Table structure for table `#__core_log_searches`
--



CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__core_log_searches`
--




--
-- Table structure for table `#__extensions`
--



CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10041 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__extensions`
--


INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (1,'com_mailto','component','com_mailto','',0,1,1,1,'{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailto\"}','','','',0,'0000-00-00 00:00:00',0,0),(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(3,'com_admin','component','com_admin','',1,1,1,1,'{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(4,'com_banners','component','com_banners','',1,1,1,0,'{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"banners\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(5,'com_cache','component','com_cache','',1,1,1,1,'{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(6,'com_categories','component','com_categories','',1,1,1,1,'{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(7,'com_checkin','component','com_checkin','',1,1,1,1,'{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(8,'com_contact','component','com_contact','',1,1,1,0,'{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','{\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"allow_vcard_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_category_crumb\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10,'com_installer','component','com_installer','',1,1,1,1,'{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(11,'com_languages','component','com_languages','',1,1,1,1,'{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),(12,'com_login','component','com_login','',1,1,1,1,'{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(13,'com_media','component','com_media','',1,1,0,1,'{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(14,'com_menus','component','com_menus','',1,1,1,1,'{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(15,'com_messages','component','com_messages','',1,1,1,1,'{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(16,'com_modules','component','com_modules','',1,1,1,1,'{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(18,'com_plugins','component','com_plugins','',1,1,1,1,'{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(19,'com_search','component','com_search','',1,1,1,0,'{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"search\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(20,'com_templates','component','com_templates','',1,1,1,1,'{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{\"template_positions_display\":\"0\",\"upload_limit\":\"2\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css\",\"font_formats\":\"woff,ttf,otf\",\"compressed_formats\":\"zip\"}','','',0,'0000-00-00 00:00:00',0,0),(22,'com_content','component','com_content','',1,1,0,1,'{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"info_block_position\":\"0\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"1\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"1\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"urls_position\":\"0\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"show_urls_images_frontend\":\"0\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(23,'com_config','component','com_config','',1,1,0,1,'{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"9\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),(24,'com_redirect','component','com_redirect','',1,1,0,1,'{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(25,'com_users','component','com_users','',1,1,0,1,'{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"users\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"9\",\"sendpassword\":\"1\",\"useractivation\":\"1\",\"mail_to_admin\":\"0\",\"captcha\":\"\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"minimum_length\":\"4\",\"minimum_integers\":\"0\",\"minimum_symbols\":\"0\",\"minimum_uppercase\":\"0\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(27,'com_finder','component','com_finder','',1,1,0,0,'{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}','','',0,'0000-00-00 00:00:00',0,0),(28,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(29,'com_tags','component','com_tags','',1,1,1,1,'{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{\"tag_layout\":\"_:default\",\"show_tag_title\":\"0\",\"tag_list_show_tag_image\":\"1\",\"tag_list_show_tag_description\":\"1\",\"tag_list_image\":\"\",\"show_tag_num_items\":\"1\",\"tag_list_orderby\":\"title\",\"tag_list_orderby_direction\":\"ASC\",\"show_headings\":\"1\",\"tag_list_show_date\":\"0\",\"tag_list_show_item_image\":\"1\",\"tag_list_show_item_description\":\"0\",\"tag_list_item_maximum_characters\":0,\"return_any_or_all\":\"1\",\"include_children\":\"0\",\"maximum\":200,\"tag_list_language_filter\":\"all\",\"tags_layout\":\"_:default\",\"all_tags_orderby\":\"hits\",\"all_tags_orderby_direction\":\"ASC\",\"all_tags_show_tag_image\":\"1\",\"all_tags_show_tag_descripion\":\"1\",\"all_tags_tag_maximum_characters\":0,\"all_tags_show_tag_hits\":\"1\",\"filter_field\":\"0\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"tag_field_ajax_mode\":\"1\",\"show_feed_link\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(30,'com_contenthistory','component','com_contenthistory','',1,1,1,0,'{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contenthistory\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(31,'com_ajax','component','com_ajax','',1,1,1,0,'{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ajax\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(32,'com_postinstall','component','com_postinstall','',1,1,1,1,'{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(101,'SimplePie','library','simplepie','',0,1,1,1,'{\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.2\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"simplepie\"}','','','',0,'0000-00-00 00:00:00',0,0),(102,'phputf8','library','phputf8','',0,1,1,1,'{\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phputf8\"}','','','',0,'0000-00-00 00:00:00',0,0),(103,'Joomla! Platform','library','joomla','',0,1,1,1,'{\"name\":\"Joomla! Platform\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"mediaversion\":\"93c821a059510354927d385a19d84304\"}','','',0,'0000-00-00 00:00:00',0,0),(104,'IDNA Convert','library','idna_convert','',0,1,1,1,'{\"name\":\"IDNA Convert\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"idna_convert\"}','','','',0,'0000-00-00 00:00:00',0,0),(105,'FOF','library','fof','',0,1,1,1,'{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2015-04-22 13:15:32\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2015 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.4.3\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fof\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(106,'PHPass','library','phpass','',0,1,1,1,'{\"name\":\"PHPass\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpass\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,0,'{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_archive\"}','','','',0,'0000-00-00 00:00:00',0,0),(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,0,'{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(203,'mod_banners','module','mod_banners','',0,1,1,0,'{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_banners\"}','','','',0,'0000-00-00 00:00:00',0,0),(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_breadcrumbs\"}','','','',0,'0000-00-00 00:00:00',0,0),(205,'mod_custom','module','mod_custom','',0,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(206,'mod_feed','module','mod_feed','',0,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(207,'mod_footer','module','mod_footer','',0,1,1,0,'{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_footer\"}','','','',0,'0000-00-00 00:00:00',0,0),(208,'mod_login','module','mod_login','',0,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(209,'mod_menu','module','mod_menu','',0,1,1,1,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_news\"}','','','',0,'0000-00-00 00:00:00',0,0),(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_random_image\"}','','','',0,'0000-00-00 00:00:00',0,0),(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_related_items\"}','','','',0,'0000-00-00 00:00:00',0,0),(213,'mod_search','module','mod_search','',0,1,1,0,'{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_search\"}','','','',0,'0000-00-00 00:00:00',0,0),(214,'mod_stats','module','mod_stats','',0,1,1,0,'{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats\"}','','','',0,'0000-00-00 00:00:00',0,0),(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_syndicate\"}','','','',0,'0000-00-00 00:00:00',0,0),(216,'mod_users_latest','module','mod_users_latest','',0,1,1,0,'{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_users_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_whosonline\"}','','','',0,'0000-00-00 00:00:00',0,0),(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(220,'mod_articles_category','module','mod_articles_category','',0,1,1,0,'{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_category\"}','','','',0,'0000-00-00 00:00:00',0,0),(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,0,'{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_categories\"}','','','',0,'0000-00-00 00:00:00',0,0),(222,'mod_languages','module','mod_languages','',0,1,1,1,'{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_languages\"}','','','',0,'0000-00-00 00:00:00',0,0),(223,'mod_finder','module','mod_finder','',0,1,0,0,'{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(300,'mod_custom','module','mod_custom','',1,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(301,'mod_feed','module','mod_feed','',1,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(302,'mod_latest','module','mod_latest','',1,1,1,0,'{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(303,'mod_logged','module','mod_logged','',1,1,1,0,'{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_logged\"}','','','',0,'0000-00-00 00:00:00',0,0),(304,'mod_login','module','mod_login','',1,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(305,'mod_menu','module','mod_menu','',1,1,1,0,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(307,'mod_popular','module','mod_popular','',1,1,1,0,'{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_quickicon\"}','','','',0,'0000-00-00 00:00:00',0,0),(309,'mod_status','module','mod_status','',1,1,1,0,'{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_status\"}','','','',0,'0000-00-00 00:00:00',0,0),(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_submenu\"}','','','',0,'0000-00-00 00:00:00',0,0),(311,'mod_title','module','mod_title','',1,1,1,0,'{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_title\"}','','','',0,'0000-00-00 00:00:00',0,0),(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_toolbar\"}','','','',0,'0000-00-00 00:00:00',0,0),(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_multilangstatus\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(314,'mod_version','module','mod_version','',1,1,1,0,'{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(315,'mod_stats_admin','module','mod_stats_admin','',1,1,1,0,'{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats_admin\"}','{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),(316,'mod_tags_popular','module','mod_tags_popular','',0,1,1,0,'{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_popular\"}','{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(317,'mod_tags_similar','module','mod_tags_similar','',0,1,1,0,'{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_similar\"}','{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"gmail\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ldap\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),(403,'plg_content_contact','plugin','contact','content',0,1,1,0,'{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','','','',0,'0000-00-00 00:00:00',1,0),(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"emailcloak\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(405,'plg_content_geshi','plugin','geshi','content',0,0,1,0,'{\"name\":\"plg_content_geshi\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"qbnz.com\\/highlighter\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_GESHI_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"loadmodule\"}','{\"style\":\"xhtml\"}','','',0,'2011-09-18 15:22:50',0,0),(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,0,'{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{\"title\":\"1\",\"article_index\":\"1\",\"article_index_text\":\"\",\"multipage_toc\":\"1\",\"showall\":\"1\",\"style\":\"pages\"}','','',0,'0000-00-00 00:00:00',4,0),(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,0,'{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagenavigation\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),(409,'plg_content_vote','plugin','vote','content',0,1,1,0,'{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"vote\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(410,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"Copyright (C) 2014 by Marijn Haverbeke <marijnh@gmail.com> and others\",\"authorEmail\":\"marijnh@gmail.com\",\"authorUrl\":\"http:\\/\\/codemirror.net\\/\",\"version\":\"5.3\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"codemirror\"}','{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"September 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"none\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,0,'{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2014\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\",\"version\":\"4.1.7\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tinymce\"}','{\"mode\":\"1\",\"skin\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"article\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"image\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"readmore\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(419,'plg_search_content','plugin','content','search',0,1,1,0,'{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagefilter\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(423,'plg_system_p3p','plugin','p3p','system',0,1,1,0,'{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"p3p\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cache\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"debug\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',4,0),(426,'plg_system_log','plugin','log','system',0,1,1,1,'{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"log\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(427,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"redirect\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"remember\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sef\"}','{}','','',0,'0000-00-00 00:00:00',8,0),(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logout\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,0,'{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contactcreator\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),(433,'plg_user_profile','plugin','profile','user',0,0,1,0,'{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"profile\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(436,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagecode\"}','{}','','',0,'0000-00-00 00:00:00',10,0),(437,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomlaupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(438,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"extensionupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(439,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,1,1,0,'{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(440,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(441,'plg_content_finder','plugin','finder','content',0,0,1,0,'{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(442,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(443,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(444,'plg_finder_content','plugin','content','finder',0,1,1,0,'{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(445,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(447,'plg_finder_tags','plugin','tags','finder',0,1,1,0,'{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(448,'plg_twofactorauth_totp','plugin','totp','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"totp\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(449,'plg_authentication_cookie','plugin','cookie','authentication',0,1,1,0,'{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(450,'plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"yubikey\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(451,'plg_search_tags','plugin','tags','search',0,0,1,0,'{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(503,'beez3','template','beez3','',0,1,1,0,'{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),(504,'hathor','template','hathor','',1,1,1,0,'{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(506,'protostar','template','protostar','',0,1,1,0,'{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(507,'isis','template','isis','',1,1,1,0,'{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(600,'English (en-GB)','language','en-GB','',0,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.2\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(601,'English (en-GB)','language','en-GB','',1,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.2\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(700,'files_joomla','file','joomla','',0,1,1,1,'{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"June 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.3\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10000,'meet_gavern','template','meet_gavern','',0,1,1,0,'{\"name\":\"meet_gavern\",\"type\":\"template\",\"creationDate\":\"30 Oct 2014\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2014 GavickPro. All rights reserved.\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"\",\"version\":\"1.4.0\",\"description\":\"\\n                    <link rel=\\\"stylesheet\\\" type=\\\"text\\/css\\\" href=\\\"..\\/templates\\/meet_gavern\\/admin\\/style.css\\\" \\/>\\n                              <style type=\\\"text\\/css\\\" media=\\\"all\\\">\\n                              <!--\\n                              #wrap1 {padding: 0 30px 30px; font-size: 14px; line-height: 24px; color: #666}\\n                              #wrap1 h1 {clear:both;font: 300 38px\\/24px \\\"Helvetica Neue\\\",Helvetica,Arial,sans-serif;margin:30px 20px 12px 0;padding:0;color:#222;  }\\n                              #wrap1 h4 { border-bottom: 1px solid #e5e5e5; margin: 0 0 40px; padding: 0 0 16px; font: 300 17px\\/28px \\\"Helvetica Neue\\\",Helvetica,Arial,sans-serif; color: #555; }\\n                              #wrap1 sup { font-style: italic; font-size: }\\n                              .livedemo { margin-top: 28px; }\\n                              -->\\n                              <\\/style>\\t\\n                              <div id=\\\"preloaderWrap\\\"><div id=\\\"preloader\\\"><\\/div><\\/div>\\n                              <div id=\\\"wrap1\\\">\\n                              <h1>Meet Gavern<\\/h1>\\n                              \\n                              <h4>Responsive, bootstrap-based, free Joomla 3 template<\\/h4>\\n                              <p>We are happy to announce the availability of a free Joomla 3 template called Meet Gavern. Based upon a brand-new version of our Gavern Framework, this template has a few interesting features you should check out.\\n                              <p>First, it has been designed exclusively for use with Joomla! 3. Further, Meet Gavern features built-in support for Bootstrap.<\\/p>\\n                              <p>Finally, this wonderful no-cost template was built with support for Responsive Web Design, which means it is more flexible and powerful. This is surely a must-have template for Joomla users!<\\/p>\\n                              <p>With the anticipated release of the production version of Joomla 3, the enhanced version of the Gavern Framework will become the basis for all future GavickPro template releases.<\\/p>\\n                              <p class=\\\"livedemo\\\">View Meet Gavern template in action <a href=\\\"http:\\/\\/joomla30.gavick.com\\\" target=\\\"_blank\\\">here<\\/a>...<\\/p>\\n                              <small>Gavern v.1.4.0<\\/small>\\n                              \\n                              <\\/div> \\n          \",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"max_page_width\":\"1200\",\"recompile_bootstrap\":\"0\",\"social_pos\":\"left\",\"sidebar_width\":\"span3\",\"menu_animation\":\"width_height_opacity\",\"menu_speed\":\"fast\",\"submenu_width\":\"200\",\"fb_api_id\":\"\",\"fb_lang\":\"en_US\",\"fb_login\":\"0\",\"fb_like\":\"0\",\"fb_like_send\":\"0\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"true\",\"fb_like_width\":\"500\",\"fb_like_action\":\"like\",\"fb_like_font\":\"arial\",\"fb_like_colorscheme\":\"light\",\"google_plus\":\"1\",\"google_plus_count\":\"1\",\"google_plus_size\":\"medium\",\"google_plus_lang\":\"en-GB\",\"google_plus_share\":\"1\",\"google_plus_share_annotation\":\"vertical-bubble\",\"google_plus_share_size\":\"20\",\"tweet_btn\":\"0\",\"tweet_btn_data_count\":\"vertical\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"pinterest_btn\":\"0\",\"pinterest_btn_style\":\"horizontal\",\"excluded_cats\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(10001,'Authentication - Facebook','plugin','facebook','authentication',0,1,1,0,'{\"name\":\"Authentication - Facebook\",\"type\":\"plugin\",\"creationDate\":\"31 December 2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2010 - 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"support@gavick.com\",\"authorUrl\":\"http:\\/\\/gavick.com\",\"version\":\"GK4 1.2\",\"description\":\"GavickPro Facebook authentication plugin\",\"group\":\"\"}','{\"facebook_api_id\":\"\",\"facebook_api_secret\":\"\",\"auto_register\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10002,'com_k2','component','com_k2','',1,1,0,0,'{\"name\":\"COM_K2\",\"type\":\"component\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!\",\"group\":\"\"}','{\"enable_css\":\"0\",\"jQueryHandling\":\"1.8remote\",\"backendJQueryHandling\":\"local\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"userItemCount\":\"3\",\"userItemTitle\":\"1\",\"userItemTitleLinked\":\"1\",\"userItemDateCreated\":\"1\",\"userItemImage\":\"1\",\"userItemIntroText\":\"1\",\"userItemCategory\":\"1\",\"userItemTags\":\"0\",\"userItemCommentsAnchor\":\"1\",\"userItemReadMore\":\"1\",\"userItemK2Plugins\":\"1\",\"tagItemCount\":\"4\",\"tagItemTitle\":\"1\",\"tagItemTitleLinked\":\"1\",\"tagItemDateCreated\":\"1\",\"tagItemImage\":\"1\",\"tagItemIntroText\":\"1\",\"tagItemCategory\":\"1\",\"tagItemReadMore\":\"1\",\"tagItemExtraFields\":\"0\",\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"genericItemCount\":\"10\",\"genericItemTitle\":\"1\",\"genericItemTitleLinked\":\"1\",\"genericItemDateCreated\":\"1\",\"genericItemImage\":\"1\",\"genericItemIntroText\":\"1\",\"genericItemCategory\":\"1\",\"genericItemReadMore\":\"1\",\"genericItemExtraFields\":\"0\",\"genericFeedLink\":\"1\",\"genericFeedIcon\":\"1\",\"feedLimit\":\"10\",\"feedItemImage\":\"1\",\"feedImgSize\":\"L\",\"feedItemIntroText\":\"1\",\"feedTextWordLimit\":\"\",\"feedItemFullText\":\"1\",\"feedItemTags\":\"0\",\"feedItemVideo\":\"0\",\"feedItemGallery\":\"0\",\"feedItemAttachments\":\"0\",\"feedBogusEmail\":\"\",\"introTextCleanup\":\"0\",\"introTextCleanupExcludeTags\":\"\",\"introTextCleanupTagAttr\":\"\",\"fullTextCleanup\":\"0\",\"fullTextCleanupExcludeTags\":\"\",\"fullTextCleanupTagAttr\":\"\",\"xssFiltering\":\"0\",\"linkPopupWidth\":\"900\",\"linkPopupHeight\":\"600\",\"imagesQuality\":\"100\",\"itemImageXS\":\"100\",\"itemImageS\":\"396\",\"itemImageM\":\"594\",\"itemImageL\":\"762\",\"itemImageXL\":\"752\",\"itemImageGeneric\":\"752\",\"catImageWidth\":\"100\",\"catImageDefault\":\"1\",\"userImageWidth\":\"100\",\"userImageDefault\":\"1\",\"commenterImgWidth\":\"48\",\"onlineImageEditor\":\"splashup\",\"imageTimestamp\":\"0\",\"imageMemoryLimit\":\"\",\"socialButtonCode\":\"\",\"twitterUsername\":\"\",\"facebookImage\":\"XSmall\",\"comments\":\"1\",\"commentsOrdering\":\"DESC\",\"commentsLimit\":\"10\",\"commentsFormPosition\":\"below\",\"commentsPublishing\":\"1\",\"commentsReporting\":\"2\",\"commentsReportRecipient\":\"\",\"inlineCommentsModeration\":\"0\",\"gravatar\":\"1\",\"recaptcha\":\"0\",\"commentsFormNotes\":\"1\",\"commentsFormNotesText\":\"\",\"frontendEditing\":\"1\",\"showImageTab\":\"1\",\"showImageGalleryTab\":\"1\",\"showVideoTab\":\"1\",\"showExtraFieldsTab\":\"1\",\"showAttachmentsTab\":\"1\",\"showK2Plugins\":\"1\",\"sideBarDisplayFrontend\":\"0\",\"mergeEditors\":\"1\",\"sideBarDisplay\":\"1\",\"attachmentsFolder\":\"\",\"hideImportButton\":\"0\",\"googleSearch\":\"0\",\"googleSearchContainer\":\"k2Container\",\"K2UserProfile\":\"1\",\"redirect\":\"103\",\"adminSearch\":\"simple\",\"cookieDomain\":\"\",\"taggingSystem\":\"1\",\"lockTags\":\"0\",\"showTagFilter\":\"0\",\"k2TagNorm\":\"0\",\"k2TagNormCase\":\"lower\",\"k2TagNormAdditionalReplacements\":\"\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"recaptcha_theme\":\"clean\",\"recaptchaOnRegistration\":\"0\",\"stopForumSpam\":\"0\",\"stopForumSpamApiKey\":\"\",\"showItemsCounterAdmin\":\"1\",\"showChildCatItems\":\"1\",\"disableCompactOrdering\":\"0\",\"metaDescLimit\":\"150\",\"enforceSEFReplacements\":\"0\",\"SEFReplacements\":\"\\u00c0|A, \\u00c1|A, \\u00c2|A, \\u00c3|A, \\u00c4|A, \\u00c5|A, \\u00e0|a, \\u00e1|a, \\u00e2|a, \\u00e3|a, \\u00e4|a, \\u00e5|a, \\u0100|A, \\u0101|a, \\u0102|A, \\u0103|a, \\u0104|A, \\u0105|a, \\u00c7|C, \\u00e7|c, \\u0106|C, \\u0107|c, \\u0108|C, \\u0109|c, \\u010a|C, \\u010b|c, \\u010c|C, \\u010d|c, \\u00d0|D, \\u00f0|d, \\u010e|D, \\u010f|d, \\u0110|D, \\u0111|d, \\u00c8|E, \\u00c9|E, \\u00ca|E, \\u00cb|E, \\u00e8|e, \\u00e9|e, \\u00ea|e, \\u00eb|e, \\u0112|E, \\u0113|e, \\u0114|E, \\u0115|e, \\u0116|E, \\u0117|e, \\u0118|E, \\u0119|e, \\u011a|E, \\u011b|e, \\u011c|G, \\u011d|g, \\u011e|G, \\u011f|g, \\u0120|G, \\u0121|g, \\u0122|G, \\u0123|g, \\u0124|H, \\u0125|h, \\u0126|H, \\u0127|h, \\u00cc|I, \\u00cd|I, \\u00ce|I, \\u00cf|I, \\u00ec|i, \\u00ed|i, \\u00ee|i, \\u00ef|i, \\u0128|I, \\u0129|i, \\u012a|I, \\u012b|i, \\u012c|I, \\u012d|i, \\u012e|I, \\u012f|i, \\u0130|I, \\u0131|i, \\u0134|J, \\u0135|j, \\u0136|K, \\u0137|k, \\u0138|k, \\u0139|L, \\u013a|l, \\u013b|L, \\u013c|l, \\u013d|L, \\u013e|l, \\u013f|L, \\u0140|l, \\u0141|L, \\u0142|l, \\u00d1|N, \\u00f1|n, \\u0143|N, \\u0144|n, \\u0145|N, \\u0146|n, \\u0147|N, \\u0148|n, \\u0149|n, \\u014a|N, \\u014b|n, \\u00d2|O, \\u00d3|O, \\u00d4|O, \\u00d5|O, \\u00d6|O, \\u00d8|O, \\u00f2|o, \\u00f3|o, \\u00f4|o, \\u00f5|o, \\u00f6|o, \\u00f8|o, \\u014c|O, \\u014d|o, \\u014e|O, \\u014f|o, \\u0150|O, \\u0151|o, \\u0154|R, \\u0155|r, \\u0156|R, \\u0157|r, \\u0158|R, \\u0159|r, \\u015a|S, \\u015b|s, \\u015c|S, \\u015d|s, \\u015e|S, \\u015f|s, \\u0160|S, \\u0161|s, \\u017f|s, \\u0162|T, \\u0163|t, \\u0164|T, \\u0165|t, \\u0166|T, \\u0167|t, \\u00d9|U, \\u00da|U, \\u00db|U, \\u00dc|U, \\u00f9|u, \\u00fa|u, \\u00fb|u, \\u00fc|u, \\u0168|U, \\u0169|u, \\u016a|U, \\u016b|u, \\u016c|U, \\u016d|u, \\u016e|U, \\u016f|u, \\u0170|U, \\u0171|u, \\u0172|U, \\u0173|u, \\u0174|W, \\u0175|w, \\u00dd|Y, \\u00fd|y, \\u00ff|y, \\u0176|Y, \\u0177|y, \\u0178|Y, \\u0179|Z, \\u017a|z, \\u017b|Z, \\u017c|z, \\u017d|Z, \\u017e|z, \\u03b1|a, \\u03b2|b, \\u03b3|g, \\u03b4|d, \\u03b5|e, \\u03b6|z, \\u03b7|h, \\u03b8|th, \\u03b9|i, \\u03ba|k, \\u03bb|l, \\u03bc|m, \\u03bd|n, \\u03be|x, \\u03bf|o, \\u03c0|p, \\u03c1|r, \\u03c3|s, \\u03c4|t, \\u03c5|y, \\u03c6|f, \\u03c7|ch, \\u03c8|ps, \\u03c9|w, \\u0391|A, \\u0392|B, \\u0393|G, \\u0394|D, \\u0395|E, \\u0396|Z, \\u0397|H, \\u0398|Th, \\u0399|I, \\u039a|K, \\u039b|L, \\u039c|M, \\u039e|X, \\u039f|O, \\u03a0|P, \\u03a1|R, \\u03a3|S, \\u03a4|T, \\u03a5|Y, \\u03a6|F, \\u03a7|Ch, \\u03a8|Ps, \\u03a9|W, \\u03ac|a, \\u03ad|e, \\u03ae|h, \\u03af|i, \\u03cc|o, \\u03cd|y, \\u03ce|w, \\u0386|A, \\u0388|E, \\u0389|H, \\u038a|I, \\u038c|O, \\u038e|Y, \\u038f|W, \\u03ca|i, \\u0390|i, \\u03cb|y, \\u03c2|s, \\u0410|A, \\u04d0|A, \\u04d2|A, \\u04d8|E, \\u04da|E, \\u04d4|E, \\u0411|B, \\u0412|V, \\u0413|G, \\u0490|G, \\u0403|G, \\u0492|G, \\u04f6|G, y|Y, \\u0414|D, \\u0415|E, \\u0400|E, \\u0401|YO, \\u04d6|E, \\u04bc|E, \\u04be|E, \\u0404|YE, \\u0416|ZH, \\u04c1|DZH, \\u0496|ZH, \\u04dc|DZH, \\u0417|Z, \\u0498|Z, \\u04de|DZ, \\u04e0|DZ, \\u0405|DZ, \\u0418|I, \\u040d|I, \\u04e4|I, \\u04e2|I, \\u0406|I, \\u0407|JI, \\u04c0|I, \\u0419|Y, \\u048a|Y, \\u0408|J, \\u041a|K, \\u049a|Q, \\u049e|Q, \\u04a0|K, \\u04c3|Q, \\u049c|K, \\u041b|L, \\u04c5|L, \\u0409|L, \\u041c|M, \\u04cd|M, \\u041d|N, \\u04c9|N, \\u04a2|N, \\u04c7|N, \\u04a4|N, \\u040a|N, \\u041e|O, \\u04e6|O, \\u04e8|O, \\u04ea|O, \\u04a8|O, \\u041f|P, \\u04a6|PF, \\u0420|P, \\u048e|P, \\u0421|S, \\u04aa|S, \\u0422|T, \\u04ac|TH, \\u040b|T, \\u040c|K, \\u0423|U, \\u040e|U, \\u04f2|U, \\u04f0|U, \\u04ee|U, \\u04ae|U, \\u04b0|U, \\u0424|F, \\u0425|H, \\u04b2|H, \\u04ba|H, \\u0426|TS, \\u04b4|TS, \\u0427|CH, \\u04f4|CH, \\u04b6|CH, \\u04cb|CH, \\u04b8|CH, \\u040f|DZ, \\u0428|SH, \\u0429|SHT, \\u042a|A, \\u042b|Y, \\u04f8|Y, \\u042c|Y, \\u048c|Y, \\u042d|E, \\u04ec|E, \\u042e|YU, \\u042f|YA, \\u0430|a, \\u04d1|a, \\u04d3|a, \\u04d9|e, \\u04db|e, \\u04d5|e, \\u0431|b, \\u0432|v, \\u0433|g, \\u0491|g, \\u0453|g, \\u0493|g, \\u04f7|g, y|y, \\u0434|d, \\u0435|e, \\u0450|e, \\u0451|yo, \\u04d7|e, \\u04bd|e, \\u04bf|e, \\u0454|ye, \\u0436|zh, \\u04c2|dzh, \\u0497|zh, \\u04dd|dzh, \\u0437|z, \\u0499|z, \\u04df|dz, \\u04e1|dz, \\u0455|dz, \\u0438|i, \\u045d|i, \\u04e5|i, \\u04e3|i, \\u0456|i, \\u0457|ji, \\u04c0|i, \\u0439|y, \\u048b|y, \\u0458|j, \\u043a|k, \\u049b|q, \\u049f|q, \\u04a1|k, \\u04c4|q, \\u049d|k, \\u043b|l, \\u04c6|l, \\u0459|l, \\u043c|m, \\u04ce|m, \\u043d|n, \\u04ca|n, \\u04a3|n, \\u04c8|n, \\u04a5|n, \\u045a|n, \\u043e|o, \\u04e7|o, \\u04e9|o, \\u04eb|o, \\u04a9|o, \\u043f|p, \\u04a7|pf, \\u0440|p, \\u048f|p, \\u0441|s, \\u04ab|s, \\u0442|t, \\u04ad|th, \\u045b|t, \\u045c|k, \\u0443|u, \\u045e|u, \\u04f3|u, \\u04f1|u, \\u04ef|u, \\u04af|u, \\u04b1|u, \\u0444|f, \\u0445|h, \\u04b3|h, \\u04bb|h, \\u0446|ts, \\u04b5|ts, \\u0447|ch, \\u04f5|ch, \\u04b7|ch, \\u04cc|ch, \\u04b9|ch, \\u045f|dz, \\u0448|sh, \\u0449|sht, \\u044a|a, \\u044b|y, \\u04f9|y, \\u044c|y, \\u048d|y, \\u044d|e, \\u04ed|e, \\u044e|yu, \\u044f|ya\",\"k2Sef\":\"0\",\"k2SefLabelCat\":\"content\",\"k2SefLabelTag\":\"tag\",\"k2SefLabelUser\":\"author\",\"k2SefLabelSearch\":\"search\",\"k2SefLabelDate\":\"date\",\"k2SefLabelItem\":\"0\",\"k2SefLabelItemCustomPrefix\":\"\",\"k2SefInsertItemId\":\"1\",\"k2SefItemIdTitleAliasSep\":\"dash\",\"k2SefUseItemTitleAlias\":\"1\",\"k2SefInsertCatId\":\"1\",\"k2SefCatIdTitleAliasSep\":\"dash\",\"k2SefUseCatTitleAlias\":\"1\",\"sh404SefLabelCat\":\"\",\"sh404SefLabelUser\":\"blog\",\"sh404SefLabelItem\":\"2\",\"sh404SefTitleAlias\":\"alias\",\"sh404SefModK2ContentFeedAlias\":\"feed\",\"sh404SefInsertItemId\":\"0\",\"sh404SefInsertUniqueItemId\":\"0\",\"cbIntegration\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10003,'plg_finder_k2','plugin','k2','finder',0,1,1,0,'{\"name\":\"plg_finder_k2\",\"type\":\"plugin\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"PLG_FINDER_K2_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10004,'Search - K2','plugin','k2','search',0,1,1,0,'{\"name\":\"Search - K2\",\"type\":\"plugin\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_tags\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10005,'System - K2','plugin','k2','system',0,1,1,0,'{\"name\":\"System - K2\",\"type\":\"plugin\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10006,'User - K2','plugin','k2','user',0,1,1,0,'{\"name\":\"User - K2\",\"type\":\"plugin\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10007,'Josetta - K2 Categories','plugin','k2category','josetta_ext',0,1,1,0,'{\"name\":\"Josetta - K2 Categories\",\"type\":\"plugin\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10008,'Josetta - K2 Items','plugin','k2item','josetta_ext',0,1,1,0,'{\"name\":\"Josetta - K2 Items\",\"type\":\"plugin\",\"creationDate\":\"June 7th, 2012\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10009,'K2 Comments','module','mod_k2_comments','',0,1,0,0,'{\"name\":\"K2 Comments\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"MOD_K2_COMMENTS_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"\",\"\":\"K2_TOP_COMMENTERS\",\"catfilter\":\"0\",\"category_id\":\"\",\"comments_limit\":\"5\",\"comments_word_limit\":\"10\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"1\",\"itemCategory\":\"1\",\"feed\":\"1\",\"commenters_limit\":\"5\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10010,'K2 Content','module','mod_k2_content','',0,1,0,0,'{\"name\":\"K2 Content\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_MOD_K2_CONTENT_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"filter\",\"\":\"K2_OTHER_OPTIONS\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"itemCount\":\"5\",\"itemsOrdering\":\"\",\"FeaturedItems\":\"1\",\"popularityRange\":\"\",\"videosOnly\":\"0\",\"item\":\"\",\"items\":\"\",\"itemTitle\":\"1\",\"itemAuthor\":\"1\",\"itemAuthorAvatar\":\"1\",\"itemAuthorAvatarWidthSelect\":\"custom\",\"itemAuthorAvatarWidth\":\"50\",\"userDescription\":\"1\",\"itemIntroText\":\"1\",\"itemIntroTextWordLimit\":\"\",\"itemImage\":\"1\",\"itemImgSize\":\"Small\",\"itemVideo\":\"1\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemAttachments\":\"1\",\"itemTags\":\"1\",\"itemCategory\":\"1\",\"itemDateCreated\":\"1\",\"itemHits\":\"1\",\"itemReadMore\":\"1\",\"itemExtraFields\":\"0\",\"itemCommentsCounter\":\"1\",\"feed\":\"1\",\"itemPreText\":\"\",\"itemCustomLink\":\"0\",\"itemCustomLinkTitle\":\"\",\"itemCustomLinkURL\":\"http:\\/\\/\",\"itemCustomLinkMenuItem\":\"\",\"K2Plugins\":\"1\",\"JPlugins\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10011,'K2 Tools','module','mod_k2_tools','',0,1,0,0,'{\"name\":\"K2 Tools\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_TOOLS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"\":\"K2_CUSTOM_CODE_SETTINGS\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"\",\"authors_module_category\":\"\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":\"0\",\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10012,'K2 Users','module','mod_k2_users','',0,1,0,0,'{\"name\":\"K2 Users\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_MOD_K2_USERS_DESCRTIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"0\",\"\":\"K2_DISPLAY_OPTIONS\",\"filter\":\"1\",\"K2UserGroup\":\"\",\"ordering\":\"1\",\"limit\":\"4\",\"userIDs\":\"\",\"userName\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"userDescription\":\"1\",\"userDescriptionWordLimit\":\"\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"userItemCount\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10013,'K2 User','module','mod_k2_user','',0,1,0,0,'{\"name\":\"K2 User\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_MOD_K2_USER_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10014,'K2 Quick Icons (admin)','module','mod_k2_quickicons','',1,1,2,0,'{\"name\":\"K2 Quick Icons (admin)\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE\",\"group\":\"\"}','{\"modCSSStyling\":\"1\",\"modLogo\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10015,'K2 Stats (admin)','module','mod_k2_stats','',1,1,2,0,'{\"name\":\"K2 Stats (admin)\",\"type\":\"module\",\"creationDate\":\"February 28th, 2014\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"please-use-the-contact-form@joomlaworks.net\",\"authorUrl\":\"www.joomlaworks.net\",\"version\":\"2.6.8\",\"description\":\"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE\",\"group\":\"\"}','{\"latestItems\":\"1\",\"popularItems\":\"1\",\"mostCommentedItems\":\"1\",\"latestComments\":\"1\",\"statistics\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10018,'Uploads','file','uploads','',0,1,0,0,'{\"name\":\"Uploads\",\"type\":\"file\",\"creationDate\":\"March 2012\",\"author\":\"MintJoomla\",\"copyright\":\" (c) 2005-2012 MintJoomla\",\"authorEmail\":\"support@mintjoomla.com\",\"authorUrl\":\"http:\\/\\/www.mintjoomla.com\",\"version\":\"1.0\",\"description\":\"Create default upload folder for Cobalt 7\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10040,'cobaltpack','package','pkg_cobaltpack','',0,1,1,0,'{\"name\":\"Cobalt - Package - All\",\"type\":\"package\",\"creationDate\":\"Unknown\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"8.67\",\"description\":\"\\n\\t\\t<div class=\\\"hero-unit\\\" style=\\\"text-align: left;\\\">\\n\\t\\t\\t<h1>Cobalt 8 CCK <small><b>Mint<\\/b>Joomla<\\/small><\\/h1>\\n\\t\\t\\t<p>Cobalt 8 is a great extension to aid in the design of components and content for your site.\\n\\t\\t\\tYou can use it to create hundreds of different sections of your site.<\\/p>\\n\\t\\t\\t<br>\\n\\t\\t\\t<a href=\\\"http:\\/\\/www.mintjoomla.com\\/downloads\\/category-items\\/4-downloads\\/9-cobalt-7.html\\\" target=\\\"_blank\\\" class=\\\"btn btn-large btn-primary\\\">Get more stuff by MintJoomla<\\/a>\\n\\t\\t\\t<a href=\\\"http:\\/\\/www.mintjoomla.com\\/community\\/depot.html\\\" target=\\\"_blank\\\" class=\\\"btn btn-large\\\">Get more stuff by 3<sup>rd<\\/sup> party<\\/a>\\n\\t\\t<\\/div>\\n\\t\\t<p class=\\\"alert alert-error\\\">Do not forget to download and install <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.mintjoomla.com\\/downloads\\/item\\/9-cobalt-7\\/101-mint-media-pack.html\\\">Cobalt Media Pack<\\/a>.<\\/p>\\n\\t\\t<div class=\\\"well\\\" style=\\\"text-align:left;\\\">\\n\\t\\t\\t<h2>You have successfully installed!<\\/h2>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Cobalt 8 Extension<\\/li>\\n\\t\\t\\t\\t<li>MintJoomla library<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Module Tag Cloud<\\/li>\\n\\t\\t\\t\\t<li>Module Categories<\\/li>\\n\\t\\t\\t\\t<li>Module Section Statictics<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Payment Gateway PayPal<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Plugin Toolset<\\/li>\\n\\t\\t\\t\\t<li>Plugin Joomla Search<\\/li>\\n\\t\\t\\t\\t<li>Plugin Formatter INI<\\/li>\\n\\t\\t\\t\\t<li>Plugin Formatter XML<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Comment Adapter Core<\\/li>\\n\\t\\t\\t\\t<li>Comment Adapter JComment<\\/li>\\n\\t\\t\\t\\t<li>Comment Adapter <a href=\\\"http:\\/\\/stackideas.com\\/komento.html\\\">Komento (By Stackideas)<\\/a><\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Field Boolean<\\/li>\\n\\t\\t\\t\\t<li>Field Checkbox<\\/li>\\n\\t\\t\\t\\t<li>Field HTML<\\/li>\\n\\t\\t\\t\\t<li>Field Image<\\/li>\\n\\t\\t\\t\\t<li>Field Multiple Select<\\/li>\\n\\t\\t\\t\\t<li>Field Password<\\/li>\\n\\t\\t\\t\\t<li>Field Radio<\\/li>\\n\\t\\t\\t\\t<li>Field Select<\\/li>\\n\\t\\t\\t\\t<li>Field Text<\\/li>\\n\\t\\t\\t\\t<li>Field Textarea<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\n\\t\\t\\t<h2>What is next?<\\/h2>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li><a href=\\\"http:\\/\\/www.mintjoomla.com\\/community\\/knowledge\\/user-item\\/43-sergey\\/109-cobalt-quick-start.html\\\" target=\\\"_blank\\\">Read and watch quick start tutorial<\\/a><\\/li>\\n\\t\\t\\t\\t<li><a href=\\\"http:\\/\\/support.mintjoomla.com\\\" target=\\\"_blank\\\">Ask questions and get support<\\/a><\\/li>\\n\\t\\t\\t\\t<li><a href=\\\"http:\\/\\/www.mintjoomla.com\\/blog.html\\\" target=\\\"_blank\\\">We release updates every week. Please do not forget to subscribe or check our blog were we announce.<\\/a><\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t<\\/div>\\n\\t\\t<br><br>\\n\\t\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0);


--
-- Table structure for table `#__finder_filters`
--



CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_filters`
--




--
-- Table structure for table `#__finder_links`
--



CREATE TABLE `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links`
--


INSERT INTO `#__finder_links` (`link_id`, `url`, `route`, `title`, `description`, `indexdate`, `md5sum`, `published`, `state`, `access`, `language`, `publish_start_date`, `publish_end_date`, `start_date`, `end_date`, `list_price`, `sale_price`, `type_id`, `object`) VALUES (1,'index.php?option=com_k2&view=item&id=1','index.php?option=com_k2&view=item&id=1:appspro-tech-business-joomla-template&Itemid=162','AppsPro Tech - Business Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:30','d4ae56f5c1294dad5cfc016ee9c4b8d6',1,1,1,'*','2013-04-08 13:06:06','0000-00-00 00:00:00','2013-04-08 13:06:06','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"1\";s:5:\"alias\";s:37:\"appspro-tech-business-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"1\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-08 13:15:03\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:8:\"Business\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:39:\"1:appspro-tech-business-joomla-template\";s:7:\"catslug\";s:10:\"1:business\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:85:\"index.php/2013-04-11-11-08-46/categories/item/1-appspro-tech-business-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:8:\"Business\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Business\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=1\";s:5:\"route\";s:87:\"index.php?option=com_k2&view=item&id=1:appspro-tech-business-joomla-template&Itemid=162\";s:5:\"title\";s:40:\"AppsPro Tech - Business Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:06:06\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:06:06\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(2,'index.php?option=com_k2&view=item&id=2','index.php?option=com_k2&view=item&id=2:league-news-premier-joomla-template&Itemid=162','League News - Premier Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:46','dfbd9f6004ce185126550e350d4dca32',1,1,1,'*','2013-04-08 13:15:04','0000-00-00 00:00:00','2013-04-08 13:15:04','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"2\";s:5:\"alias\";s:35:\"league-news-premier-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"2:league-news-premier-joomla-template\";s:7:\"catslug\";s:6:\"2:news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:83:\"index.php/2013-04-11-11-08-46/categories/item/2-league-news-premier-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=2\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=2:league-news-premier-joomla-template&Itemid=162\";s:5:\"title\";s:38:\"League News - Premier Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:15:04\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:15:04\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(3,'index.php?option=com_k2&view=item&id=3','index.php?option=com_k2&view=item&id=3:the-world-news-ii-joomla-template&Itemid=162','The World News II - Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:47','57872877b77731dac51e728625e8ef05',1,1,1,'*','2013-04-08 13:17:06','0000-00-00 00:00:00','2013-04-08 13:17:06','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"3\";s:5:\"alias\";s:33:\"the-world-news-ii-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:35:\"3:the-world-news-ii-joomla-template\";s:7:\"catslug\";s:6:\"2:news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:81:\"index.php/2013-04-11-11-08-46/categories/item/3-the-world-news-ii-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=3\";s:5:\"route\";s:83:\"index.php?option=com_k2&view=item&id=3:the-world-news-ii-joomla-template&Itemid=162\";s:5:\"title\";s:36:\"The World News II - Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:17:06\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:17:06\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(4,'index.php?option=com_k2&view=item&id=4','index.php?option=com_k2&view=item&id=4:sporter-sport-news-joomla-template&Itemid=162','Sporter - Sport News Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:48','f47d7f300e7792427e751c96b9e8d13a',1,1,1,'*','2013-04-08 13:24:47','0000-00-00 00:00:00','2013-04-08 13:24:47','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"4\";s:5:\"alias\";s:34:\"sporter-sport-news-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"4:sporter-sport-news-joomla-template\";s:7:\"catslug\";s:6:\"2:news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:82:\"index.php/2013-04-11-11-08-46/categories/item/4-sporter-sport-news-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=4\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=4:sporter-sport-news-joomla-template&Itemid=162\";s:5:\"title\";s:37:\"Sporter - Sport News Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:24:47\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:24:47\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(5,'index.php?option=com_k2&view=item&id=5','index.php?option=com_k2&view=item&id=5:corporate-business-joomla-template&Itemid=162','Corporate - Business Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:31','de16ef805f3e4cb2572306cf6967ed32',1,1,1,'*','2013-04-08 13:26:52','0000-00-00 00:00:00','2013-04-08 13:26:52','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"5\";s:5:\"alias\";s:34:\"corporate-business-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"1\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:8:\"Business\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"5:corporate-business-joomla-template\";s:7:\"catslug\";s:10:\"1:business\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:82:\"index.php/2013-04-11-11-08-46/categories/item/5-corporate-business-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:8:\"Business\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Business\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=5\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=5:corporate-business-joomla-template&Itemid=162\";s:5:\"title\";s:37:\"Corporate - Business Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:26:52\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:26:52\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(6,'index.php?option=com_k2&view=item&id=6','index.php?option=com_k2&view=item&id=6:fashion-responsive-joomla-template&Itemid=162','Fashion - Responsive Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:00:49','ca3ba99c5bb5f72641d30e854c4a402f',1,1,1,'*','2013-04-08 13:28:34','0000-00-00 00:00:00','2013-04-08 13:28:34','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"6\";s:5:\"alias\";s:34:\"fashion-responsive-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"2\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-11 11:29:56\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"News\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"6:fashion-responsive-joomla-template\";s:7:\"catslug\";s:6:\"2:news\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:82:\"index.php/2013-04-11-11-08-46/categories/item/6-fashion-responsive-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"News\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"News\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=6\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=6:fashion-responsive-joomla-template&Itemid=162\";s:5:\"title\";s:37:\"Fashion - Responsive Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:28:34\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:28:34\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(7,'index.php?option=com_k2&view=item&id=7','index.php?option=com_k2&view=item&id=7:bikestore-ecommerce-joomla-template','BikeStore - eCommerce Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:13','49efc965629cfea041f5ed7a22f9c253',1,1,1,'*','2013-04-08 13:30:06','0000-00-00 00:00:00','2013-04-08 13:30:06','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"7\";s:5:\"alias\";s:35:\"bikestore-ecommerce-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"4\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"eCommerce\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"7:bikestore-ecommerce-joomla-template\";s:7:\"catslug\";s:11:\"4:ecommerce\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:65:\"index.php/component/k2/item/7-bikestore-ecommerce-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"eCommerce\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"eCommerce\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=7\";s:5:\"route\";s:74:\"index.php?option=com_k2&view=item&id=7:bikestore-ecommerce-joomla-template\";s:5:\"title\";s:38:\"BikeStore - eCommerce Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-08 13:30:06\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-08 13:30:06\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(8,'index.php?option=com_k2&view=item&id=8','index.php?option=com_k2&view=item&id=8:game-magazine-gaming-joomla-template&Itemid=162','Game Magazine - Gaming Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:25','98594f101e910d51300821600b3c6723',1,1,1,'*','2013-04-11 10:50:11','0000-00-00 00:00:00','2013-04-11 10:50:11','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"8\";s:5:\"alias\";s:36:\"game-magazine-gaming-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"5\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-11 10:51:50\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:17:\"Social Networking\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:38:\"8:game-magazine-gaming-joomla-template\";s:7:\"catslug\";s:19:\"5:social-networking\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:84:\"index.php/2013-04-11-11-08-46/categories/item/8-game-magazine-gaming-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:17:\"Social Networking\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Social Networking\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=8\";s:5:\"route\";s:86:\"index.php?option=com_k2&view=item&id=8:game-magazine-gaming-joomla-template&Itemid=162\";s:5:\"title\";s:39:\"Game Magazine - Gaming Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:50:11\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:50:11\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(9,'index.php?option=com_k2&view=item&id=9','index.php?option=com_k2&view=item&id=9:music-social-joomla-template&Itemid=162','Music - Social Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:26','c974471690d11140b62ad4b27d51b448',1,1,1,'*','2013-04-11 10:51:51','0000-00-00 00:00:00','2013-04-11 10:51:51','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:1:\"9\";s:5:\"alias\";s:28:\"music-social-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"5\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:17:\"Social Networking\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:30:\"9:music-social-joomla-template\";s:7:\"catslug\";s:19:\"5:social-networking\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:76:\"index.php/2013-04-11-11-08-46/categories/item/9-music-social-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:17:\"Social Networking\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Social Networking\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:38:\"index.php?option=com_k2&view=item&id=9\";s:5:\"route\";s:78:\"index.php?option=com_k2&view=item&id=9:music-social-joomla-template&Itemid=162\";s:5:\"title\";s:31:\"Music - Social Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:51:51\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:51:51\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(10,'index.php?option=com_k2&view=item&id=10','index.php?option=com_k2&view=item&id=10:partyfreak-social-joomla-template&Itemid=162','PartyFreak - Social Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:27','94da15fb0bea99baecb7ee0421ced33e',1,1,1,'*','2013-04-11 10:53:24','0000-00-00 00:00:00','2013-04-11 10:53:24','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"10\";s:5:\"alias\";s:33:\"partyfreak-social-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"5\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:17:\"Social Networking\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"10:partyfreak-social-joomla-template\";s:7:\"catslug\";s:19:\"5:social-networking\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:82:\"index.php/2013-04-11-11-08-46/categories/item/10-partyfreak-social-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:17:\"Social Networking\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:17:\"Social Networking\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=10\";s:5:\"route\";s:84:\"index.php?option=com_k2&view=item&id=10:partyfreak-social-joomla-template&Itemid=162\";s:5:\"title\";s:36:\"PartyFreak - Social Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:53:24\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:53:24\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(11,'index.php?option=com_k2&view=item&id=11','index.php?option=com_k2&view=item&id=11:financial-business-joomla-template&Itemid=162','Financial Business - Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:48:55','b9d5e0276d668786c9801372c6ddca7c',1,1,1,'*','2013-04-11 10:54:30','0000-00-00 00:00:00','2013-04-11 10:54:30','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"11\";s:5:\"alias\";s:34:\"financial-business-joomla-template\";s:7:\"summary\";s:262:\"<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:489:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\";s:5:\"catid\";s:1:\"1\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-15 10:48:55\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":156:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:21:\"catItemFeaturedNotice\";s:1:\"1\";s:13:\"catItemAuthor\";s:1:\"1\";s:18:\"catItemDateCreated\";s:1:\"1\";s:15:\"catItemCategory\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:8:\"Business\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"11:financial-business-joomla-template\";s:7:\"catslug\";s:10:\"1:business\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:83:\"index.php/2013-04-11-11-08-46/categories/item/11-financial-business-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:8:\"Business\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Business\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=11\";s:5:\"route\";s:85:\"index.php?option=com_k2&view=item&id=11:financial-business-joomla-template&Itemid=162\";s:5:\"title\";s:37:\"Financial Business - Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:54:30\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:54:30\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(12,'index.php?option=com_k2&view=item&id=12','index.php?option=com_k2&view=item&id=12:appsite-business-joomla-template&Itemid=162','AppSite - Business Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:31:09','47101d35365d961152fde34d9d0a54cb',1,1,1,'*','2013-04-11 10:55:59','0000-00-00 00:00:00','2013-04-11 10:55:59','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"12\";s:5:\"alias\";s:32:\"appsite-business-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"1\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-15 10:31:09\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":153:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";s:18:\"catItemDateCreated\";s:1:\"1\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:8:\"Business\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:35:\"12:appsite-business-joomla-template\";s:7:\"catslug\";s:10:\"1:business\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:81:\"index.php/2013-04-11-11-08-46/categories/item/12-appsite-business-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:8:\"Business\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:8:\"Business\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=12\";s:5:\"route\";s:83:\"index.php?option=com_k2&view=item&id=12:appsite-business-joomla-template&Itemid=162\";s:5:\"title\";s:35:\"AppSite - Business Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:55:59\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:55:59\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(13,'index.php?option=com_k2&view=item&id=13','index.php?option=com_k2&view=item&id=13:boutique-ecommerce-joomla-template','Boutique - eCommerce Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:14','626003008df97624e11444b510e6d64d',1,1,1,'*','2013-04-11 10:57:57','0000-00-00 00:00:00','2013-04-11 10:57:57','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"13\";s:5:\"alias\";s:34:\"boutique-ecommerce-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"4\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-11 10:59:04\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"eCommerce\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:37:\"13:boutique-ecommerce-joomla-template\";s:7:\"catslug\";s:11:\"4:ecommerce\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:65:\"index.php/component/k2/item/13-boutique-ecommerce-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"eCommerce\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"eCommerce\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=13\";s:5:\"route\";s:74:\"index.php?option=com_k2&view=item&id=13:boutique-ecommerce-joomla-template\";s:5:\"title\";s:37:\"Boutique - eCommerce Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:57:57\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:57:57\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(14,'index.php?option=com_k2&view=item&id=14','index.php?option=com_k2&view=item&id=14:esport-ecommerce-joomla-template&Itemid=161','eSport - eCommerce Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:15','a39749fde7759a43bc464102e6f52173',1,1,1,'*','2013-04-11 10:59:06','0000-00-00 00:00:00','2013-04-11 10:59:06','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"14\";s:5:\"alias\";s:32:\"esport-ecommerce-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"4\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"eCommerce\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:35:\"14:esport-ecommerce-joomla-template\";s:7:\"catslug\";s:11:\"4:ecommerce\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:75:\"index.php/2013-04-11-11-08-46/item/item/14-esport-ecommerce-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"eCommerce\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"eCommerce\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=14\";s:5:\"route\";s:83:\"index.php?option=com_k2&view=item&id=14:esport-ecommerce-joomla-template&Itemid=161\";s:5:\"title\";s:35:\"eSport - eCommerce Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 10:59:06\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 10:59:06\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(15,'index.php?option=com_k2&view=item&id=15','index.php?option=com_k2&view=item&id=15:black-white-ecommerce-joomla-template','Black & White - eCommerce Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:16','2051e5752a58024b51698b5059b53365',1,1,1,'*','2013-04-11 11:00:16','0000-00-00 00:00:00','2013-04-11 11:00:16','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"15\";s:5:\"alias\";s:37:\"black-white-ecommerce-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"4\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"4\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:9:\"eCommerce\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:40:\"15:black-white-ecommerce-joomla-template\";s:7:\"catslug\";s:11:\"4:ecommerce\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:68:\"index.php/component/k2/item/15-black-white-ecommerce-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:9:\"eCommerce\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:9:\"eCommerce\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=15\";s:5:\"route\";s:77:\"index.php?option=com_k2&view=item&id=15:black-white-ecommerce-joomla-template\";s:5:\"title\";s:42:\"Black & White - eCommerce Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 11:00:16\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 11:00:16\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(16,'index.php?option=com_k2&view=item&id=16','index.php?option=com_k2&view=item&id=16:pixellove-blog-joomla-template','PixelLove - Blog Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:01','09f61810fdac1b80f79ab0229f494bba',1,1,1,'*','2013-04-11 11:01:29','0000-00-00 00:00:00','2013-04-11 11:01:29','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"16\";s:5:\"alias\";s:30:\"pixellove-blog-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"3\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"0000-00-00 00:00:00\";s:11:\"modified_by\";s:1:\"0\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"1\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"Blog\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:33:\"16:pixellove-blog-joomla-template\";s:7:\"catslug\";s:6:\"3:blog\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:61:\"index.php/component/k2/item/16-pixellove-blog-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"Blog\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"Blog\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=16\";s:5:\"route\";s:70:\"index.php?option=com_k2&view=item&id=16:pixellove-blog-joomla-template\";s:5:\"title\";s:33:\"PixelLove - Blog Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 11:01:29\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 11:01:29\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(17,'index.php?option=com_k2&view=item&id=17','index.php?option=com_k2&view=item&id=17:myfolio-blog-joomla-template','myFolio - Blog Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:02','dbadf7bfc7fea4cf43f8d461698035f3',1,1,1,'*','2013-04-11 11:03:26','0000-00-00 00:00:00','2013-04-11 11:03:26','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"17\";s:5:\"alias\";s:28:\"myfolio-blog-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"3\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-12 11:06:59\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"2\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"Blog\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:31:\"17:myfolio-blog-joomla-template\";s:7:\"catslug\";s:6:\"3:blog\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:59:\"index.php/component/k2/item/17-myfolio-blog-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"Blog\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"Blog\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=17\";s:5:\"route\";s:68:\"index.php?option=com_k2&view=item&id=17:myfolio-blog-joomla-template\";s:5:\"title\";s:31:\"myFolio - Blog Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 11:03:26\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 11:03:26\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}'),(18,'index.php?option=com_k2&view=item&id=18','index.php?option=com_k2&view=item&id=18:cherrydesign-blog-joomla-template','CherryDesign - Blog Joomla! Template','Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.','2013-04-15 12:01:03','7fe2a2ac0a4478ea8538bc8b8841019f',1,1,1,'*','2013-04-11 11:04:14','0000-00-00 00:00:00','2013-04-11 11:04:14','0000-00-00 00:00:00',0,0,1,'O:19:\"FinderIndexerResult\":19:{s:11:\"\0*\0elements\";a:25:{s:2:\"id\";s:2:\"18\";s:5:\"alias\";s:33:\"cherrydesign-blog-joomla-template\";s:7:\"summary\";s:291:\"<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n\";s:4:\"body\";s:497:\"\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>\";s:5:\"catid\";s:1:\"3\";s:10:\"created_by\";s:3:\"166\";s:16:\"created_by_alias\";s:0:\"\";s:8:\"modified\";s:19:\"2013-04-12 11:08:59\";s:11:\"modified_by\";s:3:\"166\";s:6:\"params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":152:{s:10:\"enable_css\";s:1:\"0\";s:14:\"jQueryHandling\";s:9:\"1.8remote\";s:21:\"backendJQueryHandling\";s:5:\"local\";s:8:\"userName\";s:1:\"1\";s:9:\"userImage\";s:1:\"1\";s:15:\"userDescription\";s:1:\"1\";s:7:\"userURL\";s:1:\"1\";s:9:\"userEmail\";s:1:\"0\";s:12:\"userFeedLink\";s:1:\"1\";s:12:\"userFeedIcon\";s:1:\"1\";s:13:\"userItemCount\";s:1:\"3\";s:13:\"userItemTitle\";s:1:\"1\";s:19:\"userItemTitleLinked\";s:1:\"1\";s:19:\"userItemDateCreated\";s:1:\"1\";s:13:\"userItemImage\";s:1:\"1\";s:17:\"userItemIntroText\";s:1:\"1\";s:16:\"userItemCategory\";s:1:\"1\";s:12:\"userItemTags\";s:1:\"1\";s:22:\"userItemCommentsAnchor\";s:1:\"1\";s:16:\"userItemReadMore\";s:1:\"1\";s:17:\"userItemK2Plugins\";s:1:\"1\";s:12:\"tagItemCount\";s:1:\"4\";s:12:\"tagItemTitle\";s:1:\"1\";s:18:\"tagItemTitleLinked\";s:1:\"1\";s:18:\"tagItemDateCreated\";s:1:\"1\";s:12:\"tagItemImage\";s:1:\"1\";s:16:\"tagItemIntroText\";s:1:\"1\";s:15:\"tagItemCategory\";s:1:\"1\";s:15:\"tagItemReadMore\";s:1:\"1\";s:18:\"tagItemExtraFields\";s:1:\"0\";s:11:\"tagOrdering\";s:0:\"\";s:11:\"tagFeedLink\";s:1:\"1\";s:11:\"tagFeedIcon\";s:1:\"1\";s:16:\"genericItemCount\";s:2:\"10\";s:16:\"genericItemTitle\";s:1:\"1\";s:22:\"genericItemTitleLinked\";s:1:\"1\";s:22:\"genericItemDateCreated\";s:1:\"1\";s:16:\"genericItemImage\";s:1:\"1\";s:20:\"genericItemIntroText\";s:1:\"1\";s:19:\"genericItemCategory\";s:1:\"1\";s:19:\"genericItemReadMore\";s:1:\"1\";s:22:\"genericItemExtraFields\";s:1:\"0\";s:15:\"genericFeedLink\";s:1:\"1\";s:15:\"genericFeedIcon\";s:1:\"1\";s:9:\"feedLimit\";s:2:\"10\";s:13:\"feedItemImage\";s:1:\"1\";s:11:\"feedImgSize\";s:1:\"L\";s:17:\"feedItemIntroText\";s:1:\"1\";s:17:\"feedTextWordLimit\";s:0:\"\";s:16:\"feedItemFullText\";s:1:\"1\";s:12:\"feedItemTags\";s:1:\"0\";s:13:\"feedItemVideo\";s:1:\"0\";s:15:\"feedItemGallery\";s:1:\"0\";s:19:\"feedItemAttachments\";s:1:\"0\";s:14:\"feedBogusEmail\";s:0:\"\";s:16:\"introTextCleanup\";s:1:\"0\";s:27:\"introTextCleanupExcludeTags\";s:0:\"\";s:23:\"introTextCleanupTagAttr\";s:0:\"\";s:15:\"fullTextCleanup\";s:1:\"0\";s:26:\"fullTextCleanupExcludeTags\";s:0:\"\";s:22:\"fullTextCleanupTagAttr\";s:0:\"\";s:12:\"xssFiltering\";s:1:\"0\";s:14:\"linkPopupWidth\";s:3:\"900\";s:15:\"linkPopupHeight\";s:3:\"600\";s:13:\"imagesQuality\";s:3:\"100\";s:11:\"itemImageXS\";s:3:\"100\";s:10:\"itemImageS\";s:3:\"396\";s:10:\"itemImageM\";s:3:\"594\";s:10:\"itemImageL\";s:3:\"762\";s:11:\"itemImageXL\";s:3:\"882\";s:16:\"itemImageGeneric\";s:3:\"882\";s:13:\"catImageWidth\";s:3:\"100\";s:15:\"catImageDefault\";s:1:\"1\";s:14:\"userImageWidth\";s:3:\"100\";s:16:\"userImageDefault\";s:1:\"1\";s:17:\"commenterImgWidth\";s:2:\"48\";s:17:\"onlineImageEditor\";s:8:\"splashup\";s:14:\"imageTimestamp\";s:1:\"0\";s:16:\"imageMemoryLimit\";s:0:\"\";s:16:\"socialButtonCode\";s:0:\"\";s:15:\"twitterUsername\";s:0:\"\";s:13:\"facebookImage\";s:6:\"XSmall\";s:8:\"comments\";s:1:\"1\";s:16:\"commentsOrdering\";s:4:\"DESC\";s:13:\"commentsLimit\";s:2:\"10\";s:20:\"commentsFormPosition\";s:5:\"below\";s:18:\"commentsPublishing\";s:1:\"1\";s:17:\"commentsReporting\";s:1:\"2\";s:23:\"commentsReportRecipient\";s:0:\"\";s:24:\"inlineCommentsModeration\";s:1:\"0\";s:8:\"gravatar\";s:1:\"1\";s:9:\"recaptcha\";s:1:\"0\";s:17:\"commentsFormNotes\";s:1:\"1\";s:21:\"commentsFormNotesText\";s:0:\"\";s:15:\"frontendEditing\";s:1:\"1\";s:12:\"showImageTab\";s:1:\"1\";s:19:\"showImageGalleryTab\";s:1:\"1\";s:12:\"showVideoTab\";s:1:\"1\";s:18:\"showExtraFieldsTab\";s:1:\"1\";s:18:\"showAttachmentsTab\";s:1:\"1\";s:13:\"showK2Plugins\";s:1:\"1\";s:22:\"sideBarDisplayFrontend\";s:1:\"0\";s:12:\"mergeEditors\";s:1:\"1\";s:14:\"sideBarDisplay\";s:1:\"1\";s:17:\"attachmentsFolder\";s:0:\"\";s:16:\"hideImportButton\";s:1:\"0\";s:12:\"googleSearch\";s:1:\"0\";s:21:\"googleSearchContainer\";s:11:\"k2Container\";s:13:\"K2UserProfile\";s:1:\"1\";s:8:\"redirect\";s:3:\"103\";s:11:\"adminSearch\";s:6:\"simple\";s:12:\"cookieDomain\";s:0:\"\";s:13:\"taggingSystem\";s:1:\"1\";s:8:\"lockTags\";s:1:\"0\";s:13:\"showTagFilter\";s:1:\"0\";s:9:\"k2TagNorm\";s:1:\"0\";s:13:\"k2TagNormCase\";s:5:\"lower\";s:31:\"k2TagNormAdditionalReplacements\";s:0:\"\";s:20:\"recaptcha_public_key\";s:0:\"\";s:21:\"recaptcha_private_key\";s:0:\"\";s:15:\"recaptcha_theme\";s:5:\"clean\";s:23:\"recaptchaOnRegistration\";s:1:\"0\";s:13:\"stopForumSpam\";s:1:\"0\";s:19:\"stopForumSpamApiKey\";s:0:\"\";s:21:\"showItemsCounterAdmin\";s:1:\"1\";s:17:\"showChildCatItems\";s:1:\"1\";s:22:\"disableCompactOrdering\";s:1:\"0\";s:13:\"metaDescLimit\";s:3:\"150\";s:22:\"enforceSEFReplacements\";s:1:\"0\";s:15:\"SEFReplacements\";s:2768:\"À|A, Á|A, Â|A, Ã|A, Ä|A, Å|A, à|a, á|a, â|a, ã|a, ä|a, å|a, Ā|A, ā|a, Ă|A, ă|a, Ą|A, ą|a, Ç|C, ç|c, Ć|C, ć|c, Ĉ|C, ĉ|c, Ċ|C, ċ|c, Č|C, č|c, Ð|D, ð|d, Ď|D, ď|d, Đ|D, đ|d, È|E, É|E, Ê|E, Ë|E, è|e, é|e, ê|e, ë|e, Ē|E, ē|e, Ĕ|E, ĕ|e, Ė|E, ė|e, Ę|E, ę|e, Ě|E, ě|e, Ĝ|G, ĝ|g, Ğ|G, ğ|g, Ġ|G, ġ|g, Ģ|G, ģ|g, Ĥ|H, ĥ|h, Ħ|H, ħ|h, Ì|I, Í|I, Î|I, Ï|I, ì|i, í|i, î|i, ï|i, Ĩ|I, ĩ|i, Ī|I, ī|i, Ĭ|I, ĭ|i, Į|I, į|i, İ|I, ı|i, Ĵ|J, ĵ|j, Ķ|K, ķ|k, ĸ|k, Ĺ|L, ĺ|l, Ļ|L, ļ|l, Ľ|L, ľ|l, Ŀ|L, ŀ|l, Ł|L, ł|l, Ñ|N, ñ|n, Ń|N, ń|n, Ņ|N, ņ|n, Ň|N, ň|n, ŉ|n, Ŋ|N, ŋ|n, Ò|O, Ó|O, Ô|O, Õ|O, Ö|O, Ø|O, ò|o, ó|o, ô|o, õ|o, ö|o, ø|o, Ō|O, ō|o, Ŏ|O, ŏ|o, Ő|O, ő|o, Ŕ|R, ŕ|r, Ŗ|R, ŗ|r, Ř|R, ř|r, Ś|S, ś|s, Ŝ|S, ŝ|s, Ş|S, ş|s, Š|S, š|s, ſ|s, Ţ|T, ţ|t, Ť|T, ť|t, Ŧ|T, ŧ|t, Ù|U, Ú|U, Û|U, Ü|U, ù|u, ú|u, û|u, ü|u, Ũ|U, ũ|u, Ū|U, ū|u, Ŭ|U, ŭ|u, Ů|U, ů|u, Ű|U, ű|u, Ų|U, ų|u, Ŵ|W, ŵ|w, Ý|Y, ý|y, ÿ|y, Ŷ|Y, ŷ|y, Ÿ|Y, Ź|Z, ź|z, Ż|Z, ż|z, Ž|Z, ž|z, α|a, β|b, γ|g, δ|d, ε|e, ζ|z, η|h, θ|th, ι|i, κ|k, λ|l, μ|m, ν|n, ξ|x, ο|o, π|p, ρ|r, σ|s, τ|t, υ|y, φ|f, χ|ch, ψ|ps, ω|w, Α|A, Β|B, Γ|G, Δ|D, Ε|E, Ζ|Z, Η|H, Θ|Th, Ι|I, Κ|K, Λ|L, Μ|M, Ξ|X, Ο|O, Π|P, Ρ|R, Σ|S, Τ|T, Υ|Y, Φ|F, Χ|Ch, Ψ|Ps, Ω|W, ά|a, έ|e, ή|h, ί|i, ό|o, ύ|y, ώ|w, Ά|A, Έ|E, Ή|H, Ί|I, Ό|O, Ύ|Y, Ώ|W, ϊ|i, ΐ|i, ϋ|y, ς|s, А|A, Ӑ|A, Ӓ|A, Ә|E, Ӛ|E, Ӕ|E, Б|B, В|V, Г|G, Ґ|G, Ѓ|G, Ғ|G, Ӷ|G, y|Y, Д|D, Е|E, Ѐ|E, Ё|YO, Ӗ|E, Ҽ|E, Ҿ|E, Є|YE, Ж|ZH, Ӂ|DZH, Җ|ZH, Ӝ|DZH, З|Z, Ҙ|Z, Ӟ|DZ, Ӡ|DZ, Ѕ|DZ, И|I, Ѝ|I, Ӥ|I, Ӣ|I, І|I, Ї|JI, Ӏ|I, Й|Y, Ҋ|Y, Ј|J, К|K, Қ|Q, Ҟ|Q, Ҡ|K, Ӄ|Q, Ҝ|K, Л|L, Ӆ|L, Љ|L, М|M, Ӎ|M, Н|N, Ӊ|N, Ң|N, Ӈ|N, Ҥ|N, Њ|N, О|O, Ӧ|O, Ө|O, Ӫ|O, Ҩ|O, П|P, Ҧ|PF, Р|P, Ҏ|P, С|S, Ҫ|S, Т|T, Ҭ|TH, Ћ|T, Ќ|K, У|U, Ў|U, Ӳ|U, Ӱ|U, Ӯ|U, Ү|U, Ұ|U, Ф|F, Х|H, Ҳ|H, Һ|H, Ц|TS, Ҵ|TS, Ч|CH, Ӵ|CH, Ҷ|CH, Ӌ|CH, Ҹ|CH, Џ|DZ, Ш|SH, Щ|SHT, Ъ|A, Ы|Y, Ӹ|Y, Ь|Y, Ҍ|Y, Э|E, Ӭ|E, Ю|YU, Я|YA, а|a, ӑ|a, ӓ|a, ә|e, ӛ|e, ӕ|e, б|b, в|v, г|g, ґ|g, ѓ|g, ғ|g, ӷ|g, y|y, д|d, е|e, ѐ|e, ё|yo, ӗ|e, ҽ|e, ҿ|e, є|ye, ж|zh, ӂ|dzh, җ|zh, ӝ|dzh, з|z, ҙ|z, ӟ|dz, ӡ|dz, ѕ|dz, и|i, ѝ|i, ӥ|i, ӣ|i, і|i, ї|ji, Ӏ|i, й|y, ҋ|y, ј|j, к|k, қ|q, ҟ|q, ҡ|k, ӄ|q, ҝ|k, л|l, ӆ|l, љ|l, м|m, ӎ|m, н|n, ӊ|n, ң|n, ӈ|n, ҥ|n, њ|n, о|o, ӧ|o, ө|o, ӫ|o, ҩ|o, п|p, ҧ|pf, р|p, ҏ|p, с|s, ҫ|s, т|t, ҭ|th, ћ|t, ќ|k, у|u, ў|u, ӳ|u, ӱ|u, ӯ|u, ү|u, ұ|u, ф|f, х|h, ҳ|h, һ|h, ц|ts, ҵ|ts, ч|ch, ӵ|ch, ҷ|ch, ӌ|ch, ҹ|ch, џ|dz, ш|sh, щ|sht, ъ|a, ы|y, ӹ|y, ь|y, ҍ|y, э|e, ӭ|e, ю|yu, я|ya\";s:5:\"k2Sef\";s:1:\"0\";s:13:\"k2SefLabelCat\";s:7:\"content\";s:13:\"k2SefLabelTag\";s:3:\"tag\";s:14:\"k2SefLabelUser\";s:6:\"author\";s:16:\"k2SefLabelSearch\";s:6:\"search\";s:14:\"k2SefLabelDate\";s:4:\"date\";s:14:\"k2SefLabelItem\";s:1:\"0\";s:26:\"k2SefLabelItemCustomPrefix\";s:0:\"\";s:17:\"k2SefInsertItemId\";s:1:\"1\";s:24:\"k2SefItemIdTitleAliasSep\";s:4:\"dash\";s:22:\"k2SefUseItemTitleAlias\";s:1:\"1\";s:16:\"k2SefInsertCatId\";s:1:\"1\";s:23:\"k2SefCatIdTitleAliasSep\";s:4:\"dash\";s:21:\"k2SefUseCatTitleAlias\";s:1:\"1\";s:16:\"sh404SefLabelCat\";s:0:\"\";s:17:\"sh404SefLabelUser\";s:4:\"blog\";s:17:\"sh404SefLabelItem\";s:1:\"2\";s:18:\"sh404SefTitleAlias\";s:5:\"alias\";s:29:\"sh404SefModK2ContentFeedAlias\";s:4:\"feed\";s:20:\"sh404SefInsertItemId\";s:1:\"0\";s:26:\"sh404SefInsertUniqueItemId\";s:1:\"0\";s:13:\"cbIntegration\";s:1:\"0\";}}s:7:\"metakey\";s:0:\"\";s:8:\"metadesc\";s:0:\"\";s:8:\"metadata\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:6:\"robots\";s:0:\"\";s:6:\"author\";s:0:\"\";}}s:8:\"ordering\";s:1:\"3\";s:5:\"trash\";s:1:\"0\";s:9:\"cat_trash\";s:1:\"0\";s:8:\"category\";s:4:\"Blog\";s:9:\"cat_state\";s:1:\"1\";s:10:\"cat_access\";s:1:\"1\";s:4:\"slug\";s:36:\"18:cherrydesign-blog-joomla-template\";s:7:\"catslug\";s:6:\"3:blog\";s:6:\"author\";s:10:\"Super User\";s:6:\"layout\";s:4:\"item\";s:4:\"path\";s:64:\"index.php/component/k2/item/18-cherrydesign-blog-joomla-template\";s:10:\"metaauthor\";N;}s:15:\"\0*\0instructions\";a:5:{i:1;a:3:{i:0;s:5:\"title\";i:1;s:8:\"subtitle\";i:2;s:2:\"id\";}i:2;a:2:{i:0;s:7:\"summary\";i:1;s:4:\"body\";}i:3;a:8:{i:0;s:4:\"meta\";i:1;s:10:\"list_price\";i:2;s:10:\"sale_price\";i:3;s:7:\"metakey\";i:4;s:8:\"metadesc\";i:5;s:10:\"metaauthor\";i:6;s:6:\"author\";i:7;s:16:\"created_by_alias\";}i:4;a:2:{i:0;s:4:\"path\";i:1;s:5:\"alias\";}i:5;a:1:{i:0;s:8:\"comments\";}}s:11:\"\0*\0taxonomy\";a:4:{s:4:\"Type\";a:1:{s:7:\"K2 Item\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:7:\"K2 Item\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:6:\"Author\";a:1:{s:10:\"Super User\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:10:\"Super User\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:11:\"K2 Category\";a:1:{s:4:\"Blog\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:4:\"Blog\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}s:8:\"Language\";a:1:{s:1:\"*\";O:7:\"JObject\":4:{s:10:\"\0*\0_errors\";a:0:{}s:5:\"title\";s:1:\"*\";s:5:\"state\";i:1;s:6:\"access\";i:1;}}}s:3:\"url\";s:39:\"index.php?option=com_k2&view=item&id=18\";s:5:\"route\";s:73:\"index.php?option=com_k2&view=item&id=18:cherrydesign-blog-joomla-template\";s:5:\"title\";s:36:\"CherryDesign - Blog Joomla! Template\";s:11:\"description\";s:251:\"Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue.\";s:9:\"published\";N;s:5:\"state\";i:1;s:6:\"access\";s:1:\"1\";s:8:\"language\";s:1:\"*\";s:18:\"publish_start_date\";s:19:\"2013-04-11 11:04:14\";s:16:\"publish_end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"start_date\";s:19:\"2013-04-11 11:04:14\";s:8:\"end_date\";s:19:\"0000-00-00 00:00:00\";s:10:\"list_price\";N;s:10:\"sale_price\";N;s:7:\"type_id\";i:1;s:15:\"defaultLanguage\";s:5:\"en-GB\";}');


--
-- Table structure for table `#__finder_links_terms0`
--



CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms0`
--


INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES (1,3,0.04669),(2,3,0.04669),(3,3,0.04669),(4,3,0.04669),(5,3,0.04669),(6,3,0.04669),(7,3,0.04669),(8,3,0.04669),(9,3,0.04669),(10,3,0.04669),(11,3,0.04669),(12,3,0.04669),(13,3,0.04669),(14,3,0.04669),(15,3,0.04669),(16,3,0.04669),(17,3,0.04669),(18,3,0.04669),(1,4,0.93331),(2,4,0.93331),(3,4,0.93331),(4,4,0.93331),(5,4,0.93331),(6,4,0.93331),(7,4,0.93331),(8,4,0.93331),(9,4,0.93331),(10,4,0.93331),(11,4,0.93331),(12,4,0.93331),(13,4,0.93331),(14,4,0.93331),(15,4,0.93331),(16,4,0.93331),(17,4,0.93331),(18,4,0.93331),(1,5,1.07331),(2,5,1.07331),(3,5,1.07331),(4,5,1.07331),(5,5,1.07331),(6,5,1.07331),(7,5,1.07331),(8,5,1.07331),(9,5,1.07331),(10,5,1.07331),(11,5,1.07331),(12,5,1.07331),(13,5,1.07331),(14,5,1.07331),(15,5,1.07331),(16,5,1.07331),(17,5,1.07331),(18,5,1.07331),(1,6,0.18662),(2,6,0.18662),(3,6,0.18662),(4,6,0.18662),(5,6,0.18662),(6,6,0.18662),(7,6,0.18662),(8,6,0.18662),(9,6,0.18662),(10,6,0.18662),(11,6,0.18662),(12,6,0.18662),(13,6,0.18662),(14,6,0.18662),(15,6,0.18662),(16,6,0.18662),(17,6,0.18662),(18,6,0.18662),(1,7,1.02669),(2,7,1.02669),(3,7,1.02669),(4,7,1.02669),(5,7,1.02669),(6,7,1.02669),(7,7,1.02669),(8,7,1.02669),(9,7,1.02669),(10,7,1.02669),(11,7,1.02669),(12,7,1.02669),(13,7,1.02669),(14,7,1.02669),(15,7,1.02669),(16,7,1.02669),(17,7,1.02669),(18,7,1.02669),(1,8,1.09669),(2,8,1.09669),(3,8,1.09669),(4,8,1.09669),(5,8,1.09669),(6,8,1.09669),(7,8,1.09669),(8,8,1.09669),(9,8,1.09669),(10,8,1.09669),(11,8,1.09669),(12,8,1.09669),(13,8,1.09669),(14,8,1.09669),(15,8,1.09669),(16,8,1.09669),(17,8,1.09669),(18,8,1.09669),(1,9,1.00331),(2,9,1.00331),(3,9,1.00331),(4,9,1.00331),(5,9,1.00331),(6,9,1.00331),(7,9,1.00331),(8,9,1.00331),(9,9,1.00331),(10,9,1.00331),(11,9,1.00331),(12,9,1.00331),(13,9,1.00331),(14,9,1.00331),(15,9,1.00331),(16,9,1.00331),(17,9,1.00331),(18,9,1.00331),(1,10,1.07331),(2,10,1.07331),(3,10,1.07331),(4,10,1.07331),(5,10,1.07331),(6,10,1.07331),(7,10,1.07331),(8,10,1.07331),(9,10,1.07331),(10,10,1.07331),(11,10,1.07331),(12,10,1.07331),(13,10,1.07331),(14,10,1.07331),(15,10,1.07331),(16,10,1.07331),(17,10,1.07331),(18,10,1.07331),(1,11,0.28),(2,11,0.28),(3,11,0.28),(4,11,0.28),(5,11,0.28),(6,11,0.28),(7,11,0.28),(8,11,0.28),(9,11,0.28),(10,11,0.28),(11,11,0.28),(12,11,0.28),(13,11,0.28),(14,11,0.28),(15,11,0.28),(16,11,0.28),(17,11,0.28),(18,11,0.28),(1,12,0.91),(2,12,0.91),(3,12,0.91),(4,12,0.91),(5,12,0.91),(6,12,0.91),(7,12,0.91),(8,12,0.91),(9,12,0.91),(10,12,0.91),(11,12,0.91),(12,12,0.91),(13,12,0.91),(14,12,0.91),(15,12,0.91),(16,12,0.91),(17,12,0.91),(18,12,0.91),(1,13,1.00331),(2,13,1.00331),(3,13,1.00331),(4,13,1.00331),(5,13,1.00331),(6,13,1.00331),(7,13,1.00331),(8,13,1.00331),(9,13,1.00331),(10,13,1.00331),(11,13,1.00331),(12,13,1.00331),(13,13,1.00331),(14,13,1.00331),(15,13,1.00331),(16,13,1.00331),(17,13,1.00331),(18,13,1.00331),(1,14,0.56007),(2,14,0.56007),(3,14,0.56007),(4,14,0.56007),(5,14,0.56007),(6,14,0.56007),(7,14,0.56007),(8,14,0.56007),(9,14,0.56007),(10,14,0.56007),(11,14,0.56007),(12,14,0.56007),(13,14,0.56007),(14,14,0.56007),(15,14,0.56007),(16,14,0.56007),(17,14,0.56007),(18,14,0.56007),(1,15,2.05338),(2,15,2.05338),(3,15,2.05338),(4,15,2.05338),(5,15,2.05338),(6,15,2.05338),(7,15,2.05338),(8,15,2.05338),(9,15,2.05338),(10,15,2.05338),(11,15,2.05338),(12,15,2.05338),(13,15,2.05338),(14,15,2.05338),(15,15,2.05338),(16,15,2.05338),(17,15,2.05338),(18,15,2.05338),(1,16,1.16669),(2,16,1.16669),(3,16,1.16669),(4,16,1.16669),(5,16,1.16669),(6,16,1.16669),(7,16,1.16669),(8,16,1.16669),(9,16,1.16669),(10,16,1.16669),(11,16,1.16669),(12,16,1.16669),(13,16,1.16669),(14,16,1.16669),(15,16,1.16669),(16,16,1.16669),(17,16,1.16669),(18,16,1.16669),(1,17,1.19),(2,17,1.19),(3,17,1.19),(4,17,1.19),(5,17,1.19),(6,17,1.19),(7,17,1.19),(8,17,1.19),(9,17,1.19),(10,17,1.19),(11,17,1.19),(12,17,1.19),(13,17,1.19),(14,17,1.19),(15,17,1.19),(16,17,1.19),(17,17,1.19),(18,17,1.19),(1,18,0.88669),(2,18,0.88669),(3,18,0.88669),(4,18,0.88669),(5,18,0.88669),(6,18,0.88669),(7,18,0.88669),(8,18,0.88669),(9,18,0.88669),(10,18,0.88669),(11,18,0.88669),(12,18,0.88669),(13,18,0.88669),(14,18,0.88669),(15,18,0.88669),(16,18,0.88669),(17,18,0.88669),(18,18,0.88669),(1,19,1.02669),(2,19,1.02669),(3,19,1.02669),(4,19,1.02669),(5,19,1.02669),(6,19,1.02669),(7,19,1.02669),(8,19,1.02669),(9,19,1.02669),(10,19,1.02669),(11,19,1.02669),(12,19,1.02669),(13,19,1.02669),(14,19,1.02669),(15,19,1.02669),(16,19,1.02669),(17,19,1.02669),(18,19,1.02669),(1,20,1.72679),(1,21,5.18),(1,22,6.29),(1,23,0.18662),(2,23,0.18662),(3,23,0.18662),(4,23,0.18662),(5,23,0.18662),(6,23,0.18662),(7,23,0.18662),(8,23,0.18662),(9,23,0.18662),(10,23,0.18662),(11,23,0.18662),(12,23,0.18662),(13,23,0.18662),(14,23,0.18662),(15,23,0.18662),(16,23,0.18662),(17,23,0.18662),(18,23,0.18662),(1,24,0.86331),(2,24,0.86331),(3,24,0.86331),(4,24,0.86331),(5,24,0.86331),(6,24,0.86331),(7,24,0.86331),(8,24,0.86331),(9,24,0.86331),(10,24,0.86331),(11,24,0.86331),(12,24,0.86331),(13,24,0.86331),(14,24,0.86331),(15,24,0.86331),(16,24,0.86331),(17,24,0.86331),(18,24,0.86331),(1,25,1.00331),(2,25,1.00331),(3,25,1.00331),(4,25,1.00331),(5,25,1.00331),(6,25,1.00331),(7,25,1.00331),(8,25,1.00331),(9,25,1.00331),(10,25,1.00331),(11,25,1.00331),(12,25,1.00331),(13,25,1.00331),(14,25,1.00331),(15,25,1.00331),(16,25,1.00331),(17,25,1.00331),(18,25,1.00331),(1,26,0.95669),(2,26,0.95669),(3,26,0.95669),(4,26,0.95669),(5,26,0.95669),(6,26,0.95669),(7,26,0.95669),(8,26,0.95669),(9,26,0.95669),(10,26,0.95669),(11,26,0.95669),(12,26,0.95669),(13,26,0.95669),(14,26,0.95669),(15,26,0.95669),(16,26,0.95669),(17,26,0.95669),(18,26,0.95669),(1,27,1.09669),(2,27,1.09669),(3,27,1.09669),(4,27,1.09669),(5,27,1.09669),(6,27,1.09669),(7,27,1.09669),(8,27,1.09669),(9,27,1.09669),(10,27,1.09669),(11,27,1.09669),(12,27,1.09669),(13,27,1.09669),(14,27,1.09669),(15,27,1.09669),(16,27,1.09669),(17,27,1.09669),(18,27,1.09669),(1,28,0.56),(2,28,0.56),(3,28,0.56),(4,28,0.56),(5,28,0.56),(6,28,0.56),(7,28,0.56),(8,28,0.56),(9,28,0.56),(10,28,0.56),(11,28,0.56),(12,28,0.56),(13,28,0.56),(14,28,0.56),(15,28,0.56),(16,28,0.56),(17,28,0.56),(18,28,0.56),(1,29,2.14662),(2,29,2.14662),(3,29,2.14662),(4,29,2.14662),(5,29,2.14662),(6,29,2.14662),(7,29,2.14662),(8,29,2.14662),(9,29,2.14662),(10,29,2.14662),(11,29,2.14662),(12,29,2.14662),(13,29,2.14662),(14,29,2.14662),(15,29,2.14662),(16,29,2.14662),(17,29,2.14662),(18,29,2.14662),(1,30,1.19),(2,30,1.19),(3,30,1.19),(4,30,1.19),(5,30,1.19),(6,30,1.19),(7,30,1.19),(8,30,1.19),(9,30,1.19),(10,30,1.19),(11,30,1.19),(12,30,1.19),(13,30,1.19),(14,30,1.19),(15,30,1.19),(16,30,1.19),(17,30,1.19),(18,30,1.19),(1,31,0.23331),(2,31,0.23331),(3,31,0.23331),(4,31,0.23331),(5,31,0.23331),(6,31,0.23331),(7,31,0.23331),(8,31,0.23331),(9,31,0.23331),(10,31,0.23331),(11,31,0.23331),(12,31,0.23331),(13,31,0.23331),(14,31,0.23331),(15,31,0.23331),(16,31,0.23331),(17,31,0.23331),(18,31,0.23331),(1,198,0.28),(2,198,0.28),(3,198,0.28),(4,198,0.28),(5,198,0.28),(6,198,0.28),(7,198,0.28),(8,198,0.28),(9,198,0.28),(10,198,0.28),(11,198,0.28),(12,198,0.28),(13,198,0.28),(14,198,0.28),(15,198,0.28),(16,198,0.28),(17,198,0.28),(18,198,0.28),(1,199,0.88669),(2,199,0.88669),(3,199,0.88669),(4,199,0.88669),(5,199,0.88669),(6,199,0.88669),(7,199,0.88669),(8,199,0.88669),(9,199,0.88669),(10,199,0.88669),(11,199,0.88669),(12,199,0.88669),(13,199,0.88669),(14,199,0.88669),(15,199,0.88669),(16,199,0.88669),(17,199,0.88669),(18,199,0.88669),(1,200,1.00331),(2,200,1.00331),(3,200,1.00331),(4,200,1.00331),(5,200,1.00331),(6,200,1.00331),(7,200,1.00331),(8,200,1.00331),(9,200,1.00331),(10,200,1.00331),(11,200,1.00331),(12,200,1.00331),(13,200,1.00331),(14,200,1.00331),(15,200,1.00331),(16,200,1.00331),(17,200,1.00331),(18,200,1.00331),(1,201,0.95669),(2,201,0.95669),(3,201,0.95669),(4,201,0.95669),(5,201,0.95669),(6,201,0.95669),(7,201,0.95669),(8,201,0.95669),(9,201,0.95669),(10,201,0.95669),(11,201,0.95669),(12,201,0.95669),(13,201,0.95669),(14,201,0.95669),(15,201,0.95669),(16,201,0.95669),(17,201,0.95669),(18,201,0.95669),(1,202,1.23669),(2,202,1.23669),(3,202,1.23669),(4,202,1.23669),(5,202,1.23669),(6,202,1.23669),(7,202,1.23669),(8,202,1.23669),(9,202,1.23669),(10,202,1.23669),(11,202,1.23669),(12,202,1.23669),(13,202,1.23669),(14,202,1.23669),(15,202,1.23669),(16,202,1.23669),(17,202,1.23669),(18,202,1.23669),(1,203,0.42),(2,203,0.42),(3,203,0.42),(4,203,0.42),(5,203,0.42),(6,203,0.42),(7,203,0.42),(8,203,0.42),(9,203,0.42),(10,203,0.42),(11,203,0.42),(12,203,0.42),(13,203,0.42),(14,203,0.42),(15,203,0.42),(16,203,0.42),(17,203,0.42),(18,203,0.42),(1,204,0.95669),(2,204,0.95669),(3,204,0.95669),(4,204,0.95669),(5,204,0.95669),(6,204,0.95669),(7,204,0.95669),(8,204,0.95669),(9,204,0.95669),(10,204,0.95669),(11,204,0.95669),(12,204,0.95669),(13,204,0.95669),(14,204,0.95669),(15,204,0.95669),(16,204,0.95669),(17,204,0.95669),(18,204,0.95669),(1,205,1.07331),(2,205,1.07331),(3,205,1.07331),(4,205,1.07331),(5,205,1.07331),(6,205,1.07331),(7,205,1.07331),(8,205,1.07331),(9,205,1.07331),(10,205,1.07331),(11,205,1.07331),(12,205,1.07331),(13,205,1.07331),(14,205,1.07331),(15,205,1.07331),(16,205,1.07331),(17,205,1.07331),(18,205,1.07331),(1,206,2.00662),(2,206,2.00662),(3,206,2.00662),(4,206,2.00662),(5,206,2.00662),(6,206,2.00662),(7,206,2.00662),(8,206,2.00662),(9,206,2.00662),(10,206,2.00662),(11,206,2.00662),(12,206,2.00662),(13,206,2.00662),(14,206,2.00662),(15,206,2.00662),(16,206,2.00662),(17,206,2.00662),(18,206,2.00662),(1,207,2.28662),(2,207,2.28662),(3,207,2.28662),(4,207,2.28662),(5,207,2.28662),(6,207,2.28662),(7,207,2.28662),(8,207,2.28662),(9,207,2.28662),(10,207,2.28662),(11,207,2.28662),(12,207,2.28662),(13,207,2.28662),(14,207,2.28662),(15,207,2.28662),(16,207,2.28662),(17,207,2.28662),(18,207,2.28662),(1,208,0.42),(2,208,0.42),(3,208,0.42),(4,208,0.42),(5,208,0.42),(6,208,0.42),(7,208,0.42),(8,208,0.42),(9,208,0.42),(10,208,0.42),(11,208,0.42),(12,208,0.42),(13,208,0.42),(14,208,0.42),(15,208,0.42),(16,208,0.42),(17,208,0.42),(18,208,0.42),(1,209,2.66007),(2,209,2.66007),(3,209,2.66007),(4,209,2.66007),(5,209,2.66007),(6,209,2.66007),(7,209,2.66007),(8,209,2.66007),(9,209,2.66007),(10,209,2.66007),(11,209,2.66007),(12,209,2.66007),(13,209,2.66007),(14,209,2.66007),(15,209,2.66007),(16,209,2.66007),(17,209,2.66007),(18,209,2.66007),(1,210,2.24),(2,210,2.24),(3,210,2.24),(4,210,2.24),(5,210,2.24),(6,210,2.24),(7,210,2.24),(8,210,2.24),(9,210,2.24),(10,210,2.24),(11,210,2.24),(12,210,2.24),(13,210,2.24),(14,210,2.24),(15,210,2.24),(16,210,2.24),(17,210,2.24),(18,210,2.24),(1,211,0.98),(2,211,0.98),(3,211,0.98),(4,211,0.98),(5,211,0.98),(6,211,0.98),(7,211,0.98),(8,211,0.98),(9,211,0.98),(10,211,0.98),(11,211,0.98),(12,211,0.98),(13,211,0.98),(14,211,0.98),(15,211,0.98),(16,211,0.98),(17,211,0.98),(18,211,0.98),(1,212,0.79992),(2,212,0.79992),(3,212,0.79992),(4,212,0.79992),(5,212,0.79992),(6,212,0.79992),(7,212,0.79992),(8,212,0.79992),(9,212,0.79992),(10,212,0.79992),(11,212,0.79992),(12,212,0.79992),(13,212,0.79992),(14,212,0.79992),(15,212,0.79992),(16,212,0.79992),(17,212,0.79992),(18,212,0.79992),(1,213,3.19992),(2,213,3.19992),(3,213,3.19992),(4,213,3.19992),(5,213,3.19992),(6,213,3.19992),(7,213,3.19992),(8,213,3.19992),(9,213,3.19992),(10,213,3.19992),(11,213,3.19992),(12,213,3.19992),(13,213,3.19992),(14,213,3.19992),(15,213,3.19992),(16,213,3.19992),(17,213,3.19992),(18,213,3.19992),(4,289,1.23321),(4,290,4.93321),(4,291,5.79679),(4,292,1.72679),(4,293,5.30321),(4,294,5.92),(8,333,0.48),(9,333,1.96),(10,333,1.96),(8,334,1.88004),(9,334,1.88004),(10,334,1.88004),(9,341,5.30321),(10,341,5.30321),(9,342,6.41321),(10,342,6.41321),(12,359,1.72679),(12,360,5.67321),(12,361,6.53679);


--
-- Table structure for table `#__finder_links_terms1`
--



CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms1`
--


INSERT INTO `#__finder_links_terms1` (`link_id`, `term_id`, `weight`) VALUES (6,308,0.17);


--
-- Table structure for table `#__finder_links_terms2`
--



CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms2`
--


INSERT INTO `#__finder_links_terms2` (`link_id`, `term_id`, `weight`) VALUES (1,101,0.32669),(2,101,0.32669),(3,101,0.32669),(4,101,0.32669),(5,101,0.32669),(6,101,0.32669),(7,101,0.32669),(8,101,0.32669),(9,101,0.32669),(10,101,0.32669),(11,101,0.32669),(12,101,0.32669),(13,101,0.32669),(14,101,0.32669),(15,101,0.32669),(16,101,0.32669),(17,101,0.32669),(18,101,0.32669),(1,102,0.98),(2,102,0.98),(3,102,0.98),(4,102,0.98),(5,102,0.98),(6,102,0.98),(7,102,0.98),(8,102,0.98),(9,102,0.98),(10,102,0.98),(11,102,0.98),(12,102,0.98),(13,102,0.98),(14,102,0.98),(15,102,0.98),(16,102,0.98),(17,102,0.98),(18,102,0.98),(1,103,1.21331),(2,103,1.21331),(3,103,1.21331),(4,103,1.21331),(5,103,1.21331),(6,103,1.21331),(7,103,1.21331),(8,103,1.21331),(9,103,1.21331),(10,103,1.21331),(11,103,1.21331),(12,103,1.21331),(13,103,1.21331),(14,103,1.21331),(15,103,1.21331),(16,103,1.21331),(17,103,1.21331),(18,103,1.21331),(1,104,0.56),(2,104,0.56),(3,104,0.56),(4,104,0.56),(5,104,0.56),(6,104,0.56),(7,104,0.56),(8,104,0.56),(9,104,0.56),(10,104,0.56),(11,104,0.56),(12,104,0.56),(13,104,0.56),(14,104,0.56),(15,104,0.56),(16,104,0.56),(17,104,0.56),(18,104,0.56),(1,105,0.91),(2,105,0.91),(3,105,0.91),(4,105,0.91),(5,105,0.91),(6,105,0.91),(7,105,0.91),(8,105,0.91),(9,105,0.91),(10,105,0.91),(11,105,0.91),(12,105,0.91),(13,105,0.91),(14,105,0.91),(15,105,0.91),(16,105,0.91),(17,105,0.91),(18,105,0.91),(1,106,1.19),(2,106,1.19),(3,106,1.19),(4,106,1.19),(5,106,1.19),(6,106,1.19),(7,106,1.19),(8,106,1.19),(9,106,1.19),(10,106,1.19),(11,106,1.19),(12,106,1.19),(13,106,1.19),(14,106,1.19),(15,106,1.19),(16,106,1.19),(17,106,1.19),(18,106,1.19),(1,107,0.93331),(2,107,0.93331),(3,107,0.93331),(4,107,0.93331),(5,107,0.93331),(6,107,0.93331),(7,107,0.93331),(8,107,0.93331),(9,107,0.93331),(10,107,0.93331),(11,107,0.93331),(12,107,0.93331),(13,107,0.93331),(14,107,0.93331),(15,107,0.93331),(16,107,0.93331),(17,107,0.93331),(18,107,0.93331),(1,108,1.05),(2,108,1.05),(3,108,1.05),(4,108,1.05),(5,108,1.05),(6,108,1.05),(7,108,1.05),(8,108,1.05),(9,108,1.05),(10,108,1.05),(11,108,1.05),(12,108,1.05),(13,108,1.05),(14,108,1.05),(15,108,1.05),(16,108,1.05),(17,108,1.05),(18,108,1.05),(1,109,0.88669),(2,109,0.88669),(3,109,0.88669),(4,109,0.88669),(5,109,0.88669),(6,109,0.88669),(7,109,0.88669),(8,109,0.88669),(9,109,0.88669),(10,109,0.88669),(11,109,0.88669),(12,109,0.88669),(13,109,0.88669),(14,109,0.88669),(15,109,0.88669),(16,109,0.88669),(17,109,0.88669),(18,109,0.88669),(1,110,1.19),(2,110,1.19),(3,110,1.19),(4,110,1.19),(5,110,1.19),(6,110,1.19),(7,110,1.19),(8,110,1.19),(9,110,1.19),(10,110,1.19),(11,110,1.19),(12,110,1.19),(13,110,1.19),(14,110,1.19),(15,110,1.19),(16,110,1.19),(17,110,1.19),(18,110,1.19),(1,111,0.91),(2,111,0.91),(3,111,0.91),(4,111,0.91),(5,111,0.91),(6,111,0.91),(7,111,0.91),(8,111,0.91),(9,111,0.91),(10,111,0.91),(11,111,0.91),(12,111,0.91),(13,111,0.91),(14,111,0.91),(15,111,0.91),(16,111,0.91),(17,111,0.91),(18,111,0.91),(1,112,1.05),(2,112,1.05),(3,112,1.05),(4,112,1.05),(5,112,1.05),(6,112,1.05),(7,112,1.05),(8,112,1.05),(9,112,1.05),(10,112,1.05),(11,112,1.05),(12,112,1.05),(13,112,1.05),(14,112,1.05),(15,112,1.05),(16,112,1.05),(17,112,1.05),(18,112,1.05),(1,113,0.28),(2,113,0.28),(3,113,0.28),(4,113,0.28),(5,113,0.28),(6,113,0.28),(7,113,0.28),(8,113,0.28),(9,113,0.28),(10,113,0.28),(11,113,0.28),(12,113,0.28),(13,113,0.28),(14,113,0.28),(15,113,0.28),(16,113,0.28),(17,113,0.28),(18,113,0.28),(1,114,0.88669),(2,114,0.88669),(3,114,0.88669),(4,114,0.88669),(5,114,0.88669),(6,114,0.88669),(7,114,0.88669),(8,114,0.88669),(9,114,0.88669),(10,114,0.88669),(11,114,0.88669),(12,114,0.88669),(13,114,0.88669),(14,114,0.88669),(15,114,0.88669),(16,114,0.88669),(17,114,0.88669),(18,114,0.88669),(1,115,1.09669),(2,115,1.09669),(3,115,1.09669),(4,115,1.09669),(5,115,1.09669),(6,115,1.09669),(7,115,1.09669),(8,115,1.09669),(9,115,1.09669),(10,115,1.09669),(11,115,1.09669),(12,115,1.09669),(13,115,1.09669),(14,115,1.09669),(15,115,1.09669),(16,115,1.09669),(17,115,1.09669),(18,115,1.09669),(1,116,0.37331),(2,116,0.37331),(3,116,0.37331),(4,116,0.37331),(5,116,0.37331),(6,116,0.37331),(7,116,0.37331),(8,116,0.37331),(9,116,0.37331),(10,116,0.37331),(11,116,0.37331),(12,116,0.37331),(13,116,0.37331),(14,116,0.37331),(15,116,0.37331),(16,116,0.37331),(17,116,0.37331),(18,116,0.37331),(1,117,1.02669),(2,117,1.02669),(3,117,1.02669),(4,117,1.02669),(5,117,1.02669),(6,117,1.02669),(7,117,1.02669),(8,117,1.02669),(9,117,1.02669),(10,117,1.02669),(11,117,1.02669),(12,117,1.02669),(13,117,1.02669),(14,117,1.02669),(15,117,1.02669),(16,117,1.02669),(17,117,1.02669),(18,117,1.02669),(1,118,1.30669),(2,118,1.30669),(3,118,1.30669),(4,118,1.30669),(5,118,1.30669),(6,118,1.30669),(7,118,1.30669),(8,118,1.30669),(9,118,1.30669),(10,118,1.30669),(11,118,1.30669),(12,118,1.30669),(13,118,1.30669),(14,118,1.30669),(15,118,1.30669),(16,118,1.30669),(17,118,1.30669),(18,118,1.30669),(2,257,1.48),(2,258,5.05679),(2,259,6.04321);


--
-- Table structure for table `#__finder_links_terms3`
--



CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms3`
--


INSERT INTO `#__finder_links_terms3` (`link_id`, `term_id`, `weight`) VALUES (1,97,1.48),(2,97,1.48),(3,97,1.48),(4,97,1.48),(5,97,1.48),(6,97,1.48),(7,97,1.48),(8,97,1.48),(9,97,1.48),(10,97,1.48),(11,97,1.48),(12,97,1.48),(13,97,1.48),(14,97,1.48),(15,97,1.48),(16,97,1.48),(17,97,1.48),(18,97,1.48),(1,98,5.55),(2,98,5.55),(3,98,5.55),(4,98,5.55),(5,98,5.55),(6,98,5.55),(7,98,5.55),(8,98,5.55),(9,98,5.55),(10,98,5.55),(11,98,5.55),(12,98,5.55),(13,98,5.55),(14,98,5.55),(15,98,5.55),(16,98,5.55),(17,98,5.55),(18,98,5.55);


--
-- Table structure for table `#__finder_links_terms4`
--



CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms4`
--


INSERT INTO `#__finder_links_terms4` (`link_id`, `term_id`, `weight`) VALUES (1,38,2.05324),(2,38,2.05324),(3,38,2.05324),(4,38,2.05324),(5,38,2.05324),(6,38,2.05324),(7,38,2.05324),(8,38,2.05324),(9,38,2.05324),(10,38,2.05324),(11,38,2.05324),(12,38,2.05324),(13,38,2.05324),(14,38,2.05324),(15,38,2.05324),(16,38,2.05324),(17,38,2.05324),(18,38,2.05324),(1,39,1.02669),(2,39,1.02669),(3,39,1.02669),(4,39,1.02669),(5,39,1.02669),(6,39,1.02669),(7,39,1.02669),(8,39,1.02669),(9,39,1.02669),(10,39,1.02669),(11,39,1.02669),(12,39,1.02669),(13,39,1.02669),(14,39,1.02669),(15,39,1.02669),(16,39,1.02669),(17,39,1.02669),(18,39,1.02669),(1,40,1.28331),(2,40,1.28331),(3,40,1.28331),(4,40,1.28331),(5,40,1.28331),(6,40,1.28331),(7,40,1.28331),(8,40,1.28331),(9,40,1.28331),(10,40,1.28331),(11,40,1.28331),(12,40,1.28331),(13,40,1.28331),(14,40,1.28331),(15,40,1.28331),(16,40,1.28331),(17,40,1.28331),(18,40,1.28331),(1,41,1.05),(2,41,1.05),(3,41,1.05),(4,41,1.05),(5,41,1.05),(6,41,1.05),(7,41,1.05),(8,41,1.05),(9,41,1.05),(10,41,1.05),(11,41,1.05),(12,41,1.05),(13,41,1.05),(14,41,1.05),(15,41,1.05),(16,41,1.05),(17,41,1.05),(18,41,1.05),(1,42,1.12),(2,42,1.12),(3,42,1.12),(4,42,1.12),(5,42,1.12),(6,42,1.12),(7,42,1.12),(8,42,1.12),(9,42,1.12),(10,42,1.12),(11,42,1.12),(12,42,1.12),(13,42,1.12),(14,42,1.12),(15,42,1.12),(16,42,1.12),(17,42,1.12),(18,42,1.12),(1,43,2.19338),(2,43,2.19338),(3,43,2.19338),(4,43,2.19338),(5,43,2.19338),(6,43,2.19338),(7,43,2.19338),(8,43,2.19338),(9,43,2.19338),(10,43,2.19338),(11,43,2.19338),(12,43,2.19338),(13,43,2.19338),(14,43,2.19338),(15,43,2.19338),(16,43,2.19338),(17,43,2.19338),(18,43,2.19338),(1,44,2.38),(2,44,2.38),(3,44,2.38),(4,44,2.38),(5,44,2.38),(6,44,2.38),(7,44,2.38),(8,44,2.38),(9,44,2.38),(10,44,2.38),(11,44,2.38),(12,44,2.38),(13,44,2.38),(14,44,2.38),(15,44,2.38),(16,44,2.38),(17,44,2.38),(18,44,2.38),(1,45,0.37338),(2,45,0.37338),(3,45,0.37338),(4,45,0.37338),(5,45,0.37338),(6,45,0.37338),(7,45,0.37338),(8,45,0.37338),(9,45,0.37338),(10,45,0.37338),(11,45,0.37338),(12,45,0.37338),(13,45,0.37338),(14,45,0.37338),(15,45,0.37338),(16,45,0.37338),(17,45,0.37338),(18,45,0.37338),(1,46,1.91338),(2,46,1.91338),(3,46,1.91338),(4,46,1.91338),(5,46,1.91338),(6,46,1.91338),(7,46,1.91338),(8,46,1.91338),(9,46,1.91338),(10,46,1.91338),(11,46,1.91338),(12,46,1.91338),(13,46,1.91338),(14,46,1.91338),(15,46,1.91338),(16,46,1.91338),(17,46,1.91338),(18,46,1.91338),(1,47,2.47338),(2,47,2.47338),(3,47,2.47338),(4,47,2.47338),(5,47,2.47338),(6,47,2.47338),(7,47,2.47338),(8,47,2.47338),(9,47,2.47338),(10,47,2.47338),(11,47,2.47338),(12,47,2.47338),(13,47,2.47338),(14,47,2.47338),(15,47,2.47338),(16,47,2.47338),(17,47,2.47338),(18,47,2.47338),(1,191,0.93324),(2,191,0.93324),(3,191,0.93324),(4,191,0.93324),(5,191,0.93324),(6,191,0.93324),(7,191,0.93324),(8,191,0.93324),(9,191,0.93324),(10,191,0.93324),(11,191,0.93324),(12,191,0.93324),(13,191,0.93324),(14,191,0.93324),(15,191,0.93324),(16,191,0.93324),(17,191,0.93324),(18,191,0.93324),(1,192,1.86662),(2,192,1.86662),(3,192,1.86662),(4,192,1.86662),(5,192,1.86662),(6,192,1.86662),(7,192,1.86662),(8,192,1.86662),(9,192,1.86662),(10,192,1.86662),(11,192,1.86662),(12,192,1.86662),(13,192,1.86662),(14,192,1.86662),(15,192,1.86662),(16,192,1.86662),(17,192,1.86662),(18,192,1.86662),(1,193,2.1),(2,193,2.1),(3,193,2.1),(4,193,2.1),(5,193,2.1),(6,193,2.1),(7,193,2.1),(8,193,2.1),(9,193,2.1),(10,193,2.1),(11,193,2.1),(12,193,2.1),(13,193,2.1),(14,193,2.1),(15,193,2.1),(16,193,2.1),(17,193,2.1),(18,193,2.1),(1,194,0.95669),(2,194,0.95669),(3,194,0.95669),(4,194,0.95669),(5,194,0.95669),(6,194,0.95669),(7,194,0.95669),(8,194,0.95669),(9,194,0.95669),(10,194,0.95669),(11,194,0.95669),(12,194,0.95669),(13,194,0.95669),(14,194,0.95669),(15,194,0.95669),(16,194,0.95669),(17,194,0.95669),(18,194,0.95669),(1,195,1.02669),(2,195,1.02669),(3,195,1.02669),(4,195,1.02669),(5,195,1.02669),(6,195,1.02669),(7,195,1.02669),(8,195,1.02669),(9,195,1.02669),(10,195,1.02669),(11,195,1.02669),(12,195,1.02669),(13,195,1.02669),(14,195,1.02669),(15,195,1.02669),(16,195,1.02669),(17,195,1.02669),(18,195,1.02669),(1,196,0.98),(2,196,0.98),(3,196,0.98),(4,196,0.98),(5,196,0.98),(6,196,0.98),(7,196,0.98),(8,196,0.98),(9,196,0.98),(10,196,0.98),(11,196,0.98),(12,196,0.98),(13,196,0.98),(14,196,0.98),(15,196,0.98),(16,196,0.98),(17,196,0.98),(18,196,0.98),(1,197,1.16669),(2,197,1.16669),(3,197,1.16669),(4,197,1.16669),(5,197,1.16669),(6,197,1.16669),(7,197,1.16669),(8,197,1.16669),(9,197,1.16669),(10,197,1.16669),(11,197,1.16669),(12,197,1.16669),(13,197,1.16669),(14,197,1.16669),(15,197,1.16669),(16,197,1.16669),(17,197,1.16669),(18,197,1.16669),(5,302,2.22),(5,303,5.92),(5,304,6.78321),(6,312,2.46679),(6,313,5.79679),(6,314,6.90679),(9,337,0.17),(18,401,2.96),(18,402,5.79679),(18,403,6.66);


--
-- Table structure for table `#__finder_links_terms5`
--



CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms5`
--




--
-- Table structure for table `#__finder_links_terms6`
--



CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms6`
--


INSERT INTO `#__finder_links_terms6` (`link_id`, `term_id`, `weight`) VALUES (1,119,0.74662),(2,119,0.74662),(3,119,0.74662),(4,119,0.74662),(5,119,0.74662),(6,119,0.74662),(7,119,0.74662),(8,119,0.74662),(9,119,0.74662),(10,119,0.74662),(11,119,0.74662),(12,119,0.74662),(13,119,0.74662),(14,119,0.74662),(15,119,0.74662),(16,119,0.74662),(17,119,0.74662),(18,119,0.74662),(1,120,1.09669),(2,120,1.09669),(3,120,1.09669),(4,120,1.09669),(5,120,1.09669),(6,120,1.09669),(7,120,1.09669),(8,120,1.09669),(9,120,1.09669),(10,120,1.09669),(11,120,1.09669),(12,120,1.09669),(13,120,1.09669),(14,120,1.09669),(15,120,1.09669),(16,120,1.09669),(17,120,1.09669),(18,120,1.09669),(1,121,1.26),(2,121,1.26),(3,121,1.26),(4,121,1.26),(5,121,1.26),(6,121,1.26),(7,121,1.26),(8,121,1.26),(9,121,1.26),(10,121,1.26),(11,121,1.26),(12,121,1.26),(13,121,1.26),(14,121,1.26),(15,121,1.26),(16,121,1.26),(17,121,1.26),(18,121,1.26),(1,122,0.98),(2,122,0.98),(3,122,0.98),(4,122,0.98),(5,122,0.98),(6,122,0.98),(7,122,0.98),(8,122,0.98),(9,122,0.98),(10,122,0.98),(11,122,0.98),(12,122,0.98),(13,122,0.98),(14,122,0.98),(15,122,0.98),(16,122,0.98),(17,122,0.98),(18,122,0.98),(1,123,1.09669),(2,123,1.09669),(3,123,1.09669),(4,123,1.09669),(5,123,1.09669),(6,123,1.09669),(7,123,1.09669),(8,123,1.09669),(9,123,1.09669),(10,123,1.09669),(11,123,1.09669),(12,123,1.09669),(13,123,1.09669),(14,123,1.09669),(15,123,1.09669),(16,123,1.09669),(17,123,1.09669),(18,123,1.09669),(1,124,0.69993),(2,124,0.69993),(3,124,0.69993),(4,124,0.69993),(5,124,0.69993),(6,124,0.69993),(7,124,0.69993),(8,124,0.69993),(9,124,0.69993),(10,124,0.69993),(11,124,0.69993),(12,124,0.69993),(13,124,0.69993),(14,124,0.69993),(15,124,0.69993),(16,124,0.69993),(17,124,0.69993),(18,124,0.69993),(1,125,1.02669),(2,125,1.02669),(3,125,1.02669),(4,125,1.02669),(5,125,1.02669),(6,125,1.02669),(7,125,1.02669),(8,125,1.02669),(9,125,1.02669),(10,125,1.02669),(11,125,1.02669),(12,125,1.02669),(13,125,1.02669),(14,125,1.02669),(15,125,1.02669),(16,125,1.02669),(17,125,1.02669),(18,125,1.02669),(1,126,1.23669),(2,126,1.23669),(3,126,1.23669),(4,126,1.23669),(5,126,1.23669),(6,126,1.23669),(7,126,1.23669),(8,126,1.23669),(9,126,1.23669),(10,126,1.23669),(11,126,1.23669),(12,126,1.23669),(13,126,1.23669),(14,126,1.23669),(15,126,1.23669),(16,126,1.23669),(17,126,1.23669),(18,126,1.23669),(1,127,1.96),(2,127,1.96),(3,127,1.96),(4,127,1.96),(5,127,1.96),(6,127,1.96),(7,127,1.96),(8,127,1.96),(9,127,1.96),(10,127,1.96),(11,127,1.96),(12,127,1.96),(13,127,1.96),(14,127,1.96),(15,127,1.96),(16,127,1.96),(17,127,1.96),(18,127,1.96),(1,128,2.33338),(2,128,2.33338),(3,128,2.33338),(4,128,2.33338),(5,128,2.33338),(6,128,2.33338),(7,128,2.33338),(8,128,2.33338),(9,128,2.33338),(10,128,2.33338),(11,128,2.33338),(12,128,2.33338),(13,128,2.33338),(14,128,2.33338),(15,128,2.33338),(16,128,2.33338),(17,128,2.33338),(18,128,2.33338),(1,129,0.84),(2,129,0.84),(3,129,0.84),(4,129,0.84),(5,129,0.84),(6,129,0.84),(7,129,0.84),(8,129,0.84),(9,129,0.84),(10,129,0.84),(11,129,0.84),(12,129,0.84),(13,129,0.84),(14,129,0.84),(15,129,0.84),(16,129,0.84),(17,129,0.84),(18,129,0.84),(1,130,2.1),(2,130,2.1),(3,130,2.1),(4,130,2.1),(5,130,2.1),(6,130,2.1),(7,130,2.1),(8,130,2.1),(9,130,2.1),(10,130,2.1),(11,130,2.1),(12,130,2.1),(13,130,2.1),(14,130,2.1),(15,130,2.1),(16,130,2.1),(17,130,2.1),(18,130,2.1),(1,131,2.42662),(2,131,2.42662),(3,131,2.42662),(4,131,2.42662),(5,131,2.42662),(6,131,2.42662),(7,131,2.42662),(8,131,2.42662),(9,131,2.42662),(10,131,2.42662),(11,131,2.42662),(12,131,2.42662),(13,131,2.42662),(14,131,2.42662),(15,131,2.42662),(16,131,2.42662),(17,131,2.42662),(18,131,2.42662),(1,132,0.56),(2,132,0.56),(3,132,0.56),(4,132,0.56),(5,132,0.56),(6,132,0.56),(7,132,0.56),(8,132,0.56),(9,132,0.56),(10,132,0.56),(11,132,0.56),(12,132,0.56),(13,132,0.56),(14,132,0.56),(15,132,0.56),(16,132,0.56),(17,132,0.56),(18,132,0.56),(1,133,2.24),(2,133,2.24),(3,133,2.24),(4,133,2.24),(5,133,2.24),(6,133,2.24),(7,133,2.24),(8,133,2.24),(9,133,2.24),(10,133,2.24),(11,133,2.24),(12,133,2.24),(13,133,2.24),(14,133,2.24),(15,133,2.24),(16,133,2.24),(17,133,2.24),(18,133,2.24),(1,134,2.52),(2,134,2.52),(3,134,2.52),(4,134,2.52),(5,134,2.52),(6,134,2.52),(7,134,2.52),(8,134,2.52),(9,134,2.52),(10,134,2.52),(11,134,2.52),(12,134,2.52),(13,134,2.52),(14,134,2.52),(15,134,2.52),(16,134,2.52),(17,134,2.52),(18,134,2.52),(1,135,0.46662),(2,135,0.46662),(3,135,0.46662),(4,135,0.46662),(5,135,0.46662),(6,135,0.46662),(7,135,0.46662),(8,135,0.46662),(9,135,0.46662),(10,135,0.46662),(11,135,0.46662),(12,135,0.46662),(13,135,0.46662),(14,135,0.46662),(15,135,0.46662),(16,135,0.46662),(17,135,0.46662),(18,135,0.46662),(1,136,1.96),(2,136,1.96),(3,136,1.96),(4,136,1.96),(5,136,1.96),(6,136,1.96),(7,136,1.96),(8,136,1.96),(9,136,1.96),(10,136,1.96),(11,136,1.96),(12,136,1.96),(13,136,1.96),(14,136,1.96),(15,136,1.96),(16,136,1.96),(17,136,1.96),(18,136,1.96),(1,137,2.42662),(2,137,2.42662),(3,137,2.42662),(4,137,2.42662),(5,137,2.42662),(6,137,2.42662),(7,137,2.42662),(8,137,2.42662),(9,137,2.42662),(10,137,2.42662),(11,137,2.42662),(12,137,2.42662),(13,137,2.42662),(14,137,2.42662),(15,137,2.42662),(16,137,2.42662),(17,137,2.42662),(18,137,2.42662),(1,138,1.4),(2,138,1.4),(3,138,1.4),(4,138,1.4),(5,138,1.4),(6,138,1.4),(7,138,1.4),(8,138,1.4),(9,138,1.4),(10,138,1.4),(11,138,1.4),(12,138,1.4),(13,138,1.4),(14,138,1.4),(15,138,1.4),(16,138,1.4),(17,138,1.4),(18,138,1.4),(1,139,2.05338),(2,139,2.05338),(3,139,2.05338),(4,139,2.05338),(5,139,2.05338),(6,139,2.05338),(7,139,2.05338),(8,139,2.05338),(9,139,2.05338),(10,139,2.05338),(11,139,2.05338),(12,139,2.05338),(13,139,2.05338),(14,139,2.05338),(15,139,2.05338),(16,139,2.05338),(17,139,2.05338),(18,139,2.05338),(1,140,1.19),(2,140,1.19),(3,140,1.19),(4,140,1.19),(5,140,1.19),(6,140,1.19),(7,140,1.19),(8,140,1.19),(9,140,1.19),(10,140,1.19),(11,140,1.19),(12,140,1.19),(13,140,1.19),(14,140,1.19),(15,140,1.19),(16,140,1.19),(17,140,1.19),(18,140,1.19),(1,141,1.23669),(2,141,1.23669),(3,141,1.23669),(4,141,1.23669),(5,141,1.23669),(6,141,1.23669),(7,141,1.23669),(8,141,1.23669),(9,141,1.23669),(10,141,1.23669),(11,141,1.23669),(12,141,1.23669),(13,141,1.23669),(14,141,1.23669),(15,141,1.23669),(16,141,1.23669),(17,141,1.23669),(18,141,1.23669),(1,142,1.05),(2,142,1.05),(3,142,1.05),(4,142,1.05),(5,142,1.05),(6,142,1.05),(7,142,1.05),(8,142,1.05),(9,142,1.05),(10,142,1.05),(11,142,1.05),(12,142,1.05),(13,142,1.05),(14,142,1.05),(15,142,1.05),(16,142,1.05),(17,142,1.05),(18,142,1.05),(1,143,1.19),(2,143,1.19),(3,143,1.19),(4,143,1.19),(5,143,1.19),(6,143,1.19),(7,143,1.19),(8,143,1.19),(9,143,1.19),(10,143,1.19),(11,143,1.19),(12,143,1.19),(13,143,1.19),(14,143,1.19),(15,143,1.19),(16,143,1.19),(17,143,1.19),(18,143,1.19),(1,144,2.00662),(2,144,2.00662),(3,144,2.00662),(4,144,2.00662),(5,144,2.00662),(6,144,2.00662),(7,144,2.00662),(8,144,2.00662),(9,144,2.00662),(10,144,2.00662),(11,144,2.00662),(12,144,2.00662),(13,144,2.00662),(14,144,2.00662),(15,144,2.00662),(16,144,2.00662),(17,144,2.00662),(18,144,2.00662),(1,145,2.19338),(2,145,2.19338),(3,145,2.19338),(4,145,2.19338),(5,145,2.19338),(6,145,2.19338),(7,145,2.19338),(8,145,2.19338),(9,145,2.19338),(10,145,2.19338),(11,145,2.19338),(12,145,2.19338),(13,145,2.19338),(14,145,2.19338),(15,145,2.19338),(16,145,2.19338),(17,145,2.19338),(18,145,2.19338),(1,146,0.23331),(2,146,0.23331),(3,146,0.23331),(4,146,0.23331),(5,146,0.23331),(6,146,0.23331),(7,146,0.23331),(8,146,0.23331),(9,146,0.23331),(10,146,0.23331),(11,146,0.23331),(12,146,0.23331),(13,146,0.23331),(14,146,0.23331),(15,146,0.23331),(16,146,0.23331),(17,146,0.23331),(18,146,0.23331),(1,147,0.91),(2,147,0.91),(3,147,0.91),(4,147,0.91),(5,147,0.91),(6,147,0.91),(7,147,0.91),(8,147,0.91),(9,147,0.91),(10,147,0.91),(11,147,0.91),(12,147,0.91),(13,147,0.91),(14,147,0.91),(15,147,0.91),(16,147,0.91),(17,147,0.91),(18,147,0.91),(1,148,1.05),(2,148,1.05),(3,148,1.05),(4,148,1.05),(5,148,1.05),(6,148,1.05),(7,148,1.05),(8,148,1.05),(9,148,1.05),(10,148,1.05),(11,148,1.05),(12,148,1.05),(13,148,1.05),(14,148,1.05),(15,148,1.05),(16,148,1.05),(17,148,1.05),(18,148,1.05),(8,329,1.97321),(8,330,5.55),(8,331,6.41321),(9,338,1.23321),(9,339,5.18),(9,340,6.04321),(17,394,1.72679),(17,395,5.18),(17,396,6.04321);


--
-- Table structure for table `#__finder_links_terms7`
--



CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms7`
--


INSERT INTO `#__finder_links_terms7` (`link_id`, `term_id`, `weight`) VALUES (1,149,0.42),(2,149,0.42),(3,149,0.42),(4,149,0.42),(5,149,0.42),(6,149,0.42),(7,149,0.42),(8,149,0.42),(9,149,0.42),(10,149,0.42),(11,149,0.42),(12,149,0.42),(13,149,0.42),(14,149,0.42),(15,149,0.42),(16,149,0.42),(17,149,0.42),(18,149,0.42),(1,150,0.91),(2,150,0.91),(3,150,0.91),(4,150,0.91),(5,150,0.91),(6,150,0.91),(7,150,0.91),(8,150,0.91),(9,150,0.91),(10,150,0.91),(11,150,0.91),(12,150,0.91),(13,150,0.91),(14,150,0.91),(15,150,0.91),(16,150,0.91),(17,150,0.91),(18,150,0.91),(1,151,1.12),(2,151,1.12),(3,151,1.12),(4,151,1.12),(5,151,1.12),(6,151,1.12),(7,151,1.12),(8,151,1.12),(9,151,1.12),(10,151,1.12),(11,151,1.12),(12,151,1.12),(13,151,1.12),(14,151,1.12),(15,151,1.12),(16,151,1.12),(17,151,1.12),(18,151,1.12),(1,152,1.82),(2,152,1.82),(3,152,1.82),(4,152,1.82),(5,152,1.82),(6,152,1.82),(7,152,1.82),(8,152,1.82),(9,152,1.82),(10,152,1.82),(11,152,1.82),(12,152,1.82),(13,152,1.82),(14,152,1.82),(15,152,1.82),(16,152,1.82),(17,152,1.82),(18,152,1.82),(1,153,2.14662),(2,153,2.14662),(3,153,2.14662),(4,153,2.14662),(5,153,2.14662),(6,153,2.14662),(7,153,2.14662),(8,153,2.14662),(9,153,2.14662),(10,153,2.14662),(11,153,2.14662),(12,153,2.14662),(13,153,2.14662),(14,153,2.14662),(15,153,2.14662),(16,153,2.14662),(17,153,2.14662),(18,153,2.14662),(1,154,0.69993),(2,154,0.69993),(3,154,0.69993),(4,154,0.69993),(5,154,0.69993),(6,154,0.69993),(7,154,0.69993),(8,154,0.69993),(9,154,0.69993),(10,154,0.69993),(11,154,0.69993),(12,154,0.69993),(13,154,0.69993),(14,154,0.69993),(15,154,0.69993),(16,154,0.69993),(17,154,0.69993),(18,154,0.69993),(1,155,1.82),(2,155,1.82),(3,155,1.82),(4,155,1.82),(5,155,1.82),(6,155,1.82),(7,155,1.82),(8,155,1.82),(9,155,1.82),(10,155,1.82),(11,155,1.82),(12,155,1.82),(13,155,1.82),(14,155,1.82),(15,155,1.82),(16,155,1.82),(17,155,1.82),(18,155,1.82),(1,156,2.1),(2,156,2.1),(3,156,2.1),(4,156,2.1),(5,156,2.1),(6,156,2.1),(7,156,2.1),(8,156,2.1),(9,156,2.1),(10,156,2.1),(11,156,2.1),(12,156,2.1),(13,156,2.1),(14,156,2.1),(15,156,2.1),(16,156,2.1),(17,156,2.1),(18,156,2.1),(1,157,0.95669),(2,157,0.95669),(3,157,0.95669),(4,157,0.95669),(5,157,0.95669),(6,157,0.95669),(7,157,0.95669),(8,157,0.95669),(9,157,0.95669),(10,157,0.95669),(11,157,0.95669),(12,157,0.95669),(13,157,0.95669),(14,157,0.95669),(15,157,0.95669),(16,157,0.95669),(17,157,0.95669),(18,157,0.95669),(1,158,1.07331),(2,158,1.07331),(3,158,1.07331),(4,158,1.07331),(5,158,1.07331),(6,158,1.07331),(7,158,1.07331),(8,158,1.07331),(9,158,1.07331),(10,158,1.07331),(11,158,1.07331),(12,158,1.07331),(13,158,1.07331),(14,158,1.07331),(15,158,1.07331),(16,158,1.07331),(17,158,1.07331),(18,158,1.07331),(1,159,0.56),(2,159,0.56),(3,159,0.56),(4,159,0.56),(5,159,0.56),(6,159,0.56),(7,159,0.56),(8,159,0.56),(9,159,0.56),(10,159,0.56),(11,159,0.56),(12,159,0.56),(13,159,0.56),(14,159,0.56),(15,159,0.56),(16,159,0.56),(17,159,0.56),(18,159,0.56),(1,160,1.91338),(2,160,1.91338),(3,160,1.91338),(4,160,1.91338),(5,160,1.91338),(6,160,1.91338),(7,160,1.91338),(8,160,1.91338),(9,160,1.91338),(10,160,1.91338),(11,160,1.91338),(12,160,1.91338),(13,160,1.91338),(14,160,1.91338),(15,160,1.91338),(16,160,1.91338),(17,160,1.91338),(18,160,1.91338),(1,161,2.19338),(2,161,2.19338),(3,161,2.19338),(4,161,2.19338),(5,161,2.19338),(6,161,2.19338),(7,161,2.19338),(8,161,2.19338),(9,161,2.19338),(10,161,2.19338),(11,161,2.19338),(12,161,2.19338),(13,161,2.19338),(14,161,2.19338),(15,161,2.19338),(16,161,2.19338),(17,161,2.19338),(18,161,2.19338),(1,183,0.37338),(2,183,0.37338),(3,183,0.37338),(4,183,0.37338),(5,183,0.37338),(6,183,0.37338),(7,183,0.37338),(8,183,0.37338),(9,183,0.37338),(10,183,0.37338),(11,183,0.37338),(12,183,0.37338),(13,183,0.37338),(14,183,0.37338),(15,183,0.37338),(16,183,0.37338),(17,183,0.37338),(18,183,0.37338),(1,184,1.09669),(2,184,1.09669),(3,184,1.09669),(4,184,1.09669),(5,184,1.09669),(6,184,1.09669),(7,184,1.09669),(8,184,1.09669),(9,184,1.09669),(10,184,1.09669),(11,184,1.09669),(12,184,1.09669),(13,184,1.09669),(14,184,1.09669),(15,184,1.09669),(16,184,1.09669),(17,184,1.09669),(18,184,1.09669),(1,185,1.26),(2,185,1.26),(3,185,1.26),(4,185,1.26),(5,185,1.26),(6,185,1.26),(7,185,1.26),(8,185,1.26),(9,185,1.26),(10,185,1.26),(11,185,1.26),(12,185,1.26),(13,185,1.26),(14,185,1.26),(15,185,1.26),(16,185,1.26),(17,185,1.26),(18,185,1.26),(1,186,1.02669),(2,186,1.02669),(3,186,1.02669),(4,186,1.02669),(5,186,1.02669),(6,186,1.02669),(7,186,1.02669),(8,186,1.02669),(9,186,1.02669),(10,186,1.02669),(11,186,1.02669),(12,186,1.02669),(13,186,1.02669),(14,186,1.02669),(15,186,1.02669),(16,186,1.02669),(17,186,1.02669),(18,186,1.02669),(1,187,1.28331),(2,187,1.28331),(3,187,1.28331),(4,187,1.28331),(5,187,1.28331),(6,187,1.28331),(7,187,1.28331),(8,187,1.28331),(9,187,1.28331),(10,187,1.28331),(11,187,1.28331),(12,187,1.28331),(13,187,1.28331),(14,187,1.28331),(15,187,1.28331),(16,187,1.28331),(17,187,1.28331),(18,187,1.28331),(1,188,0.37338),(2,188,0.37338),(3,188,0.37338),(4,188,0.37338),(5,188,0.37338),(6,188,0.37338),(7,188,0.37338),(8,188,0.37338),(9,188,0.37338),(10,188,0.37338),(11,188,0.37338),(12,188,0.37338),(13,188,0.37338),(14,188,0.37338),(15,188,0.37338),(16,188,0.37338),(17,188,0.37338),(18,188,0.37338),(1,189,1.86662),(2,189,1.86662),(3,189,1.86662),(4,189,1.86662),(5,189,1.86662),(6,189,1.86662),(7,189,1.86662),(8,189,1.86662),(9,189,1.86662),(10,189,1.86662),(11,189,1.86662),(12,189,1.86662),(13,189,1.86662),(14,189,1.86662),(15,189,1.86662),(16,189,1.86662),(17,189,1.86662),(18,189,1.86662),(1,190,2.1),(2,190,2.1),(3,190,2.1),(4,190,2.1),(5,190,2.1),(6,190,2.1),(7,190,2.1),(8,190,2.1),(9,190,2.1),(10,190,2.1),(11,190,2.1),(12,190,2.1),(13,190,2.1),(14,190,2.1),(15,190,2.1),(16,190,2.1),(17,190,2.1),(18,190,2.1),(1,218,1.02662),(2,218,1.02662),(3,218,1.02662),(4,218,1.02662),(5,218,1.02662),(6,218,1.02662),(7,218,1.02662),(8,218,1.02662),(9,218,1.02662),(10,218,1.02662),(11,218,1.02662),(12,218,1.02662),(13,218,1.02662),(14,218,1.02662),(15,218,1.02662),(16,218,1.02662),(17,218,1.02662),(18,218,1.02662),(1,219,2.19338),(2,219,2.19338),(3,219,2.19338),(4,219,2.19338),(5,219,2.19338),(6,219,2.19338),(7,219,2.19338),(8,219,2.19338),(9,219,2.19338),(10,219,2.19338),(11,219,2.19338),(12,219,2.19338),(13,219,2.19338),(14,219,2.19338),(15,219,2.19338),(16,219,2.19338),(17,219,2.19338),(18,219,2.19338),(1,220,2.38),(2,220,2.38),(3,220,2.38),(4,220,2.38),(5,220,2.38),(6,220,2.38),(7,220,2.38),(8,220,2.38),(9,220,2.38),(10,220,2.38),(11,220,2.38),(12,220,2.38),(13,220,2.38),(14,220,2.38),(15,220,2.38),(16,220,2.38),(17,220,2.38),(18,220,2.38),(1,221,0.37338),(2,221,0.37338),(3,221,0.37338),(4,221,0.37338),(5,221,0.37338),(6,221,0.37338),(7,221,0.37338),(8,221,0.37338),(9,221,0.37338),(10,221,0.37338),(11,221,0.37338),(12,221,0.37338),(13,221,0.37338),(14,221,0.37338),(15,221,0.37338),(16,221,0.37338),(17,221,0.37338),(18,221,0.37338),(1,222,1.91338),(2,222,1.91338),(3,222,1.91338),(4,222,1.91338),(5,222,1.91338),(6,222,1.91338),(7,222,1.91338),(8,222,1.91338),(9,222,1.91338),(10,222,1.91338),(11,222,1.91338),(12,222,1.91338),(13,222,1.91338),(14,222,1.91338),(15,222,1.91338),(16,222,1.91338),(17,222,1.91338),(18,222,1.91338),(1,223,2.24),(2,223,2.24),(3,223,2.24),(4,223,2.24),(5,223,2.24),(6,223,2.24),(7,223,2.24),(8,223,2.24),(9,223,2.24),(10,223,2.24),(11,223,2.24),(12,223,2.24),(13,223,2.24),(14,223,2.24),(15,223,2.24),(16,223,2.24),(17,223,2.24),(18,223,2.24),(1,224,0.64008),(2,224,0.64008),(3,224,0.64008),(4,224,0.64008),(5,224,0.64008),(6,224,0.64008),(7,224,0.64008),(8,224,0.64008),(9,224,0.64008),(10,224,0.64008),(11,224,0.64008),(12,224,0.64008),(13,224,0.64008),(14,224,0.64008),(15,224,0.64008),(16,224,0.64008),(17,224,0.64008),(18,224,0.64008),(6,260,0.32004),(2,260,1.30683),(3,260,1.30683),(4,260,1.30683),(2,261,5.18),(2,262,6.04321),(3,275,4.56321),(3,276,5.42679),(4,287,5.05679),(4,288,6.16679),(8,332,0.80004),(9,332,0.80004),(10,332,0.80004);


--
-- Table structure for table `#__finder_links_terms8`
--



CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms8`
--


INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES (1,48,0.18669),(2,48,0.18669),(3,48,0.18669),(4,48,0.18669),(5,48,0.18669),(6,48,0.18669),(7,48,0.18669),(8,48,0.18669),(9,48,0.18669),(10,48,0.18669),(11,48,0.18669),(12,48,0.18669),(13,48,0.18669),(14,48,0.18669),(15,48,0.18669),(16,48,0.18669),(17,48,0.18669),(18,48,0.18669),(1,49,0.91),(2,49,0.91),(3,49,0.91),(4,49,0.91),(5,49,0.91),(6,49,0.91),(7,49,0.91),(8,49,0.91),(9,49,0.91),(10,49,0.91),(11,49,0.91),(12,49,0.91),(13,49,0.91),(14,49,0.91),(15,49,0.91),(16,49,0.91),(17,49,0.91),(18,49,0.91),(1,50,1.05),(2,50,1.05),(3,50,1.05),(4,50,1.05),(5,50,1.05),(6,50,1.05),(7,50,1.05),(8,50,1.05),(9,50,1.05),(10,50,1.05),(11,50,1.05),(12,50,1.05),(13,50,1.05),(14,50,1.05),(15,50,1.05),(16,50,1.05),(17,50,1.05),(18,50,1.05),(1,51,0.46662),(2,51,0.46662),(3,51,0.46662),(4,51,0.46662),(5,51,0.46662),(6,51,0.46662),(7,51,0.46662),(8,51,0.46662),(9,51,0.46662),(10,51,0.46662),(11,51,0.46662),(12,51,0.46662),(13,51,0.46662),(14,51,0.46662),(15,51,0.46662),(16,51,0.46662),(17,51,0.46662),(18,51,0.46662),(1,52,2.19338),(2,52,2.19338),(3,52,2.19338),(4,52,2.19338),(5,52,2.19338),(6,52,2.19338),(7,52,2.19338),(8,52,2.19338),(9,52,2.19338),(10,52,2.19338),(11,52,2.19338),(12,52,2.19338),(13,52,2.19338),(14,52,2.19338),(15,52,2.19338),(16,52,2.19338),(17,52,2.19338),(18,52,2.19338),(1,53,2.47338),(2,53,2.47338),(3,53,2.47338),(4,53,2.47338),(5,53,2.47338),(6,53,2.47338),(7,53,2.47338),(8,53,2.47338),(9,53,2.47338),(10,53,2.47338),(11,53,2.47338),(12,53,2.47338),(13,53,2.47338),(14,53,2.47338),(15,53,2.47338),(16,53,2.47338),(17,53,2.47338),(18,53,2.47338),(1,81,0.37331),(2,81,0.37331),(3,81,0.37331),(4,81,0.37331),(5,81,0.37331),(6,81,0.37331),(7,81,0.37331),(8,81,0.37331),(9,81,0.37331),(10,81,0.37331),(11,81,0.37331),(12,81,0.37331),(13,81,0.37331),(14,81,0.37331),(15,81,0.37331),(16,81,0.37331),(17,81,0.37331),(18,81,0.37331),(1,82,1.05),(2,82,1.05),(3,82,1.05),(4,82,1.05),(5,82,1.05),(6,82,1.05),(7,82,1.05),(8,82,1.05),(9,82,1.05),(10,82,1.05),(11,82,1.05),(12,82,1.05),(13,82,1.05),(14,82,1.05),(15,82,1.05),(16,82,1.05),(17,82,1.05),(18,82,1.05),(1,83,1.26),(2,83,1.26),(3,83,1.26),(4,83,1.26),(5,83,1.26),(6,83,1.26),(7,83,1.26),(8,83,1.26),(9,83,1.26),(10,83,1.26),(11,83,1.26),(12,83,1.26),(13,83,1.26),(14,83,1.26),(15,83,1.26),(16,83,1.26),(17,83,1.26),(18,83,1.26),(1,84,0.84),(2,84,0.84),(3,84,0.84),(4,84,0.84),(5,84,0.84),(6,84,0.84),(7,84,0.84),(8,84,0.84),(9,84,0.84),(10,84,0.84),(11,84,0.84),(12,84,0.84),(13,84,0.84),(14,84,0.84),(15,84,0.84),(16,84,0.84),(17,84,0.84),(18,84,0.84),(1,85,1.05),(2,85,1.05),(3,85,1.05),(4,85,1.05),(5,85,1.05),(6,85,1.05),(7,85,1.05),(8,85,1.05),(9,85,1.05),(10,85,1.05),(11,85,1.05),(12,85,1.05),(13,85,1.05),(14,85,1.05),(15,85,1.05),(16,85,1.05),(17,85,1.05),(18,85,1.05),(1,86,1.19),(2,86,1.19),(3,86,1.19),(4,86,1.19),(5,86,1.19),(6,86,1.19),(7,86,1.19),(8,86,1.19),(9,86,1.19),(10,86,1.19),(11,86,1.19),(12,86,1.19),(13,86,1.19),(14,86,1.19),(15,86,1.19),(16,86,1.19),(17,86,1.19),(18,86,1.19),(1,87,1.07331),(2,87,1.07331),(3,87,1.07331),(4,87,1.07331),(5,87,1.07331),(6,87,1.07331),(7,87,1.07331),(8,87,1.07331),(9,87,1.07331),(10,87,1.07331),(11,87,1.07331),(12,87,1.07331),(13,87,1.07331),(14,87,1.07331),(15,87,1.07331),(16,87,1.07331),(17,87,1.07331),(18,87,1.07331),(1,88,1.19),(2,88,1.19),(3,88,1.19),(4,88,1.19),(5,88,1.19),(6,88,1.19),(7,88,1.19),(8,88,1.19),(9,88,1.19),(10,88,1.19),(11,88,1.19),(12,88,1.19),(13,88,1.19),(14,88,1.19),(15,88,1.19),(16,88,1.19),(17,88,1.19),(18,88,1.19),(1,89,0.84),(2,89,0.84),(3,89,0.84),(4,89,0.84),(5,89,0.84),(6,89,0.84),(7,89,0.84),(8,89,0.84),(9,89,0.84),(10,89,0.84),(11,89,0.84),(12,89,0.84),(13,89,0.84),(14,89,0.84),(15,89,0.84),(16,89,0.84),(17,89,0.84),(18,89,0.84),(1,90,1.02669),(2,90,1.02669),(3,90,1.02669),(4,90,1.02669),(5,90,1.02669),(6,90,1.02669),(7,90,1.02669),(8,90,1.02669),(9,90,1.02669),(10,90,1.02669),(11,90,1.02669),(12,90,1.02669),(13,90,1.02669),(14,90,1.02669),(15,90,1.02669),(16,90,1.02669),(17,90,1.02669),(18,90,1.02669),(1,91,1.19),(2,91,1.19),(3,91,1.19),(4,91,1.19),(5,91,1.19),(6,91,1.19),(7,91,1.19),(8,91,1.19),(9,91,1.19),(10,91,1.19),(11,91,1.19),(12,91,1.19),(13,91,1.19),(14,91,1.19),(15,91,1.19),(16,91,1.19),(17,91,1.19),(18,91,1.19),(1,92,0.6666),(2,92,0.6666),(3,92,0.6666),(4,92,0.6666),(5,92,0.6666),(6,92,0.6666),(7,92,0.6666),(8,92,0.6666),(9,92,0.6666),(10,92,0.6666),(11,92,0.6666),(12,92,0.6666),(13,92,0.6666),(14,92,0.6666),(15,92,0.6666),(16,92,0.6666),(17,92,0.6666),(18,92,0.6666),(1,93,0.37331),(2,93,0.37331),(3,93,0.37331),(4,93,0.37331),(5,93,0.37331),(6,93,0.37331),(7,93,0.37331),(8,93,0.37331),(9,93,0.37331),(10,93,0.37331),(11,93,0.37331),(12,93,0.37331),(13,93,0.37331),(14,93,0.37331),(15,93,0.37331),(16,93,0.37331),(17,93,0.37331),(18,93,0.37331),(1,94,1.02669),(2,94,1.02669),(3,94,1.02669),(4,94,1.02669),(5,94,1.02669),(6,94,1.02669),(7,94,1.02669),(8,94,1.02669),(9,94,1.02669),(10,94,1.02669),(11,94,1.02669),(12,94,1.02669),(13,94,1.02669),(14,94,1.02669),(15,94,1.02669),(16,94,1.02669),(17,94,1.02669),(18,94,1.02669),(1,95,1.12),(2,95,1.12),(3,95,1.12),(4,95,1.12),(5,95,1.12),(6,95,1.12),(7,95,1.12),(8,95,1.12),(9,95,1.12),(10,95,1.12),(11,95,1.12),(12,95,1.12),(13,95,1.12),(14,95,1.12),(15,95,1.12),(16,95,1.12),(17,95,1.12),(18,95,1.12),(1,96,0.32004),(2,96,0.32004),(3,96,0.32004),(4,96,0.32004),(5,96,0.32004),(6,96,0.32004),(7,96,0.32004),(8,96,0.32004),(9,96,0.32004),(10,96,0.32004),(11,96,0.32004),(12,96,0.32004),(13,96,0.32004),(14,96,0.32004),(15,96,0.32004),(16,96,0.32004),(17,96,0.32004),(18,96,0.32004),(1,99,0.15996),(2,99,0.15996),(3,99,0.15996),(4,99,0.15996),(5,99,0.15996),(6,99,0.15996),(7,99,0.15996),(8,99,0.15996),(9,99,0.15996),(10,99,0.15996),(11,99,0.15996),(12,99,0.15996),(13,99,0.15996),(14,99,0.15996),(15,99,0.15996),(16,99,0.15996),(17,99,0.15996),(18,99,0.15996),(1,100,1.47996),(2,100,1.47996),(3,100,1.47996),(4,100,1.47996),(5,100,1.47996),(6,100,1.47996),(7,100,1.47996),(8,100,1.47996),(9,100,1.47996),(10,100,1.47996),(11,100,1.47996),(12,100,1.47996),(13,100,1.47996),(14,100,1.47996),(15,100,1.47996),(16,100,1.47996),(17,100,1.47996),(18,100,1.47996),(1,167,0.56),(2,167,0.56),(3,167,0.56),(4,167,0.56),(5,167,0.56),(6,167,0.56),(7,167,0.56),(8,167,0.56),(9,167,0.56),(10,167,0.56),(11,167,0.56),(12,167,0.56),(13,167,0.56),(14,167,0.56),(15,167,0.56),(16,167,0.56),(17,167,0.56),(18,167,0.56),(1,168,1.14331),(2,168,1.14331),(3,168,1.14331),(4,168,1.14331),(5,168,1.14331),(6,168,1.14331),(7,168,1.14331),(8,168,1.14331),(9,168,1.14331),(10,168,1.14331),(11,168,1.14331),(12,168,1.14331),(13,168,1.14331),(14,168,1.14331),(15,168,1.14331),(16,168,1.14331),(17,168,1.14331),(18,168,1.14331),(1,169,1.23669),(2,169,1.23669),(3,169,1.23669),(4,169,1.23669),(5,169,1.23669),(6,169,1.23669),(7,169,1.23669),(8,169,1.23669),(9,169,1.23669),(10,169,1.23669),(11,169,1.23669),(12,169,1.23669),(13,169,1.23669),(14,169,1.23669),(15,169,1.23669),(16,169,1.23669),(17,169,1.23669),(18,169,1.23669),(1,170,0.37331),(2,170,0.37331),(3,170,0.37331),(4,170,0.37331),(5,170,0.37331),(6,170,0.37331),(7,170,0.37331),(8,170,0.37331),(9,170,0.37331),(10,170,0.37331),(11,170,0.37331),(12,170,0.37331),(13,170,0.37331),(14,170,0.37331),(15,170,0.37331),(16,170,0.37331),(17,170,0.37331),(18,170,0.37331),(1,171,1.02669),(2,171,1.02669),(3,171,1.02669),(4,171,1.02669),(5,171,1.02669),(6,171,1.02669),(7,171,1.02669),(8,171,1.02669),(9,171,1.02669),(10,171,1.02669),(11,171,1.02669),(12,171,1.02669),(13,171,1.02669),(14,171,1.02669),(15,171,1.02669),(16,171,1.02669),(17,171,1.02669),(18,171,1.02669),(1,172,0.69993),(2,172,0.69993),(3,172,0.69993),(4,172,0.69993),(5,172,0.69993),(6,172,0.69993),(7,172,0.69993),(8,172,0.69993),(9,172,0.69993),(10,172,0.69993),(11,172,0.69993),(12,172,0.69993),(13,172,0.69993),(14,172,0.69993),(15,172,0.69993),(16,172,0.69993),(17,172,0.69993),(18,172,0.69993),(1,173,0.88669),(2,173,0.88669),(3,173,0.88669),(4,173,0.88669),(5,173,0.88669),(6,173,0.88669),(7,173,0.88669),(8,173,0.88669),(9,173,0.88669),(10,173,0.88669),(11,173,0.88669),(12,173,0.88669),(13,173,0.88669),(14,173,0.88669),(15,173,0.88669),(16,173,0.88669),(17,173,0.88669),(18,173,0.88669),(1,174,1.16669),(2,174,1.16669),(3,174,1.16669),(4,174,1.16669),(5,174,1.16669),(6,174,1.16669),(7,174,1.16669),(8,174,1.16669),(9,174,1.16669),(10,174,1.16669),(11,174,1.16669),(12,174,1.16669),(13,174,1.16669),(14,174,1.16669),(15,174,1.16669),(16,174,1.16669),(17,174,1.16669),(18,174,1.16669),(1,175,1.82),(2,175,1.82),(3,175,1.82),(4,175,1.82),(5,175,1.82),(6,175,1.82),(7,175,1.82),(8,175,1.82),(9,175,1.82),(10,175,1.82),(11,175,1.82),(12,175,1.82),(13,175,1.82),(14,175,1.82),(15,175,1.82),(16,175,1.82),(17,175,1.82),(18,175,1.82),(1,176,2.28662),(2,176,2.28662),(3,176,2.28662),(4,176,2.28662),(5,176,2.28662),(6,176,2.28662),(7,176,2.28662),(8,176,2.28662),(9,176,2.28662),(10,176,2.28662),(11,176,2.28662),(12,176,2.28662),(13,176,2.28662),(14,176,2.28662),(15,176,2.28662),(16,176,2.28662),(17,176,2.28662),(18,176,2.28662),(1,177,0.32669),(2,177,0.32669),(3,177,0.32669),(4,177,0.32669),(5,177,0.32669),(6,177,0.32669),(7,177,0.32669),(8,177,0.32669),(9,177,0.32669),(10,177,0.32669),(11,177,0.32669),(12,177,0.32669),(13,177,0.32669),(14,177,0.32669),(15,177,0.32669),(16,177,0.32669),(17,177,0.32669),(18,177,0.32669),(1,178,1.14331),(2,178,1.14331),(3,178,1.14331),(4,178,1.14331),(5,178,1.14331),(6,178,1.14331),(7,178,1.14331),(8,178,1.14331),(9,178,1.14331),(10,178,1.14331),(11,178,1.14331),(12,178,1.14331),(13,178,1.14331),(14,178,1.14331),(15,178,1.14331),(16,178,1.14331),(17,178,1.14331),(18,178,1.14331),(1,179,1.23669),(2,179,1.23669),(3,179,1.23669),(4,179,1.23669),(5,179,1.23669),(6,179,1.23669),(7,179,1.23669),(8,179,1.23669),(9,179,1.23669),(10,179,1.23669),(11,179,1.23669),(12,179,1.23669),(13,179,1.23669),(14,179,1.23669),(15,179,1.23669),(16,179,1.23669),(17,179,1.23669),(18,179,1.23669),(1,180,0.46662),(2,180,0.46662),(3,180,0.46662),(4,180,0.46662),(5,180,0.46662),(6,180,0.46662),(7,180,0.46662),(8,180,0.46662),(9,180,0.46662),(10,180,0.46662),(11,180,0.46662),(12,180,0.46662),(13,180,0.46662),(14,180,0.46662),(15,180,0.46662),(16,180,0.46662),(17,180,0.46662),(18,180,0.46662),(1,181,1.82),(2,181,1.82),(3,181,1.82),(4,181,1.82),(5,181,1.82),(6,181,1.82),(7,181,1.82),(8,181,1.82),(9,181,1.82),(10,181,1.82),(11,181,1.82),(12,181,1.82),(13,181,1.82),(14,181,1.82),(15,181,1.82),(16,181,1.82),(17,181,1.82),(18,181,1.82),(1,182,2.05338),(2,182,2.05338),(3,182,2.05338),(4,182,2.05338),(5,182,2.05338),(6,182,2.05338),(7,182,2.05338),(8,182,2.05338),(9,182,2.05338),(10,182,2.05338),(11,182,2.05338),(12,182,2.05338),(13,182,2.05338),(14,182,2.05338),(15,182,2.05338),(16,182,2.05338),(17,182,2.05338),(18,182,2.05338),(2,263,1.72679),(2,264,5.42679),(2,265,6.53679),(3,272,0.49321),(3,273,4.81),(3,274,5.92),(6,309,1.72679),(6,310,5.92),(6,311,6.78321),(7,315,0.17),(10,345,2.46679),(10,346,5.79679),(10,347,6.66),(11,352,2.22),(11,353,5.92),(11,354,6.78321),(16,390,2.22),(16,391,5.42679),(16,392,6.29);


--
-- Table structure for table `#__finder_links_terms9`
--



CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_terms9`
--


INSERT INTO `#__finder_links_terms9` (`link_id`, `term_id`, `weight`) VALUES (1,32,0.32669),(2,32,0.32669),(3,32,0.32669),(4,32,0.32669),(5,32,0.32669),(6,32,0.32669),(7,32,0.32669),(8,32,0.32669),(9,32,0.32669),(10,32,0.32669),(11,32,0.32669),(12,32,0.32669),(13,32,0.32669),(14,32,0.32669),(15,32,0.32669),(16,32,0.32669),(17,32,0.32669),(18,32,0.32669),(1,33,0.95669),(2,33,0.95669),(3,33,0.95669),(4,33,0.95669),(5,33,0.95669),(6,33,0.95669),(7,33,0.95669),(8,33,0.95669),(9,33,0.95669),(10,33,0.95669),(11,33,0.95669),(12,33,0.95669),(13,33,0.95669),(14,33,0.95669),(15,33,0.95669),(16,33,0.95669),(17,33,0.95669),(18,33,0.95669),(1,34,1.07331),(2,34,1.07331),(3,34,1.07331),(4,34,1.07331),(5,34,1.07331),(6,34,1.07331),(7,34,1.07331),(8,34,1.07331),(9,34,1.07331),(10,34,1.07331),(11,34,1.07331),(12,34,1.07331),(13,34,1.07331),(14,34,1.07331),(15,34,1.07331),(16,34,1.07331),(17,34,1.07331),(18,34,1.07331),(1,35,2.61317),(5,35,2.61317),(11,35,2.61317),(12,35,2.61317),(1,36,5.55),(5,36,5.55),(11,36,5.55),(12,36,5.55),(1,37,6.66),(5,37,6.66),(11,37,6.66),(12,37,6.66),(1,225,0.28),(2,225,0.28),(3,225,0.28),(4,225,0.28),(5,225,0.28),(6,225,0.28),(7,225,0.28),(8,225,0.28),(9,225,0.28),(10,225,0.28),(11,225,0.28),(12,225,0.28),(13,225,0.28),(14,225,0.28),(15,225,0.28),(16,225,0.28),(17,225,0.28),(18,225,0.28),(1,226,1.02669),(2,226,1.02669),(3,226,1.02669),(4,226,1.02669),(5,226,1.02669),(6,226,1.02669),(7,226,1.02669),(8,226,1.02669),(9,226,1.02669),(10,226,1.02669),(11,226,1.02669),(12,226,1.02669),(13,226,1.02669),(14,226,1.02669),(15,226,1.02669),(16,226,1.02669),(17,226,1.02669),(18,226,1.02669),(1,227,1.12),(2,227,1.12),(3,227,1.12),(4,227,1.12),(5,227,1.12),(6,227,1.12),(7,227,1.12),(8,227,1.12),(9,227,1.12),(10,227,1.12),(11,227,1.12),(12,227,1.12),(13,227,1.12),(14,227,1.12),(15,227,1.12),(16,227,1.12),(17,227,1.12),(18,227,1.12),(1,228,0.28),(2,228,0.28),(3,228,0.28),(4,228,0.28),(5,228,0.28),(6,228,0.28),(7,228,0.28),(8,228,0.28),(9,228,0.28),(10,228,0.28),(11,228,0.28),(12,228,0.28),(13,228,0.28),(14,228,0.28),(15,228,0.28),(16,228,0.28),(17,228,0.28),(18,228,0.28),(1,229,1.68),(2,229,1.68),(3,229,1.68),(4,229,1.68),(5,229,1.68),(6,229,1.68),(7,229,1.68),(8,229,1.68),(9,229,1.68),(10,229,1.68),(11,229,1.68),(12,229,1.68),(13,229,1.68),(14,229,1.68),(15,229,1.68),(16,229,1.68),(17,229,1.68),(18,229,1.68),(1,230,1.86662),(2,230,1.86662),(3,230,1.86662),(4,230,1.86662),(5,230,1.86662),(6,230,1.86662),(7,230,1.86662),(8,230,1.86662),(9,230,1.86662),(10,230,1.86662),(11,230,1.86662),(12,230,1.86662),(13,230,1.86662),(14,230,1.86662),(15,230,1.86662),(16,230,1.86662),(17,230,1.86662),(18,230,1.86662),(1,231,0.42),(2,231,0.42),(3,231,0.42),(4,231,0.42),(5,231,0.42),(6,231,0.42),(7,231,0.42),(8,231,0.42),(9,231,0.42),(10,231,0.42),(11,231,0.42),(12,231,0.42),(13,231,0.42),(14,231,0.42),(15,231,0.42),(16,231,0.42),(17,231,0.42),(18,231,0.42),(1,232,1.16669),(2,232,1.16669),(3,232,1.16669),(4,232,1.16669),(5,232,1.16669),(6,232,1.16669),(7,232,1.16669),(8,232,1.16669),(9,232,1.16669),(10,232,1.16669),(11,232,1.16669),(12,232,1.16669),(13,232,1.16669),(14,232,1.16669),(15,232,1.16669),(16,232,1.16669),(17,232,1.16669),(18,232,1.16669),(1,233,1.26),(2,233,1.26),(3,233,1.26),(4,233,1.26),(5,233,1.26),(6,233,1.26),(7,233,1.26),(8,233,1.26),(9,233,1.26),(10,233,1.26),(11,233,1.26),(12,233,1.26),(13,233,1.26),(14,233,1.26),(15,233,1.26),(16,233,1.26),(17,233,1.26),(18,233,1.26),(1,234,0.93338),(2,234,0.93338),(3,234,0.93338),(4,234,0.93338),(5,234,0.93338),(6,234,0.93338),(7,234,0.93338),(8,234,0.93338),(9,234,0.93338),(10,234,0.93338),(11,234,0.93338),(12,234,0.93338),(13,234,0.93338),(14,234,0.93338),(15,234,0.93338),(16,234,0.93338),(17,234,0.93338),(18,234,0.93338),(1,235,1.00331),(2,235,1.00331),(3,235,1.00331),(4,235,1.00331),(5,235,1.00331),(6,235,1.00331),(7,235,1.00331),(8,235,1.00331),(9,235,1.00331),(10,235,1.00331),(11,235,1.00331),(12,235,1.00331),(13,235,1.00331),(14,235,1.00331),(15,235,1.00331),(16,235,1.00331),(17,235,1.00331),(18,235,1.00331),(1,236,1.12),(2,236,1.12),(3,236,1.12),(4,236,1.12),(5,236,1.12),(6,236,1.12),(7,236,1.12),(8,236,1.12),(9,236,1.12),(10,236,1.12),(11,236,1.12),(12,236,1.12),(13,236,1.12),(14,236,1.12),(15,236,1.12),(16,236,1.12),(17,236,1.12),(18,236,1.12),(1,237,1.02669),(2,237,1.02669),(3,237,1.02669),(4,237,1.02669),(5,237,1.02669),(6,237,1.02669),(7,237,1.02669),(8,237,1.02669),(9,237,1.02669),(10,237,1.02669),(11,237,1.02669),(12,237,1.02669),(13,237,1.02669),(14,237,1.02669),(15,237,1.02669),(16,237,1.02669),(17,237,1.02669),(18,237,1.02669),(1,238,1.21331),(2,238,1.21331),(3,238,1.21331),(4,238,1.21331),(5,238,1.21331),(6,238,1.21331),(7,238,1.21331),(8,238,1.21331),(9,238,1.21331),(10,238,1.21331),(11,238,1.21331),(12,238,1.21331),(13,238,1.21331),(14,238,1.21331),(15,238,1.21331),(16,238,1.21331),(17,238,1.21331),(18,238,1.21331),(1,239,0.23331),(2,239,0.23331),(3,239,0.23331),(4,239,0.23331),(5,239,0.23331),(6,239,0.23331),(7,239,0.23331),(8,239,0.23331),(9,239,0.23331),(10,239,0.23331),(11,239,0.23331),(12,239,0.23331),(13,239,0.23331),(14,239,0.23331),(15,239,0.23331),(16,239,0.23331),(17,239,0.23331),(18,239,0.23331),(1,240,0.93331),(2,240,0.93331),(3,240,0.93331),(4,240,0.93331),(5,240,0.93331),(6,240,0.93331),(7,240,0.93331),(8,240,0.93331),(9,240,0.93331),(10,240,0.93331),(11,240,0.93331),(12,240,0.93331),(13,240,0.93331),(14,240,0.93331),(15,240,0.93331),(16,240,0.93331),(17,240,0.93331),(18,240,0.93331),(1,241,1.09669),(2,241,1.09669),(3,241,1.09669),(4,241,1.09669),(5,241,1.09669),(6,241,1.09669),(7,241,1.09669),(8,241,1.09669),(9,241,1.09669),(10,241,1.09669),(11,241,1.09669),(12,241,1.09669),(13,241,1.09669),(14,241,1.09669),(15,241,1.09669),(16,241,1.09669),(17,241,1.09669),(18,241,1.09669),(7,316,2.22),(7,317,6.04321),(7,318,6.90679),(13,366,1.97321),(13,367,5.92),(13,368,6.78321),(15,380,1.23321),(15,381,5.05679),(15,382,6.29),(16,387,1.30683),(17,387,1.30683),(18,387,1.30683),(16,388,5.05679),(17,388,5.05679),(18,388,5.05679),(16,389,6.16679),(17,389,6.16679),(18,389,6.16679);


--
-- Table structure for table `#__finder_links_termsa`
--



CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsa`
--


INSERT INTO `#__finder_links_termsa` (`link_id`, `term_id`, `weight`) VALUES (4,286,0.17);


--
-- Table structure for table `#__finder_links_termsb`
--



CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsb`
--


INSERT INTO `#__finder_links_termsb` (`link_id`, `term_id`, `weight`) VALUES (8,323,0.98679),(8,324,5.30321),(8,325,6.16679),(8,326,1.48),(8,327,5.30321),(8,328,6.41321);


--
-- Table structure for table `#__finder_links_termsc`
--



CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsc`
--


INSERT INTO `#__finder_links_termsc` (`link_id`, `term_id`, `weight`) VALUES (1,2,0.17),(2,256,0.17),(8,322,0.17),(10,344,0.34),(11,351,0.34),(12,358,0.34),(13,365,0.34),(14,372,0.34),(15,379,0.34),(16,386,0.34),(17,393,0.34),(18,400,0.34);


--
-- Table structure for table `#__finder_links_termsd`
--



CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsd`
--


INSERT INTO `#__finder_links_termsd` (`link_id`, `term_id`, `weight`) VALUES (1,1,0),(2,1,0),(3,1,0),(4,1,0),(5,1,0),(6,1,0),(7,1,0),(8,1,0),(9,1,0),(10,1,0),(11,1,0),(12,1,0),(13,1,0),(14,1,0),(15,1,0),(16,1,0),(17,1,0),(18,1,0),(1,162,0.84),(2,162,0.84),(3,162,0.84),(4,162,0.84),(5,162,0.84),(6,162,0.84),(7,162,0.84),(8,162,0.84),(9,162,0.84),(10,162,0.84),(11,162,0.84),(12,162,0.84),(13,162,0.84),(14,162,0.84),(15,162,0.84),(16,162,0.84),(17,162,0.84),(18,162,0.84),(1,163,0.93331),(2,163,0.93331),(3,163,0.93331),(4,163,0.93331),(5,163,0.93331),(6,163,0.93331),(7,163,0.93331),(8,163,0.93331),(9,163,0.93331),(10,163,0.93331),(11,163,0.93331),(12,163,0.93331),(13,163,0.93331),(14,163,0.93331),(15,163,0.93331),(16,163,0.93331),(17,163,0.93331),(18,163,0.93331),(1,164,1.12),(2,164,1.12),(3,164,1.12),(4,164,1.12),(5,164,1.12),(6,164,1.12),(7,164,1.12),(8,164,1.12),(9,164,1.12),(10,164,1.12),(11,164,1.12),(12,164,1.12),(13,164,1.12),(14,164,1.12),(15,164,1.12),(16,164,1.12),(17,164,1.12),(18,164,1.12),(1,165,1.86662),(2,165,1.86662),(3,165,1.86662),(4,165,1.86662),(5,165,1.86662),(6,165,1.86662),(7,165,1.86662),(8,165,1.86662),(9,165,1.86662),(10,165,1.86662),(11,165,1.86662),(12,165,1.86662),(13,165,1.86662),(14,165,1.86662),(15,165,1.86662),(16,165,1.86662),(17,165,1.86662),(18,165,1.86662),(1,166,2.00662),(2,166,2.00662),(3,166,2.00662),(4,166,2.00662),(5,166,2.00662),(6,166,2.00662),(7,166,2.00662),(8,166,2.00662),(9,166,2.00662),(10,166,2.00662),(11,166,2.00662),(12,166,2.00662),(13,166,2.00662),(14,166,2.00662),(15,166,2.00662),(16,166,2.00662),(17,166,2.00662),(18,166,2.00662);


--
-- Table structure for table `#__finder_links_termse`
--



CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termse`
--


INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES (1,54,0.56007),(2,54,0.56007),(3,54,0.56007),(4,54,0.56007),(5,54,0.56007),(6,54,0.56007),(7,54,0.56007),(8,54,0.56007),(9,54,0.56007),(10,54,0.56007),(11,54,0.56007),(12,54,0.56007),(13,54,0.56007),(14,54,0.56007),(15,54,0.56007),(16,54,0.56007),(17,54,0.56007),(18,54,0.56007),(1,55,0.93331),(2,55,0.93331),(3,55,0.93331),(4,55,0.93331),(5,55,0.93331),(6,55,0.93331),(7,55,0.93331),(8,55,0.93331),(9,55,0.93331),(10,55,0.93331),(11,55,0.93331),(12,55,0.93331),(13,55,0.93331),(14,55,0.93331),(15,55,0.93331),(16,55,0.93331),(17,55,0.93331),(18,55,0.93331),(1,56,1.09669),(2,56,1.09669),(3,56,1.09669),(4,56,1.09669),(5,56,1.09669),(6,56,1.09669),(7,56,1.09669),(8,56,1.09669),(9,56,1.09669),(10,56,1.09669),(11,56,1.09669),(12,56,1.09669),(13,56,1.09669),(14,56,1.09669),(15,56,1.09669),(16,56,1.09669),(17,56,1.09669),(18,56,1.09669),(1,57,1.82),(2,57,1.82),(3,57,1.82),(4,57,1.82),(5,57,1.82),(6,57,1.82),(7,57,1.82),(8,57,1.82),(9,57,1.82),(10,57,1.82),(11,57,1.82),(12,57,1.82),(13,57,1.82),(14,57,1.82),(15,57,1.82),(16,57,1.82),(17,57,1.82),(18,57,1.82),(1,58,2.14662),(2,58,2.14662),(3,58,2.14662),(4,58,2.14662),(5,58,2.14662),(6,58,2.14662),(7,58,2.14662),(8,58,2.14662),(9,58,2.14662),(10,58,2.14662),(11,58,2.14662),(12,58,2.14662),(13,58,2.14662),(14,58,2.14662),(15,58,2.14662),(16,58,2.14662),(17,58,2.14662),(18,58,2.14662),(1,59,0.18669),(2,59,0.18669),(3,59,0.18669),(4,59,0.18669),(5,59,0.18669),(6,59,0.18669),(7,59,0.18669),(8,59,0.18669),(9,59,0.18669),(10,59,0.18669),(11,59,0.18669),(12,59,0.18669),(13,59,0.18669),(14,59,0.18669),(15,59,0.18669),(16,59,0.18669),(17,59,0.18669),(18,59,0.18669),(1,60,0.95669),(2,60,0.95669),(3,60,0.95669),(4,60,0.95669),(5,60,0.95669),(6,60,0.95669),(7,60,0.95669),(8,60,0.95669),(9,60,0.95669),(10,60,0.95669),(11,60,0.95669),(12,60,0.95669),(13,60,0.95669),(14,60,0.95669),(15,60,0.95669),(16,60,0.95669),(17,60,0.95669),(18,60,0.95669),(1,61,1.00331),(2,61,1.00331),(3,61,1.00331),(4,61,1.00331),(5,61,1.00331),(6,61,1.00331),(7,61,1.00331),(8,61,1.00331),(9,61,1.00331),(10,61,1.00331),(11,61,1.00331),(12,61,1.00331),(13,61,1.00331),(14,61,1.00331),(15,61,1.00331),(16,61,1.00331),(17,61,1.00331),(18,61,1.00331),(1,62,0.18669),(2,62,0.18669),(3,62,0.18669),(4,62,0.18669),(5,62,0.18669),(6,62,0.18669),(7,62,0.18669),(8,62,0.18669),(9,62,0.18669),(10,62,0.18669),(11,62,0.18669),(12,62,0.18669),(13,62,0.18669),(14,62,0.18669),(15,62,0.18669),(16,62,0.18669),(17,62,0.18669),(18,62,0.18669),(1,63,0.93331),(2,63,0.93331),(3,63,0.93331),(4,63,0.93331),(5,63,0.93331),(6,63,0.93331),(7,63,0.93331),(8,63,0.93331),(9,63,0.93331),(10,63,0.93331),(11,63,0.93331),(12,63,0.93331),(13,63,0.93331),(14,63,0.93331),(15,63,0.93331),(16,63,0.93331),(17,63,0.93331),(18,63,0.93331),(1,64,1.07331),(2,64,1.07331),(3,64,1.07331),(4,64,1.07331),(5,64,1.07331),(6,64,1.07331),(7,64,1.07331),(8,64,1.07331),(9,64,1.07331),(10,64,1.07331),(11,64,1.07331),(12,64,1.07331),(13,64,1.07331),(14,64,1.07331),(15,64,1.07331),(16,64,1.07331),(17,64,1.07331),(18,64,1.07331),(1,65,0.14),(2,65,0.14),(3,65,0.14),(4,65,0.14),(5,65,0.14),(6,65,0.14),(7,65,0.14),(8,65,0.14),(9,65,0.14),(10,65,0.14),(11,65,0.14),(12,65,0.14),(13,65,0.14),(14,65,0.14),(15,65,0.14),(16,65,0.14),(17,65,0.14),(18,65,0.14),(1,66,0.84),(2,66,0.84),(3,66,0.84),(4,66,0.84),(5,66,0.84),(6,66,0.84),(7,66,0.84),(8,66,0.84),(9,66,0.84),(10,66,0.84),(11,66,0.84),(12,66,0.84),(13,66,0.84),(14,66,0.84),(15,66,0.84),(16,66,0.84),(17,66,0.84),(18,66,0.84),(1,67,1.05),(2,67,1.05),(3,67,1.05),(4,67,1.05),(5,67,1.05),(6,67,1.05),(7,67,1.05),(8,67,1.05),(9,67,1.05),(10,67,1.05),(11,67,1.05),(12,67,1.05),(13,67,1.05),(14,67,1.05),(15,67,1.05),(16,67,1.05),(17,67,1.05),(18,67,1.05),(1,68,0.46662),(2,68,0.46662),(3,68,0.46662),(4,68,0.46662),(5,68,0.46662),(6,68,0.46662),(7,68,0.46662),(8,68,0.46662),(9,68,0.46662),(10,68,0.46662),(11,68,0.46662),(12,68,0.46662),(13,68,0.46662),(14,68,0.46662),(15,68,0.46662),(16,68,0.46662),(17,68,0.46662),(18,68,0.46662),(1,69,1.91338),(2,69,1.91338),(3,69,1.91338),(4,69,1.91338),(5,69,1.91338),(6,69,1.91338),(7,69,1.91338),(8,69,1.91338),(9,69,1.91338),(10,69,1.91338),(11,69,1.91338),(12,69,1.91338),(13,69,1.91338),(14,69,1.91338),(15,69,1.91338),(16,69,1.91338),(17,69,1.91338),(18,69,1.91338),(1,70,2.1),(2,70,2.1),(3,70,2.1),(4,70,2.1),(5,70,2.1),(6,70,2.1),(7,70,2.1),(8,70,2.1),(9,70,2.1),(10,70,2.1),(11,70,2.1),(12,70,2.1),(13,70,2.1),(14,70,2.1),(15,70,2.1),(16,70,2.1),(17,70,2.1),(18,70,2.1),(1,71,0.27993),(2,71,0.27993),(3,71,0.27993),(4,71,0.27993),(5,71,0.27993),(6,71,0.27993),(7,71,0.27993),(8,71,0.27993),(9,71,0.27993),(10,71,0.27993),(11,71,0.27993),(12,71,0.27993),(13,71,0.27993),(14,71,0.27993),(15,71,0.27993),(16,71,0.27993),(17,71,0.27993),(18,71,0.27993),(1,72,2.52),(2,72,2.52),(3,72,2.52),(4,72,2.52),(5,72,2.52),(6,72,2.52),(7,72,2.52),(8,72,2.52),(9,72,2.52),(10,72,2.52),(11,72,2.52),(12,72,2.52),(13,72,2.52),(14,72,2.52),(15,72,2.52),(16,72,2.52),(17,72,2.52),(18,72,2.52),(1,73,0.98),(2,73,0.98),(3,73,0.98),(4,73,0.98),(5,73,0.98),(6,73,0.98),(7,73,0.98),(8,73,0.98),(9,73,0.98),(10,73,0.98),(11,73,0.98),(12,73,0.98),(13,73,0.98),(14,73,0.98),(15,73,0.98),(16,73,0.98),(17,73,0.98),(18,73,0.98),(1,74,1.00331),(2,74,1.00331),(3,74,1.00331),(4,74,1.00331),(5,74,1.00331),(6,74,1.00331),(7,74,1.00331),(8,74,1.00331),(9,74,1.00331),(10,74,1.00331),(11,74,1.00331),(12,74,1.00331),(13,74,1.00331),(14,74,1.00331),(15,74,1.00331),(16,74,1.00331),(17,74,1.00331),(18,74,1.00331),(1,75,0.95669),(2,75,0.95669),(3,75,0.95669),(4,75,0.95669),(5,75,0.95669),(6,75,0.95669),(7,75,0.95669),(8,75,0.95669),(9,75,0.95669),(10,75,0.95669),(11,75,0.95669),(12,75,0.95669),(13,75,0.95669),(14,75,0.95669),(15,75,0.95669),(16,75,0.95669),(17,75,0.95669),(18,75,0.95669),(1,76,0.65338),(2,76,0.65338),(3,76,0.65338),(4,76,0.65338),(5,76,0.65338),(6,76,0.65338),(7,76,0.65338),(8,76,0.65338),(9,76,0.65338),(10,76,0.65338),(11,76,0.65338),(12,76,0.65338),(13,76,0.65338),(14,76,0.65338),(15,76,0.65338),(16,76,0.65338),(17,76,0.65338),(18,76,0.65338),(1,77,1.02669),(2,77,1.02669),(3,77,1.02669),(4,77,1.02669),(5,77,1.02669),(6,77,1.02669),(7,77,1.02669),(8,77,1.02669),(9,77,1.02669),(10,77,1.02669),(11,77,1.02669),(12,77,1.02669),(13,77,1.02669),(14,77,1.02669),(15,77,1.02669),(16,77,1.02669),(17,77,1.02669),(18,77,1.02669),(1,78,1.09669),(2,78,1.09669),(3,78,1.09669),(4,78,1.09669),(5,78,1.09669),(6,78,1.09669),(7,78,1.09669),(8,78,1.09669),(9,78,1.09669),(10,78,1.09669),(11,78,1.09669),(12,78,1.09669),(13,78,1.09669),(14,78,1.09669),(15,78,1.09669),(16,78,1.09669),(17,78,1.09669),(18,78,1.09669),(1,79,1.07331),(2,79,1.07331),(3,79,1.07331),(4,79,1.07331),(5,79,1.07331),(6,79,1.07331),(7,79,1.07331),(8,79,1.07331),(9,79,1.07331),(10,79,1.07331),(11,79,1.07331),(12,79,1.07331),(13,79,1.07331),(14,79,1.07331),(15,79,1.07331),(16,79,1.07331),(17,79,1.07331),(18,79,1.07331),(1,80,1.16669),(2,80,1.16669),(3,80,1.16669),(4,80,1.16669),(5,80,1.16669),(6,80,1.16669),(7,80,1.16669),(8,80,1.16669),(9,80,1.16669),(10,80,1.16669),(11,80,1.16669),(12,80,1.16669),(13,80,1.16669),(14,80,1.16669),(15,80,1.16669),(16,80,1.16669),(17,80,1.16669),(18,80,1.16669),(1,214,0.98679),(1,215,5.30321),(1,216,6.16679),(1,217,1.97321),(2,217,1.97321),(3,217,1.97321),(4,217,1.97321),(5,217,1.97321),(6,217,1.97321),(7,217,1.97321),(8,217,1.97321),(9,217,1.97321),(10,217,1.97321),(11,217,1.97321),(12,217,1.97321),(13,217,1.97321),(14,217,1.97321),(15,217,1.97321),(16,217,1.97321),(17,217,1.97321),(18,217,1.97321),(3,271,0.17),(3,277,0.74),(3,278,4.81),(3,279,5.42679),(5,301,0.17),(7,319,2.94),(13,319,2.94),(14,319,2.94),(15,319,2.94),(7,320,5.67321),(13,320,5.67321),(14,320,5.67321),(15,320,5.67321),(7,321,6.78321),(13,321,6.78321),(14,321,6.78321),(15,321,6.78321),(14,373,1.48),(14,374,5.67321),(14,375,6.53679);


--
-- Table structure for table `#__finder_links_termsf`
--



CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_links_termsf`
--


INSERT INTO `#__finder_links_termsf` (`link_id`, `term_id`, `weight`) VALUES (3,280,1.23321),(3,281,4.93321),(3,282,5.30321),(15,383,1.23321),(15,384,5.55),(15,385,6.41321);


--
-- Table structure for table `#__finder_taxonomy`
--



CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_taxonomy`
--


INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES (1,0,'ROOT',0,0,0),(2,1,'Type',1,1,0),(3,2,'K2 Item',1,1,0),(4,1,'Author',1,1,0),(5,4,'Super User',1,1,0),(6,1,'K2 Category',1,1,0),(7,6,'Business',1,1,0),(8,1,'Language',1,1,0),(9,8,'*',1,1,0),(10,6,'News',1,1,0),(11,6,'eCommerce',1,1,0),(12,6,'Social Networking',1,1,0),(13,6,'Blog',1,1,0);


--
-- Table structure for table `#__finder_taxonomy_map`
--



CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_taxonomy_map`
--


INSERT INTO `#__finder_taxonomy_map` (`link_id`, `node_id`) VALUES (1,3),(1,5),(1,7),(1,9),(2,3),(2,5),(2,9),(2,10),(3,3),(3,5),(3,9),(3,10),(4,3),(4,5),(4,9),(4,10),(5,3),(5,5),(5,7),(5,9),(6,3),(6,5),(6,9),(6,10),(7,3),(7,5),(7,9),(7,11),(8,3),(8,5),(8,9),(8,12),(9,3),(9,5),(9,9),(9,12),(10,3),(10,5),(10,9),(10,12),(11,3),(11,5),(11,7),(11,9),(12,3),(12,5),(12,7),(12,9),(13,3),(13,5),(13,9),(13,11),(14,3),(14,5),(14,9),(14,11),(15,3),(15,5),(15,9),(15,11),(16,3),(16,5),(16,9),(16,13),(17,3),(17,5),(17,9),(17,13),(18,3),(18,5),(18,9),(18,13);


--
-- Table structure for table `#__finder_terms`
--



CREATE TABLE `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB AUTO_INCREMENT=404 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_terms`
--


INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES (1,'','',0,0,0,'',46,'*'),(2,'1','1',0,0,0.1,'',3,'*'),(3,'a','a',0,0,0.0667,'A000',46,'*'),(4,'a pharetra','a pharetra',0,1,1.3333,'A1636',46,'*'),(5,'a pharetra augue','a pharetra augue',0,1,1.5333,'A16362',46,'*'),(6,'ac','ac',0,0,0.1333,'A200',46,'*'),(7,'ac consectetur','ac consectetur',0,1,1.4667,'A25236',46,'*'),(8,'ac consectetur ac','ac consectetur ac',0,1,1.5667,'A252362',46,'*'),(9,'ac vestibulum','ac vestibulum',0,1,1.4333,'A2123145',46,'*'),(10,'ac vestibulum at','ac vestibulum at',0,1,1.5333,'A21231453',46,'*'),(11,'aenean','aenean',0,0,0.4,'A500',46,'*'),(12,'aenean eu','aenean eu',0,1,1.3,'A500',46,'*'),(13,'aenean eu leo','aenean eu leo',0,1,1.4333,'A540',46,'*'),(14,'amet','amet',0,0,0.2667,'A530',46,'*'),(15,'amet fermentum','amet fermentum',0,1,1.4667,'A5316535',46,'*'),(16,'amet fermentum etiam','amet fermentum etiam',0,1,1.6667,'A531653535',46,'*'),(17,'amet fermentum nullam','amet fermentum nullam',0,1,1.7,'A531653545',46,'*'),(18,'amet non','amet non',0,1,1.2667,'A535',46,'*'),(19,'amet non magna','amet non magna',0,1,1.4667,'A53525',46,'*'),(20,'appspro','appspro',0,0,0.4667,'A1216',3,'*'),(21,'appspro tech','appspro tech',0,1,1.4,'A121632',3,'*'),(22,'appspro tech business','appspro tech business',0,1,1.7,'A1216321252',3,'*'),(23,'at','at',0,0,0.1333,'A300',46,'*'),(24,'at eros','at eros',0,1,1.2333,'A362',46,'*'),(25,'at eros nulla','at eros nulla',0,1,1.4333,'A36254',46,'*'),(26,'at lobortis','at lobortis',0,1,1.3667,'A341632',46,'*'),(27,'at lobortis donec','at lobortis donec',0,1,1.5667,'A341632352',46,'*'),(28,'auctor','auctor',0,0,0.4,'A236',46,'*'),(29,'auctor fringilla','auctor fringilla',0,1,1.5333,'A23616524',46,'*'),(30,'auctor fringilla cras','auctor fringilla cras',0,1,1.7,'A23616524262',46,'*'),(31,'augue','augue',0,0,0.3333,'A200',46,'*'),(32,'blandit','blandit',0,0,0.4667,'B453',46,'*'),(33,'blandit sit','blandit sit',0,1,1.3667,'B45323',46,'*'),(34,'blandit sit amet','blandit sit amet',0,1,1.5333,'B4532353',46,'*'),(35,'business','business',0,0,0.5333,'B252',11,'*'),(36,'business joomla','business joomla',0,1,1.5,'B25254',11,'*'),(37,'business joomla template','business joomla template',0,1,1.8,'B2525435143',11,'*'),(38,'consectetur','consectetur',0,0,0.7333,'C5236',46,'*'),(39,'consectetur ac','consectetur ac',0,1,1.4667,'C52362',46,'*'),(40,'consectetur ac vestibulum','consectetur ac vestibulum',0,1,1.8333,'C52362123145',46,'*'),(41,'consectetur est','consectetur est',0,1,1.5,'C523623',46,'*'),(42,'consectetur est at','consectetur est at',0,1,1.6,'C523623',46,'*'),(43,'consectetur purus','consectetur purus',0,1,1.5667,'C5236162',46,'*'),(44,'consectetur purus sit','consectetur purus sit',0,1,1.7,'C52361623',46,'*'),(45,'cras','cras',0,0,0.2667,'C620',46,'*'),(46,'cras mattis','cras mattis',0,1,1.3667,'C62532',46,'*'),(47,'cras mattis consectetur','cras mattis consectetur',0,1,1.7667,'C625325236',46,'*'),(48,'diam','diam',0,0,0.2667,'D500',46,'*'),(49,'diam eget','diam eget',0,1,1.3,'D523',46,'*'),(50,'diam eget risus','diam eget risus',0,1,1.5,'D52362',46,'*'),(51,'donec','donec',0,0,0.3333,'D520',46,'*'),(52,'donec ullamcorper','donec ullamcorper',0,1,1.5667,'D52452616',46,'*'),(53,'donec ullamcorper nulla','donec ullamcorper nulla',0,1,1.7667,'D5245261654',46,'*'),(54,'eget','eget',0,0,0.2667,'E230',46,'*'),(55,'eget risus','eget risus',0,1,1.3333,'E2362',46,'*'),(56,'eget risus varius','eget risus varius',0,1,1.5667,'E2362162',46,'*'),(57,'eget urna','eget urna',0,1,1.3,'E2365',46,'*'),(58,'eget urna mollis','eget urna mollis',0,1,1.5333,'E236542',46,'*'),(59,'elit','elit',0,0,0.2667,'E430',46,'*'),(60,'elit libero','elit libero',0,1,1.3667,'E43416',46,'*'),(61,'elit libero a','elit libero a',0,1,1.4333,'E43416',46,'*'),(62,'eros','eros',0,0,0.2667,'E620',46,'*'),(63,'eros nulla','eros nulla',0,1,1.3333,'E6254',46,'*'),(64,'eros nulla vitae','eros nulla vitae',0,1,1.5333,'E625413',46,'*'),(65,'est','est',0,0,0.2,'E230',46,'*'),(66,'est at','est at',0,1,1.2,'E230',46,'*'),(67,'est at lobortis','est at lobortis',0,1,1.5,'E2341632',46,'*'),(68,'etiam','etiam',0,0,0.3333,'E350',46,'*'),(69,'etiam porta','etiam porta',0,1,1.3667,'E35163',46,'*'),(70,'etiam porta sem','etiam porta sem',0,1,1.5,'E3516325',46,'*'),(71,'eu','eu',0,0,0.1333,'E000',46,'*'),(72,'eu leo','eu leo',0,1,1.2,'E400',46,'*'),(73,'eu leo donec','eu leo donec',0,1,1.4,'E4352',46,'*'),(74,'eu leo nullam','eu leo nullam',0,1,1.4333,'E4545',46,'*'),(75,'eu leo quam','eu leo quam',0,1,1.3667,'E425',46,'*'),(76,'euismod','euismod',0,0,0.4667,'E253',46,'*'),(77,'euismod aenean','euismod aenean',0,1,1.4667,'E2535',46,'*'),(78,'euismod aenean eu','euismod aenean eu',0,1,1.5667,'E2535',46,'*'),(79,'euismod maecenas','euismod maecenas',0,1,1.5333,'E2535252',46,'*'),(80,'euismod maecenas sed','euismod maecenas sed',0,1,1.6667,'E25352523',46,'*'),(81,'faucibus','faucibus',0,0,0.5333,'F212',46,'*'),(82,'faucibus mollis','faucibus mollis',0,1,1.5,'F212542',46,'*'),(83,'faucibus mollis interdum','faucibus mollis interdum',0,1,1.8,'F21254253635',46,'*'),(84,'fermentum','fermentum',0,0,0.6,'F6535',46,'*'),(85,'fermentum etiam','fermentum etiam',0,1,1.5,'F653535',46,'*'),(86,'fermentum etiam porta','fermentum etiam porta',0,1,1.7,'F653535163',46,'*'),(87,'fermentum nullam','fermentum nullam',0,1,1.5333,'F653545',46,'*'),(88,'fermentum nullam quis','fermentum nullam quis',0,1,1.7,'F6535452',46,'*'),(89,'fringilla','fringilla',0,0,0.6,'F6524',46,'*'),(90,'fringilla cras','fringilla cras',0,1,1.4667,'F6524262',46,'*'),(91,'fringilla cras mattis','fringilla cras mattis',0,1,1.7,'F6524262532',46,'*'),(92,'index','index',0,0,0.3333,'I532',46,'*'),(93,'interdum','interdum',0,0,0.5333,'I53635',46,'*'),(94,'interdum morbi','interdum morbi',0,1,1.4667,'I5363561',46,'*'),(95,'interdum morbi leo','interdum morbi leo',0,1,1.6,'I53635614',46,'*'),(96,'item','item',0,0,0.2667,'I350',46,'*'),(97,'joomla','joomla',0,0,0.4,'J540',46,'*'),(98,'joomla template','joomla template',0,1,1.5,'J5435143',46,'*'),(99,'k2','k2',0,0,0.1333,'K000',46,'*'),(100,'k2 item','k2 item',0,1,1.2333,'K350',46,'*'),(101,'lacinia','lacinia',0,0,0.4667,'L250',46,'*'),(102,'lacinia quam','lacinia quam',0,1,1.4,'L2525',46,'*'),(103,'lacinia quam venenatis','lacinia quam venenatis',0,1,1.7333,'L25251532',46,'*'),(104,'leo','leo',0,0,0.2,'L000',46,'*'),(105,'leo donec','leo donec',0,1,1.3,'L352',46,'*'),(106,'leo donec ullamcorper','leo donec ullamcorper',0,1,1.7,'L352452616',46,'*'),(107,'leo nullam','leo nullam',0,1,1.3333,'L545',46,'*'),(108,'leo nullam quis','leo nullam quis',0,1,1.5,'L5452',46,'*'),(109,'leo quam','leo quam',0,1,1.2667,'L250',46,'*'),(110,'leo quam pellentesque','leo quam pellentesque',0,1,1.7,'L2514532',46,'*'),(111,'leo risus','leo risus',0,1,1.3,'L620',46,'*'),(112,'leo risus porta','leo risus porta',0,1,1.5,'L62163',46,'*'),(113,'libero','libero',0,0,0.4,'L160',46,'*'),(114,'libero a','libero a',0,1,1.2667,'L160',46,'*'),(115,'libero a pharetra','libero a pharetra',0,1,1.5667,'L161636',46,'*'),(116,'lobortis','lobortis',0,0,0.5333,'L1632',46,'*'),(117,'lobortis donec','lobortis donec',0,1,1.4667,'L1632352',46,'*'),(118,'lobortis donec ullamcorper','lobortis donec ullamcorper',0,1,1.8667,'L1632352452616',46,'*'),(119,'maecenas','maecenas',0,0,0.5333,'M252',46,'*'),(120,'maecenas faucibus','maecenas faucibus',0,1,1.5667,'M2521212',46,'*'),(121,'maecenas faucibus mollis','maecenas faucibus mollis',0,1,1.8,'M2521212542',46,'*'),(122,'maecenas sed','maecenas sed',0,1,1.4,'M2523',46,'*'),(123,'maecenas sed diam','maecenas sed diam',0,1,1.5667,'M25235',46,'*'),(124,'magna','magna',0,0,0.3333,'M250',46,'*'),(125,'magna maecenas','magna maecenas',0,1,1.4667,'M25252',46,'*'),(126,'magna maecenas faucibus','magna maecenas faucibus',0,1,1.7667,'M252521212',46,'*'),(127,'magna mollis','magna mollis',0,1,1.4,'M2542',46,'*'),(128,'magna mollis euismod','magna mollis euismod',0,1,1.6667,'M254253',46,'*'),(129,'malesuada','malesuada',0,0,0.6,'M423',46,'*'),(130,'malesuada magna','malesuada magna',0,1,1.5,'M423525',46,'*'),(131,'malesuada magna mollis','malesuada magna mollis',0,1,1.7333,'M42352542',46,'*'),(132,'mattis','mattis',0,0,0.4,'M320',46,'*'),(133,'mattis consectetur','mattis consectetur',0,1,1.6,'M325236',46,'*'),(134,'mattis consectetur purus','mattis consectetur purus',0,1,1.8,'M325236162',46,'*'),(135,'metus','metus',0,0,0.3333,'M320',46,'*'),(136,'metus auctor','metus auctor',0,1,1.4,'M3236',46,'*'),(137,'metus auctor fringilla','metus auctor fringilla',0,1,1.7333,'M323616524',46,'*'),(138,'mollis','mollis',0,0,0.4,'M420',46,'*'),(139,'mollis euismod','mollis euismod',0,1,1.4667,'M4253',46,'*'),(140,'mollis euismod aenean','mollis euismod aenean',0,1,1.7,'M42535',46,'*'),(141,'mollis euismod maecenas','mollis euismod maecenas',0,1,1.7667,'M42535252',46,'*'),(142,'mollis interdum','mollis interdum',0,1,1.5,'M4253635',46,'*'),(143,'mollis interdum morbi','mollis interdum morbi',0,1,1.7,'M425363561',46,'*'),(144,'mollis ornare','mollis ornare',0,1,1.4333,'M42656',46,'*'),(145,'mollis ornare vel','mollis ornare vel',0,1,1.5667,'M4265614',46,'*'),(146,'morbi','morbi',0,0,0.3333,'M610',46,'*'),(147,'morbi leo','morbi leo',0,1,1.3,'M614',46,'*'),(148,'morbi leo risus','morbi leo risus',0,1,1.5,'M61462',46,'*'),(149,'non','non',0,0,0.2,'N000',46,'*'),(150,'non magna','non magna',0,1,1.3,'N250',46,'*'),(151,'non magna maecenas','non magna maecenas',0,1,1.6,'N25252',46,'*'),(152,'non metus','non metus',0,1,1.3,'N320',46,'*'),(153,'non metus auctor','non metus auctor',0,1,1.5333,'N3236',46,'*'),(154,'nulla','nulla',0,0,0.3333,'N400',46,'*'),(155,'nulla non','nulla non',0,1,1.3,'N450',46,'*'),(156,'nulla non metus','nulla non metus',0,1,1.5,'N4532',46,'*'),(157,'nulla vitae','nulla vitae',0,1,1.3667,'N413',46,'*'),(158,'nulla vitae elit','nulla vitae elit',0,1,1.5333,'N41343',46,'*'),(159,'nullam','nullam',0,0,0.4,'N450',46,'*'),(160,'nullam quis','nullam quis',0,1,1.3667,'N452',46,'*'),(161,'nullam quis risus','nullam quis risus',0,1,1.5667,'N45262',46,'*'),(162,'ornare','ornare',0,0,0.4,'O656',46,'*'),(163,'ornare sem','ornare sem',0,1,1.3333,'O65625',46,'*'),(164,'ornare sem lacinia','ornare sem lacinia',0,1,1.6,'O65625425',46,'*'),(165,'ornare vel','ornare vel',0,1,1.3333,'O65614',46,'*'),(166,'ornare vel eu','ornare vel eu',0,1,1.4333,'O65614',46,'*'),(167,'pellentesque','pellentesque',0,0,0.8,'P4532',46,'*'),(168,'pellentesque ornare','pellentesque ornare',0,1,1.6333,'P4532656',46,'*'),(169,'pellentesque ornare sem','pellentesque ornare sem',0,1,1.7667,'P453265625',46,'*'),(170,'pharetra','pharetra',0,0,0.5333,'P636',46,'*'),(171,'pharetra augue','pharetra augue',0,1,1.4667,'P6362',46,'*'),(172,'porta','porta',0,0,0.3333,'P630',46,'*'),(173,'porta ac','porta ac',0,1,1.2667,'P632',46,'*'),(174,'porta ac consectetur','porta ac consectetur',0,1,1.6667,'P6325236',46,'*'),(175,'porta sem','porta sem',0,1,1.3,'P6325',46,'*'),(176,'porta sem malesuada','porta sem malesuada',0,1,1.6333,'P6325423',46,'*'),(177,'posuere','posuere',0,0,0.4667,'P260',46,'*'),(178,'posuere consectetur','posuere consectetur',0,1,1.6333,'P2625236',46,'*'),(179,'posuere consectetur est','posuere consectetur est',0,1,1.7667,'P262523623',46,'*'),(180,'purus','purus',0,0,0.3333,'P620',46,'*'),(181,'purus sit','purus sit',0,1,1.3,'P623',46,'*'),(182,'purus sit amet','purus sit amet',0,1,1.4667,'P62353',46,'*'),(183,'quam','quam',0,0,0.2667,'Q500',46,'*'),(184,'quam pellentesque','quam pellentesque',0,1,1.5667,'Q514532',46,'*'),(185,'quam pellentesque ornare','quam pellentesque ornare',0,1,1.8,'Q514532656',46,'*'),(186,'quam venenatis','quam venenatis',0,1,1.4667,'Q51532',46,'*'),(187,'quam venenatis vestibulum','quam venenatis vestibulum',0,1,1.8333,'Q51532123145',46,'*'),(188,'quis','quis',0,0,0.2667,'Q000',46,'*'),(189,'quis risus','quis risus',0,1,1.3333,'Q620',46,'*'),(190,'quis risus eget','quis risus eget',0,1,1.5,'Q623',46,'*'),(191,'risus','risus',0,0,0.3333,'R200',46,'*'),(192,'risus eget','risus eget',0,1,1.3333,'R230',46,'*'),(193,'risus eget urna','risus eget urna',0,1,1.5,'R2365',46,'*'),(194,'risus porta','risus porta',0,1,1.3667,'R2163',46,'*'),(195,'risus porta ac','risus porta ac',0,1,1.4667,'R21632',46,'*'),(196,'risus varius','risus varius',0,1,1.4,'R2162',46,'*'),(197,'risus varius blandit','risus varius blandit',0,1,1.6667,'R21621453',46,'*'),(198,'sed','sed',0,0,0.2,'S300',46,'*'),(199,'sed diam','sed diam',0,1,1.2667,'S350',46,'*'),(200,'sed diam eget','sed diam eget',0,1,1.4333,'S3523',46,'*'),(201,'sed posuere','sed posuere',0,1,1.3667,'S3126',46,'*'),(202,'sed posuere consectetur','sed posuere consectetur',0,1,1.7667,'S312625236',46,'*'),(203,'sem','sem',0,0,0.2,'S500',46,'*'),(204,'sem lacinia','sem lacinia',0,1,1.3667,'S5425',46,'*'),(205,'sem lacinia quam','sem lacinia quam',0,1,1.5333,'S542525',46,'*'),(206,'sem malesuada','sem malesuada',0,1,1.4333,'S5423',46,'*'),(207,'sem malesuada magna','sem malesuada magna',0,1,1.6333,'S5423525',46,'*'),(208,'sit','sit',0,0,0.2,'S300',46,'*'),(209,'sit amet','sit amet',0,1,1.2667,'S353',46,'*'),(210,'sit amet fermentum','sit amet fermentum',0,1,1.6,'S35316535',46,'*'),(211,'sit amet non','sit amet non',0,1,1.4,'S3535',46,'*'),(212,'super','super',0,0,0.3333,'S160',46,'*'),(213,'super user','super user',0,1,1.3333,'S1626',46,'*'),(214,'tech','tech',0,0,0.2667,'T200',3,'*'),(215,'tech business','tech business',0,1,1.4333,'T21252',3,'*'),(216,'tech business joomla','tech business joomla',0,1,1.6667,'T2125254',3,'*'),(217,'template','template',0,0,0.5333,'T5143',46,'*'),(218,'ullamcorper','ullamcorper',0,0,0.7333,'U452616',46,'*'),(219,'ullamcorper nulla','ullamcorper nulla',0,1,1.5667,'U45261654',46,'*'),(220,'ullamcorper nulla non','ullamcorper nulla non',0,1,1.7,'U452616545',46,'*'),(221,'urna','urna',0,0,0.2667,'U650',46,'*'),(222,'urna mollis','urna mollis',0,1,1.3667,'U6542',46,'*'),(223,'urna mollis ornare','urna mollis ornare',0,1,1.6,'U6542656',46,'*'),(224,'user','user',0,0,0.2667,'U260',46,'*'),(225,'varius','varius',0,0,0.4,'V620',46,'*'),(226,'varius blandit','varius blandit',0,1,1.4667,'V621453',46,'*'),(227,'varius blandit sit','varius blandit sit',0,1,1.6,'V62145323',46,'*'),(228,'vel','vel',0,0,0.2,'V400',46,'*'),(229,'vel eu','vel eu',0,1,1.2,'V400',46,'*'),(230,'vel eu leo','vel eu leo',0,1,1.3333,'V400',46,'*'),(231,'venenatis','venenatis',0,0,0.6,'V532',46,'*'),(232,'venenatis vestibulum','venenatis vestibulum',0,1,1.6667,'V532123145',46,'*'),(233,'venenatis vestibulum sed','venenatis vestibulum sed',0,1,1.8,'V53212314523',46,'*'),(234,'vestibulum','vestibulum',0,0,0.6667,'V23145',46,'*'),(235,'vestibulum at','vestibulum at',0,1,1.4333,'V231453',46,'*'),(236,'vestibulum at eros','vestibulum at eros',0,1,1.6,'V23145362',46,'*'),(237,'vestibulum sed','vestibulum sed',0,1,1.4667,'V2314523',46,'*'),(238,'vestibulum sed posuere','vestibulum sed posuere',0,1,1.7333,'V2314523126',46,'*'),(239,'vitae','vitae',0,0,0.3333,'V300',46,'*'),(240,'vitae elit','vitae elit',0,1,1.3333,'V343',46,'*'),(241,'vitae elit libero','vitae elit libero',0,1,1.5667,'V343416',46,'*'),(256,'2','2',0,0,0.1,'',2,'*'),(257,'league','league',0,0,0.4,'L200',2,'*'),(258,'league news','league news',0,1,1.3667,'L252',2,'*'),(259,'league news premier','league news premier',0,1,1.6333,'L2521656',2,'*'),(260,'news','news',0,0,0.2667,'N200',9,'*'),(261,'news premier','news premier',0,1,1.4,'N21656',2,'*'),(262,'news premier joomla','news premier joomla',0,1,1.6333,'N21656254',2,'*'),(263,'premier','premier',0,0,0.4667,'P656',2,'*'),(264,'premier joomla','premier joomla',0,1,1.4667,'P656254',2,'*'),(265,'premier joomla template','premier joomla template',0,1,1.7667,'P65625435143',2,'*'),(271,'3','3',0,0,0.1,'',2,'*'),(272,'ii','ii',0,0,0.1333,'I000',2,'*'),(273,'ii joomla','ii joomla',0,1,1.3,'I254',2,'*'),(274,'ii joomla template','ii joomla template',0,1,1.6,'I25435143',2,'*'),(275,'news ii','news ii',0,1,1.2333,'N200',2,'*'),(276,'news ii joomla','news ii joomla',0,1,1.4667,'N254',2,'*'),(277,'the','the',0,0,0.2,'T000',2,'*'),(278,'the world','the world',0,1,1.3,'T643',2,'*'),(279,'the world news','the world news',0,1,1.4667,'T64352',2,'*'),(280,'world','world',0,0,0.3333,'W643',2,'*'),(281,'world news','world news',0,1,1.3333,'W64352',2,'*'),(282,'world news ii','world news ii',0,1,1.4333,'W64352',2,'*'),(286,'4','4',0,0,0.1,'',2,'*'),(287,'news joomla','news joomla',0,1,1.3667,'N254',2,'*'),(288,'news joomla template','news joomla template',0,1,1.6667,'N25435143',2,'*'),(289,'sport','sport',0,0,0.3333,'S163',2,'*'),(290,'sport news','sport news',0,1,1.3333,'S16352',2,'*'),(291,'sport news joomla','sport news joomla',0,1,1.5667,'S1635254',2,'*'),(292,'sporter','sporter',0,0,0.4667,'S1636',2,'*'),(293,'sporter sport','sporter sport',0,1,1.4333,'S16362163',2,'*'),(294,'sporter sport news','sporter sport news',0,1,1.6,'S1636216352',2,'*'),(301,'5','5',0,0,0.1,'',2,'*'),(302,'corporate','corporate',0,0,0.6,'C6163',2,'*'),(303,'corporate business','corporate business',0,1,1.6,'C61631252',2,'*'),(304,'corporate business joomla','corporate business joomla',0,1,1.8333,'C6163125254',2,'*'),(308,'6','6',0,0,0.1,'',3,'*'),(309,'fashion','fashion',0,0,0.4667,'F250',3,'*'),(310,'fashion responsive','fashion responsive',0,1,1.6,'F25621521',3,'*'),(311,'fashion responsive joomla','fashion responsive joomla',0,1,1.8333,'F25621521254',3,'*'),(312,'responsive','responsive',0,0,0.6667,'R21521',3,'*'),(313,'responsive joomla','responsive joomla',0,1,1.5667,'R21521254',3,'*'),(314,'responsive joomla template','responsive joomla template',0,1,1.8667,'R2152125435143',3,'*'),(315,'7','7',0,0,0.1,'',2,'*'),(316,'bikestore','bikestore',0,0,0.6,'B236',2,'*'),(317,'bikestore ecommerce','bikestore ecommerce',0,1,1.6333,'B2362562',2,'*'),(318,'bikestore ecommerce joomla','bikestore ecommerce joomla',0,1,1.8667,'B236256254',2,'*'),(319,'ecommerce','ecommerce',0,0,0.6,'E2562',9,'*'),(320,'ecommerce joomla','ecommerce joomla',0,1,1.5333,'E256254',9,'*'),(321,'ecommerce joomla template','ecommerce joomla template',0,1,1.8333,'E25625435143',9,'*'),(322,'8','8',0,0,0.1,'',4,'*'),(323,'game','game',0,0,0.2667,'G500',4,'*'),(324,'game magazine','game magazine',0,1,1.4333,'G525',4,'*'),(325,'game magazine gaming','game magazine gaming',0,1,1.6667,'G525252',4,'*'),(326,'gaming','gaming',0,0,0.4,'G520',4,'*'),(327,'gaming joomla','gaming joomla',0,1,1.4333,'G5254',4,'*'),(328,'gaming joomla template','gaming joomla template',0,1,1.7333,'G525435143',4,'*'),(329,'magazine','magazine',0,0,0.5333,'M250',4,'*'),(330,'magazine gaming','magazine gaming',0,1,1.5,'M25252',4,'*'),(331,'magazine gaming joomla','magazine gaming joomla',0,1,1.7333,'M2525254',4,'*'),(332,'networking','networking',0,0,0.6667,'N36252',8,'*'),(333,'social','social',0,0,0.4,'S400',8,'*'),(334,'social networking','social networking',0,1,1.5667,'S4536252',8,'*'),(337,'9','9',0,0,0.1,'',2,'*'),(338,'music','music',0,0,0.3333,'M200',2,'*'),(339,'music social','music social',0,1,1.4,'M240',2,'*'),(340,'music social joomla','music social joomla',0,1,1.6333,'M24254',2,'*'),(341,'social joomla','social joomla',0,1,1.4333,'S4254',4,'*'),(342,'social joomla template','social joomla template',0,1,1.7333,'S425435143',4,'*'),(344,'10','10',0,0,0.2,'',2,'*'),(345,'partyfreak','partyfreak',0,0,0.6667,'P63162',2,'*'),(346,'partyfreak social','partyfreak social',0,1,1.5667,'P631624',2,'*'),(347,'partyfreak social joomla','partyfreak social joomla',0,1,1.8,'P631624254',2,'*'),(351,'11','11',0,0,0.2,'',3,'*'),(352,'financial','financial',0,0,0.6,'F524',3,'*'),(353,'financial business','financial business',0,1,1.6,'F5241252',3,'*'),(354,'financial business joomla','financial business joomla',0,1,1.8333,'F524125254',3,'*'),(358,'12','12',0,0,0.2,'',3,'*'),(359,'appsite','appsite',0,0,0.4667,'A123',3,'*'),(360,'appsite business','appsite business',0,1,1.5333,'A1231252',3,'*'),(361,'appsite business joomla','appsite business joomla',0,1,1.7667,'A123125254',3,'*'),(365,'13','13',0,0,0.2,'',3,'*'),(366,'boutique','boutique',0,0,0.5333,'B320',3,'*'),(367,'boutique ecommerce','boutique ecommerce',0,1,1.6,'B32562',3,'*'),(368,'boutique ecommerce joomla','boutique ecommerce joomla',0,1,1.8333,'B3256254',3,'*'),(372,'14','14',0,0,0.2,'',2,'*'),(373,'esport','esport',0,0,0.4,'E2163',2,'*'),(374,'esport ecommerce','esport ecommerce',0,1,1.5333,'E21632562',2,'*'),(375,'esport ecommerce joomla','esport ecommerce joomla',0,1,1.7667,'E2163256254',2,'*'),(379,'15','15',0,0,0.2,'',2,'*'),(380,'black','black',0,0,0.3333,'B420',2,'*'),(381,'black white','black white',0,1,1.3667,'B423',2,'*'),(382,'black white ecommerce','black white ecommerce',0,1,1.7,'B4232562',2,'*'),(383,'white','white',0,0,0.3333,'W300',2,'*'),(384,'white ecommerce','white ecommerce',0,1,1.5,'W32562',2,'*'),(385,'white ecommerce joomla','white ecommerce joomla',0,1,1.7333,'W3256254',2,'*'),(386,'16','16',0,0,0.2,'',2,'*'),(387,'blog','blog',0,0,0.2667,'B420',9,'*'),(388,'blog joomla','blog joomla',0,1,1.3667,'B4254',9,'*'),(389,'blog joomla template','blog joomla template',0,1,1.6667,'B425435143',9,'*'),(390,'pixellove','pixellove',0,0,0.6,'P241',2,'*'),(391,'pixellove blog','pixellove blog',0,1,1.4667,'P24142',2,'*'),(392,'pixellove blog joomla','pixellove blog joomla',0,1,1.7,'P2414254',2,'*'),(393,'17','17',0,0,0.2,'',3,'*'),(394,'myfolio','myfolio',0,0,0.4667,'M140',3,'*'),(395,'myfolio blog','myfolio blog',0,1,1.4,'M14142',3,'*'),(396,'myfolio blog joomla','myfolio blog joomla',0,1,1.6333,'M1414254',3,'*'),(400,'18','18',0,0,0.2,'',4,'*'),(401,'cherrydesign','cherrydesign',0,0,0.8,'C6325',4,'*'),(402,'cherrydesign blog','cherrydesign blog',0,1,1.5667,'C6325142',4,'*'),(403,'cherrydesign blog joomla','cherrydesign blog joomla',0,1,1.8,'C632514254',4,'*');


--
-- Table structure for table `#__finder_terms_common`
--



CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_terms_common`
--


INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES ('a','en'),('about','en'),('after','en'),('ago','en'),('all','en'),('am','en'),('an','en'),('and','en'),('ani','en'),('any','en'),('are','en'),('aren\'t','en'),('as','en'),('at','en'),('be','en'),('but','en'),('by','en'),('for','en'),('from','en'),('get','en'),('go','en'),('how','en'),('if','en'),('in','en'),('into','en'),('is','en'),('isn\'t','en'),('it','en'),('its','en'),('me','en'),('more','en'),('most','en'),('must','en'),('my','en'),('new','en'),('no','en'),('none','en'),('not','en'),('noth','en'),('nothing','en'),('of','en'),('off','en'),('often','en'),('old','en'),('on','en'),('onc','en'),('once','en'),('onli','en'),('only','en'),('or','en'),('other','en'),('our','en'),('ours','en'),('out','en'),('over','en'),('page','en'),('she','en'),('should','en'),('small','en'),('so','en'),('some','en'),('than','en'),('thank','en'),('that','en'),('the','en'),('their','en'),('theirs','en'),('them','en'),('then','en'),('there','en'),('these','en'),('they','en'),('this','en'),('those','en'),('thus','en'),('time','en'),('times','en'),('to','en'),('too','en'),('true','en'),('under','en'),('until','en'),('up','en'),('upon','en'),('use','en'),('user','en'),('users','en'),('veri','en'),('version','en'),('very','en'),('via','en'),('want','en'),('was','en'),('way','en'),('were','en'),('what','en'),('when','en'),('where','en'),('whi','en'),('which','en'),('who','en'),('whom','en'),('whose','en'),('why','en'),('wide','en'),('will','en'),('with','en'),('within','en'),('without','en'),('would','en'),('yes','en'),('yet','en'),('you','en'),('your','en'),('yours','en');


--
-- Table structure for table `#__finder_tokens`
--



CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_tokens`
--




--
-- Table structure for table `#__finder_tokens_aggregate`
--



CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_tokens_aggregate`
--




--
-- Table structure for table `#__finder_types`
--



CREATE TABLE `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__finder_types`
--


INSERT INTO `#__finder_types` (`id`, `title`, `mime`) VALUES (1,'K2 Item',''),(2,'Category',''),(3,'Contact',''),(4,'Article',''),(5,'News Feed',''),(6,'Web Link','');


--
-- Table structure for table `#__js_ip_2_country`
--



CREATE TABLE `#__js_ip_2_country` (
  `ip_from` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_to` int(10) unsigned NOT NULL DEFAULT '0',
  `short_code` varchar(2) NOT NULL DEFAULT '',
  `code` varchar(3) NOT NULL DEFAULT '',
  `country` varchar(100) NOT NULL DEFAULT '',
  KEY `idx_from` (`ip_from`),
  KEY `idx_to` (`ip_to`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__js_ip_2_country`
--




--
-- Table structure for table `#__js_res_country`
--



CREATE TABLE `#__js_res_country` (
  `id` varchar(2) NOT NULL,
  `name` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__js_res_country`
--


INSERT INTO `#__js_res_country` (`id`, `name`) VALUES ('AD','Andorra'),('AE','United Arab Emirates'),('AF','Afghanistan'),('AG','Antigua and Barbuda'),('AI','Anguilla'),('AL','Albania'),('AM','Armenia'),('AN','Netherlands Antilles'),('AO','Angola'),('AQ','Antarctica'),('AR','Argentina'),('AS','American Samoa'),('AT','Austria'),('AU','Australia'),('AW','Aruba'),('AX','�land Islands'),('AZ','Azerbaijan'),('BA','Bosnia and Herzegovina'),('BB','Barbados'),('BD','Bangladesh'),('BE','Belgium'),('BF','Burkina Faso'),('BG','Bulgaria'),('BH','Bahrain'),('BI','Burundi'),('BJ','Benin'),('BL','Saint Barth�lemy'),('BM','Bermuda'),('BN','Brunei'),('BO','Bolivia'),('BQ','British Antarctic Territory'),('BR','Brazil'),('BS','Bahamas'),('BT','Bhutan'),('BV','Bouvet Island'),('BW','Botswana'),('BY','Belarus'),('BZ','Belize'),('CA','Canada'),('CC','Cocos [Keeling] Islands'),('CD','Congo - Kinshasa'),('CF','Central African Republic'),('CG','Congo - Brazzaville'),('CH','Switzerland'),('CI','C�te d�Ivoire'),('CK','Cook Islands'),('CL','Chile'),('CM','Cameroon'),('CN','China'),('CO','Colombia'),('CR','Costa Rica'),('CS','Serbia and Montenegro'),('CT','Canton and Enderbury Islands'),('CU','Cuba'),('CV','Cape Verde'),('CX','Christmas Island'),('CY','Cyprus'),('CZ','Czech Republic'),('DD','East Germany'),('DE','Germany'),('DJ','Djibouti'),('DK','Denmark'),('DM','Dominica'),('DO','Dominican Republic'),('DZ','Algeria'),('EC','Ecuador'),('EE','Estonia'),('EG','Egypt'),('EH','Western Sahara'),('ER','Eritrea'),('ES','Spain'),('ET','Ethiopia'),('FI','Finland'),('FJ','Fiji'),('FK','Falkland Islands'),('FM','Micronesia'),('FO','Faroe Islands'),('FQ','French Southern and Antarctic Territories'),('FR','France'),('FX','Metropolitan France'),('GA','Gabon'),('GB','United Kingdom'),('GD','Grenada'),('GE','Georgia'),('GF','French Guiana'),('GG','Guernsey'),('GH','Ghana'),('GI','Gibraltar'),('GL','Greenland'),('GM','Gambia'),('GN','Guinea'),('GP','Guadeloupe'),('GQ','Equatorial Guinea'),('GR','Greece'),('GS','South Georgia and the South Sandwich Islands'),('GT','Guatemala'),('GU','Guam'),('GW','Guinea-Bissau'),('GY','Guyana'),('HK','Hong Kong SAR China'),('HM','Heard Island and McDonald Islands'),('HN','Honduras'),('HR','Croatia'),('HT','Haiti'),('HU','Hungary'),('ID','Indonesia'),('IE','Ireland'),('IL','Israel'),('IM','Isle of Man'),('IN','India'),('IO','British Indian Ocean Territory'),('IQ','Iraq'),('IR','Iran'),('IS','Iceland'),('IT','Italy'),('JE','Jersey'),('JM','Jamaica'),('JO','Jordan'),('JP','Japan'),('JT','Johnston Island'),('KE','Kenya'),('KG','Kyrgyzstan'),('KH','Cambodia'),('KI','Kiribati'),('KM','Comoros'),('KN','Saint Kitts and Nevis'),('KP','North Korea'),('KR','South Korea'),('KW','Kuwait'),('KY','Cayman Islands'),('KZ','Kazakhstan'),('LA','Laos'),('LB','Lebanon'),('LC','Saint Lucia'),('LI','Liechtenstein'),('LK','Sri Lanka'),('LR','Liberia'),('LS','Lesotho'),('LT','Lithuania'),('LU','Luxembourg'),('LV','Latvia'),('LY','Libya'),('MA','Morocco'),('MC','Monaco'),('MD','Moldova'),('ME','Montenegro'),('MF','Saint Martin'),('MG','Madagascar'),('MH','Marshall Islands'),('MI','Midway Islands'),('MK','Macedonia'),('ML','Mali'),('MM','Myanmar [Burma]'),('MN','Mongolia'),('MO','Macau SAR China'),('MP','Northern Mariana Islands'),('MQ','Martinique'),('MR','Mauritania'),('MS','Montserrat'),('MT','Malta'),('MU','Mauritius'),('MV','Maldives'),('MW','Malawi'),('MX','Mexico'),('MY','Malaysia'),('MZ','Mozambique'),('NA','Namibia'),('NC','New Caledonia'),('NE','Niger'),('NF','Norfolk Island'),('NG','Nigeria'),('NI','Nicaragua'),('NL','Netherlands'),('NO','Norway'),('NP','Nepal'),('NQ','Dronning Maud Land'),('NR','Nauru'),('NT','Neutral Zone'),('NU','Niue'),('NZ','New Zealand'),('OM','Oman'),('PA','Panama'),('PC','Pacific Islands Trust Territory'),('PE','Peru'),('PF','French Polynesia'),('PG','Papua New Guinea'),('PH','Philippines'),('PK','Pakistan'),('PL','Poland'),('PM','Saint Pierre and Miquelon'),('PN','Pitcairn Islands'),('PR','Puerto Rico'),('PS','Palestinian Territories'),('PT','Portugal'),('PU','U.S. Miscellaneous Pacific Islands'),('PW','Palau'),('PY','Paraguay'),('PZ','Panama Canal Zone'),('QA','Qatar'),('RE','R�union'),('RO','Romania'),('RS','Serbia'),('RU','Russia'),('RW','Rwanda'),('SA','Saudi Arabia'),('SB','Solomon Islands'),('SC','Seychelles'),('SD','Sudan'),('SE','Sweden'),('SG','Singapore'),('SH','Saint Helena'),('SI','Slovenia'),('SJ','Svalbard and Jan Mayen'),('SK','Slovakia'),('SL','Sierra Leone'),('SM','San Marino'),('SN','Senegal'),('SO','Somalia'),('SR','Suriname'),('ST','S�o Tom� and Pr�ncipe'),('SU','Union of Soviet Socialist Republics'),('SV','El Salvador'),('SY','Syria'),('SZ','Swaziland'),('TC','Turks and Caicos Islands'),('TD','Chad'),('TF','French Southern Territories'),('TG','Togo'),('TH','Thailand'),('TJ','Tajikistan'),('TK','Tokelau'),('TL','Timor-Leste'),('TM','Turkmenistan'),('TN','Tunisia'),('TO','Tonga'),('TR','Turkey'),('TT','Trinidad and Tobago'),('TV','Tuvalu'),('TW','Taiwan'),('TZ','Tanzania'),('UA','Ukraine'),('UG','Uganda'),('UM','U.S. Minor Outlying Islands'),('US','United States'),('UY','Uruguay'),('UZ','Uzbekistan'),('VA','Vatican City'),('VC','Saint Vincent and the Grenadines'),('VD','North Vietnam'),('VE','Venezuela'),('VG','British Virgin Islands'),('VI','U.S. Virgin Islands'),('VN','Vietnam'),('VU','Vanuatu'),('WF','Wallis and Futuna'),('WK','Wake Island'),('WS','Samoa'),('YD','People\'s Democratic Republic of Yemen'),('YE','Yemen'),('YT','Mayotte'),('ZA','South Africa'),('ZM','Zambia'),('ZW','Zimbabwe'),('ZZ','Unknown or Invalid Region');


--
-- Table structure for table `#__js_res_field_geo`
--



CREATE TABLE `#__js_res_field_geo` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `country` char(2) DEFAULT NULL,
  `state` varchar(150) DEFAULT NULL,
  `city` varchar(200) DEFAULT NULL,
  `zip` varchar(15) DEFAULT NULL,
  `lat` float(18,15) DEFAULT NULL,
  `lng` float(18,15) DEFAULT NULL,
  `state_trans` varchar(150) DEFAULT NULL,
  `city_trans` varchar(200) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `field_id` int(11) DEFAULT NULL,
  `field_key` int(11) DEFAULT NULL,
  `record_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_sect` (`section_id`),
  KEY `idx_key` (`field_key`),
  KEY `idx_fid` (`field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__js_res_field_geo`
--




--
-- Table structure for table `#__js_res_field_stepaccess`
--



CREATE TABLE `#__js_res_field_stepaccess` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `record_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_user` (`user_id`),
  KEY `idx_record` (`record_id`),
  KEY `idx_field` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__js_res_field_stepaccess`
--




--
-- Table structure for table `#__k2_attachments`
--



CREATE TABLE `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_attachments`
--




--
-- Table structure for table `#__k2_categories`
--



CREATE TABLE `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_categories`
--


INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES (1,'Business','business','',0,0,1,1,1,'1.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"1\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(2,'News','news','',0,0,1,1,2,'2.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(3,'Blog','blog','',0,0,1,1,3,'3.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(4,'eCommerce','ecommerce','',0,0,1,1,4,'4.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(5,'Social Networking','social-networking','',0,0,1,1,5,'','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*');


--
-- Table structure for table `#__k2_comments`
--



CREATE TABLE `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_comments`
--


INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES (1,14,0,'Robert Gavick','2013-04-12 08:39:42','Curabitur blandit tempus porttitor. Donec sed odio dui. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Aenean lacinia bibendum nulla sed consectetur. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus. Donec ullamcorper nulla non metus auctor fringilla.','eee@eeee.pl','http://www.gavick.com',1),(2,14,0,'Tomasz Dziuda','2013-04-12 08:52:08','Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Curabitur blandit tempus porttitor.','eee@ooo.pl','http://www.gavick.com',1);


--
-- Table structure for table `#__k2_extra_fields`
--



CREATE TABLE `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields`
--




--
-- Table structure for table `#__k2_extra_fields_groups`
--



CREATE TABLE `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields_groups`
--




--
-- Table structure for table `#__k2_items`
--



CREATE TABLE `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_items`
--


INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES (1,'Single post example','post',1,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-08 13:06:06',166,'',0,'0000-00-00 00:00:00','2013-04-08 13:15:03',166,'2013-04-08 13:06:06','0000-00-00 00:00:00',0,1,1,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(2,'Single post example','post',2,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-08 13:15:04',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-08 13:15:04','0000-00-00 00:00:00',0,1,1,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(3,'Single post example','post',2,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-08 13:17:06',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-08 13:17:06','0000-00-00 00:00:00',0,1,2,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(4,'Single post example','post',2,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-08 13:24:47',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-08 13:24:47','0000-00-00 00:00:00',0,1,3,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(5,'Single post example','post',1,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-08 13:26:52',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-08 13:26:52','0000-00-00 00:00:00',0,1,2,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(6,'Single post example','post',2,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-08 13:28:34',166,'',0,'0000-00-00 00:00:00','2013-04-11 11:29:56',166,'2013-04-08 13:28:34','0000-00-00 00:00:00',0,1,4,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(7,'Single post example','post',4,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-08 13:30:06',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-08 13:30:06','0000-00-00 00:00:00',0,1,1,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(8,'Single post example','post',5,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:50:11',166,'',0,'0000-00-00 00:00:00','2013-04-11 10:51:50',166,'2013-04-11 10:50:11','0000-00-00 00:00:00',0,1,1,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(9,'Single post example','post',5,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:51:51',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-11 10:51:51','0000-00-00 00:00:00',0,1,2,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(10,'Single post example','post',5,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:53:24',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-11 10:53:24','0000-00-00 00:00:00',0,1,3,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(11,'Single post example','post',1,1,'<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',NULL,NULL,'[]','','2013-04-11 10:54:30',166,'',0,'0000-00-00 00:00:00','2013-04-15 10:48:55',166,'2013-04-11 10:54:30','0000-00-00 00:00:00',0,1,3,0,0,'','','','',9,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"1\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"1\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(12,'Single post example','post',1,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:55:59',166,'',0,'0000-00-00 00:00:00','2013-04-15 10:31:09',166,'2013-04-11 10:55:59','0000-00-00 00:00:00',0,1,4,0,0,'','','','',18,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(13,'Single post example','post',4,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:57:57',166,'',0,'0000-00-00 00:00:00','2013-04-11 10:59:04',166,'2013-04-11 10:57:57','0000-00-00 00:00:00',0,1,2,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(14,'Single post example','post',4,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 10:59:06',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-11 10:59:06','0000-00-00 00:00:00',0,1,3,0,0,'','','','',359,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(15,'Single post example','post',4,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 11:00:16',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-11 11:00:16','0000-00-00 00:00:00',0,1,4,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(16,'Single post example','post',3,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 11:01:29',166,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'2013-04-11 11:01:29','0000-00-00 00:00:00',0,1,1,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(17,'Single post example','post',3,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 11:03:26',166,'',0,'0000-00-00 00:00:00','2013-04-12 11:06:59',166,'2013-04-11 11:03:26','0000-00-00 00:00:00',0,1,2,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(18,'Single post example','post',3,1,'<div class=\"itemIntroText\">\r\n<p>Etiam porta sem malesuada magna mollis euismod. Maecenas sed diam eget risus varius blandit sit amet non magna. Maecenas faucibus mollis interdum. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Nulla vitae elit libero, a pharetra augue. </p>\r\n','\r\n<p>Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Nullam quis risus eget urna mollis ornare vel eu leo. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n</div>',NULL,NULL,'[]','','2013-04-11 11:04:14',166,'',0,'0000-00-00 00:00:00','2013-04-12 11:08:59',166,'2013-04-11 11:04:14','0000-00-00 00:00:00',0,1,3,0,0,'','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*');


--
-- Table structure for table `#__k2_rating`
--



CREATE TABLE `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_rating`
--


INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES (14,10,2,'176.111.20.37');


--
-- Table structure for table `#__k2_tags`
--



CREATE TABLE `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=48 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags`
--


INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES (1,'App',1),(2,'Business',1),(4,'Template',1),(6,'Professional',1),(7,'Sports',1),(8,'News',1),(9,'Joomla!',1),(10,'League news',1),(11,'The World News II',1),(12,'Editorial',1),(13,'Articles',1),(14,'Sporter',1),(15,'Corporate',1),(16,'Services',1),(17,'Fashion',1),(18,'Responsive',1),(19,'Presentations',1),(20,'Marketing',1),(21,'eCommerce',1),(22,'BikeStore',1),(23,'Shop',1),(24,'Bikes',1),(25,'Game Magazine',1),(26,'Gaming',1),(27,'Reviews',1),(29,'Music',1),(30,'Social',1),(31,'Networking',1),(32,'PartyFreak',1),(33,'Bands',1),(34,'Financial Business',1),(35,'Company',1),(36,'Products',1),(39,'eSport',1),(40,'Design',1),(41,'Black&White',1),(42,'K2 Store',1),(43,'Blog',1),(44,'myFolio',1),(45,'Portfolio',1),(46,'CherryDesign',1),(47,'Elegant',1);


--
-- Table structure for table `#__k2_tags_xref`
--



CREATE TABLE `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM AUTO_INCREMENT=177 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags_xref`
--


INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES (12,6,1),(11,5,1),(10,4,1),(9,3,1),(8,2,1),(7,1,1),(13,7,2),(14,8,2),(15,9,2),(16,10,2),(17,4,2),(18,11,3),(19,9,3),(20,4,3),(21,12,3),(22,8,3),(23,13,3),(24,6,3),(25,14,4),(26,7,4),(27,8,4),(28,9,4),(29,4,4),(30,5,5),(31,4,5),(32,9,5),(33,2,5),(34,15,5),(35,16,5),(142,8,6),(141,20,6),(140,19,6),(139,4,6),(138,9,6),(137,18,6),(136,17,6),(43,21,7),(44,22,7),(45,9,7),(46,7,7),(47,23,7),(48,24,7),(66,28,8),(65,27,8),(64,26,8),(63,4,8),(62,9,8),(61,25,8),(67,29,9),(68,30,9),(69,31,9),(70,4,9),(71,32,10),(72,30,10),(73,31,10),(74,4,10),(75,29,10),(76,33,10),(176,35,11),(175,19,11),(174,6,11),(173,5,11),(172,4,11),(171,9,11),(170,34,11),(169,16,12),(168,19,12),(167,36,12),(166,35,12),(165,4,12),(164,9,12),(163,2,12),(102,38,13),(101,37,13),(100,4,13),(99,9,13),(98,23,13),(97,21,13),(103,21,14),(104,39,14),(105,9,14),(106,4,14),(107,23,14),(108,6,14),(109,40,14),(110,41,15),(111,5,15),(112,9,15),(113,4,15),(114,42,15),(115,23,15),(116,21,15),(117,43,16),(118,9,16),(119,4,16),(120,6,16),(121,40,16),(122,5,16),(148,45,17),(147,5,17),(146,6,17),(145,9,17),(144,44,17),(143,43,17),(162,47,18),(161,4,18),(160,9,18),(159,5,18),(158,46,18),(157,45,18),(156,43,18);


--
-- Table structure for table `#__k2_user_groups`
--



CREATE TABLE `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_user_groups`
--


INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`) VALUES (1,'Registered','{\"comment\":\"1\",\"frontEdit\":\"0\",\"add\":\"0\",\"editOwn\":\"0\",\"editAll\":\"0\",\"publish\":\"0\",\"inheritance\":0,\"categories\":\"all\"}'),(2,'Site Owner','{\"comment\":\"1\",\"frontEdit\":\"1\",\"add\":\"1\",\"editOwn\":\"1\",\"editAll\":\"1\",\"publish\":\"1\",\"inheritance\":1,\"categories\":\"all\"}');


--
-- Table structure for table `#__k2_users`
--



CREATE TABLE `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_users`
--


INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`, `ip`, `hostname`, `notes`) VALUES (1,166,'Super User','m','<p>Etiam porta sem malesuada magna mollis euismod. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Curabitur blandit tempus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam porta sem malesuada magna mollis euismod.</p>','1.jpg','http://https://gavick.com',0,'','195.74.51.136','nat08.ms.lnet.pl','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.');


--
-- Table structure for table `#__languages`
--



CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__languages`
--


INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES (1,'en-GB','English (UK)','English (UK)','en','en','','','','',1,0,1);


--
-- Table structure for table `#__menu`
--



CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=200 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu`
--


INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES (1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,167,0,'*',0),(2,'menu','com_banners','Banners','','Banners','index.php?option=com_banners','component',0,1,1,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',1,10,0,'*',1),(3,'menu','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',2,3,0,'*',1),(4,'menu','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',4,5,0,'*',1),(5,'menu','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',6,7,0,'*',1),(6,'menu','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',8,9,0,'*',1),(7,'menu','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',23,28,0,'*',1),(8,'menu','com_contact','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',24,25,0,'*',1),(9,'menu','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',26,27,0,'*',1),(10,'menu','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',33,38,0,'*',1),(11,'menu','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',34,35,0,'*',1),(12,'menu','com_messages_read','Read Private Message','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',36,37,0,'*',1),(13,'menu','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',39,44,0,'*',1),(14,'menu','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',40,41,0,'*',1),(15,'menu','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',42,43,0,'*',1),(16,'menu','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',55,56,0,'*',1),(17,'menu','com_search','Basic Search','','Basic Search','index.php?option=com_search','component',0,1,1,19,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',51,52,0,'*',1),(21,'menu','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component',0,1,1,27,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',49,50,0,'*',1),(22,'menu','com_joomlaupdate','Joomla! Update','','Joomla! Update','index.php?option=com_joomlaupdate','component',0,1,1,28,0,'0000-00-00 00:00:00',0,0,'class:joomlaupdate',0,'',53,54,0,'*',1),(23,'main','com_tags','Tags','','Tags','index.php?option=com_tags','component',0,1,1,29,0,'0000-00-00 00:00:00',0,1,'class:tags',0,'',45,46,0,'',1),(101,'mainmenu','Home','home','','home','index.php?option=com_content&view=category&layout=blog&id=12','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"0\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"4\",\"num_intro_articles\":\"0\",\"num_columns\":\"1\",\"num_links\":\"2\",\"multi_column_order\":\"1\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"info_bloc_position\":\"0\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',11,12,1,'*',0),(102,'bottommenu','Author Login','login','','login','index.php?option=com_users&view=login','component',1,1,1,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"index.php?Itemid=101\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',57,58,0,'*',0),(103,'authormenu','Change Password','change-password','','change-password','index.php?option=com_users&view=profile&layout=edit','component',1,1,1,25,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',13,14,0,'*',0),(104,'authormenu','Create a Post','create-a-post','','create-a-post','index.php?option=com_content&view=form&layout=edit','component',1,1,1,22,0,'0000-00-00 00:00:00',0,3,'',0,'{\"enable_category\":\"1\",\"catid\":\"9\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',15,16,0,'*',0),(105,'authormenu','Add to Blog Roll','add-to-blog-roll','','add-to-blog-roll','index.php?option=com_weblinks&view=form&layout=edit','component',1,1,1,21,0,'0000-00-00 00:00:00',0,3,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',17,18,0,'*',0),(106,'authormenu','Site Administrator','2012-01-04-15-46-42','','2012-01-04-15-46-42','administrator','url',0,1,1,0,0,'0000-00-00 00:00:00',1,3,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',29,30,0,'*',0),(107,'authormenu','Log out','log-out','','log-out','index.php?option=com_users&view=login','component',0,1,1,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',31,32,0,'*',0),(109,'authormenu','Working on Your Site','working-on-your-site','','working-on-your-site','index.php?option=com_content&view=article&id=2','component',0,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',21,22,0,'*',0),(110,'authormenu','Edit Blog Roll','edit-blog-roll','','edit-blog-roll','index.php?option=com_weblinks&view=category&id=8','component',1,1,1,21,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',19,20,0,'*',0),(111,'mainmenu','Archived Articles','archived-articles','','template/content/archived-articles','index.php?option=com_content&view=archive','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',61,62,0,'*',0),(112,'mainmenu','Content','content','','template/content','index.php?option=com_content&view=categories&id=0','component',1,124,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',60,75,0,'*',0),(113,'mainmenu','Single Article','single-article','','template/content/single-article','index.php?option=com_content&view=article&id=11','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',63,64,0,'*',0),(114,'mainmenu','List All Categories','list-all-categories','','template/content/list-all-categories','index.php?option=com_content&view=categories&id=0','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',65,66,0,'*',0),(115,'mainmenu','Category blog','category-blog','','template/content/category-blog','index.php?option=com_content&view=category&layout=blog&id=12','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"info_bloc_position\":\"0\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',67,68,0,'*',0),(116,'mainmenu','Category list','category-list','','template/content/category-list','index.php?option=com_content&view=category&id=12','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',69,70,0,'*',0),(117,'mainmenu','Featured Articles','featured-articles','','template/content/featured-articles','index.php?option=com_content&view=featured','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',71,72,0,'*',0),(118,'mainmenu','Error page','2012-10-07-12-42-29','','template/2012-10-07-12-42-29','index.php?option=com_not_exisiting','url',1,124,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',114,115,0,'*',0),(119,'mainmenu','Contact','contact','','template/contact','index.php?option=com_contact&view=categories&id=0','component',1,124,2,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',76,85,0,'*',0),(120,'mainmenu','List All Contact Categories','list-all-contact-categories','','template/contact/list-all-contact-categories','index.php?option=com_contact&view=categories&id=0','component',1,119,3,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',77,78,0,'*',0),(121,'mainmenu','List Contacts in a Category','list-contacts-in-a-category','','template/contact/list-contacts-in-a-category','index.php?option=com_contact&view=category&id=10','component',1,119,3,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"initial_sort\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',79,80,0,'*',0),(122,'mainmenu','Featured Contacts','featured-contacts','','template/contact/featured-contacts','index.php?option=com_contact&view=featured','component',1,119,3,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',83,84,0,'*',0),(123,'mainmenu','Single Contact','single-contact','','template/contact/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,119,3,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',81,82,0,'*',0),(124,'mainmenu','Template','template','','template','index.php?option=com_content&view=featured','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"info_bloc_position\":\"0\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',59,120,0,'*',0),(126,'mainmenu','Newsfeeds','newsfeeds','','template/newsfeeds','index.php?option=com_newsfeeds&view=categories&id=0','component',1,124,2,17,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',86,93,0,'*',0),(127,'mainmenu','List All News Feed Categories','list-all-news-feed-categories','','template/newsfeeds/list-all-news-feed-categories','index.php?option=com_newsfeeds&view=categories&id=0','component',1,126,3,17,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',87,88,0,'*',0),(128,'mainmenu','List News Feeds in a Category','list-news-feeds-in-a-category','','template/newsfeeds/list-news-feeds-in-a-category','index.php?option=com_newsfeeds&view=category&id=11','component',1,126,3,17,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"feed_display_order\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',89,90,0,'*',0),(129,'mainmenu','Single News Feed','single-news-feed','','template/newsfeeds/single-news-feed','index.php?option=com_newsfeeds&view=newsfeed&id=1','component',1,126,3,17,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"feed_display_order\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',91,92,0,'*',0),(130,'mainmenu','Search','search','','template/search','index.php?option=com_search&view=search&searchword=','component',1,124,2,19,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',94,99,0,'*',0),(131,'mainmenu','com_search','com-search','','template/search/com-search','index.php?option=com_search&view=search&searchword=','component',1,130,3,19,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',95,96,0,'*',0),(132,'mainmenu','Smart Search','smart-search','','template/search/smart-search','index.php?option=com_finder&view=search&q=&f=','component',1,130,3,27,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_date_filters\":\"\",\"show_advanced\":\"\",\"expand_advanced\":\"\",\"show_description\":\"\",\"description_length\":255,\"show_url\":\"\",\"show_pagination_limit\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"allow_empty_query\":\"0\",\"sort_order\":\"\",\"sort_direction\":\"\",\"show_feed\":\"0\",\"show_feed_text\":\"0\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',97,98,0,'*',0),(133,'mainmenu','Users Manager','users-manager','','template/users-manager','index.php?option=com_users&view=login','component',1,124,2,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',100,113,0,'*',0),(134,'mainmenu','Login Form','login-form','','template/users-manager/login-form','index.php?option=com_users&view=login','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',101,102,0,'*',0),(135,'mainmenu','User profile','user-profile','','template/users-manager/user-profile','index.php?option=com_users&view=profile','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',103,104,0,'*',0),(136,'mainmenu','Edit User Profile','edit-user-profile','','template/users-manager/edit-user-profile','index.php?option=com_users&view=profile&layout=edit','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',105,106,0,'*',0),(137,'mainmenu','Registration form','registration-form','','template/users-manager/registration-form','index.php?option=com_users&view=registration','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',107,108,0,'*',0),(138,'mainmenu','Username reminder','username-reminder','','template/users-manager/username-reminder','index.php?option=com_users&view=remind','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',109,110,0,'*',0),(139,'mainmenu','Password Reset','password-reset','','template/users-manager/password-reset','index.php?option=com_users&view=reset','component',1,133,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',111,112,0,'*',0),(144,'mainmenu','Typography','typography','','typography','index.php?option=com_content&view=article&id=7','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',121,122,0,'*',0),(145,'mainmenu','Module variations','module-variations','','module-variations','index.php?option=com_content&view=article&id=10','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',123,124,0,'*',0),(146,'mainmenu','Module positions','module-positions','','module-positions','index.php?option=com_content&view=article&id=8','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',125,126,0,'*',0),(147,'mainmenu','Page break example','page-break-example','','template/content/page-break-example','index.php?option=com_content&view=article&id=9','component',1,112,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',73,74,0,'*',0),(148,'mainmenu','Joomla! Templates','joomla-templates','','joomla-templates','index.php?option=com_content&view=category&layout=blog&id=13','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"info_bloc_position\":\"0\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',127,128,0,'*',0),(160,'mainmenu','K2','2013-04-11-11-08-46','','2013-04-11-11-08-46','http://www.getk2.org','url',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',129,144,0,'*',0),(161,'mainmenu','Item','item','','2013-04-11-11-08-46/item','index.php?option=com_k2&view=item&layout=item&id=14','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',130,131,0,'*',0),(162,'mainmenu','Categories','categories','','2013-04-11-11-08-46/categories','index.php?option=com_k2&view=itemlist&layout=category&task=&id=','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"1\",\"2\",\"5\"],\"catCatalogMode\":\"0\",\"theme\":\"default\",\"num_leading_items\":\"3\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"XLarge\",\"num_primary_items\":\"0\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Large\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Large\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',132,133,0,'*',0),(163,'mainmenu','Tag','tag','','2013-04-11-11-08-46/tag','index.php?option=com_k2&view=itemlist&layout=tag&tag=Design&task=tag','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"categoriesFilter\":[\"1\",\"2\",\"3\",\"4\",\"5\"],\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',134,135,0,'*',0),(164,'mainmenu','User page','user-page','','2013-04-11-11-08-46/user-page','index.php?option=com_k2&view=itemlist&layout=user&id=166&task=user','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"userCategoriesFilter\":[\"1\",\"4\"],\"userOrdering\":\"\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',136,137,0,'*',0),(165,'mainmenu','Latest items (one column)','latest-items-one-column','','2013-04-11-11-08-46/latest-items-one-column','index.php?option=com_k2&view=latest&layout=latest','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"1\",\"latestItemsLimit\":\"1\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"categoryIDs\":[\"1\",\"2\",\"3\",\"4\",\"5\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"XLarge\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',138,139,0,'*',0),(166,'mainmenu','Latest items (two columns)','latest-items-two-columns','','2013-04-11-11-08-46/latest-items-two-columns','index.php?option=com_k2&view=latest&layout=latest','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"2\",\"latestItemsLimit\":\"2\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"categoryIDs\":[\"1\",\"2\",\"4\",\"3\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Medium\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',140,141,0,'*',0),(167,'mainmenu','Latest items (three columns)','latest-items-three-columns','','2013-04-11-11-08-46/latest-items-three-columns','index.php?option=com_k2&view=latest&layout=latest','component',1,160,2,10002,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"source\":\"1\",\"latestItemsCols\":\"3\",\"latestItemsLimit\":\"2\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"0\",\"userImage\":\"0\",\"userDescription\":\"0\",\"userURL\":\"0\",\"userEmail\":\"0\",\"userFeed\":\"0\",\"categoryIDs\":[\"1\",\"3\",\"4\"],\"categoryTitle\":\"0\",\"categoryDescription\":\"0\",\"categoryImage\":\"0\",\"categoryFeed\":\"0\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Small\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"0\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"0\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',142,143,0,'*',0),(173,'mainmenu','Tags','2013-04-25-16-01-43','','template/2013-04-25-16-01-43','#','url',1,124,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',116,119,0,'*',0),(176,'mainmenu','List of all tags','list-of-all-tags','','template/2013-04-25-16-01-43/list-of-all-tags','index.php?option=com_tags&view=tags&parent_id=&tag_list_language_filter=','component',1,173,3,29,0,'0000-00-00 00:00:00',0,1,'',0,'{\"tag_columns\":8,\"all_tags_description\":\"\",\"all_tags_show_description_image\":\"\",\"all_tags_description_image\":\"\",\"all_tags_orderby\":\"\",\"all_tags_orderby_direction\":\"\",\"all_tags_show_tag_image\":\"1\",\"all_tags_show_tag_description\":\"\",\"all_tags_tag_maximum_characters\":0,\"all_tags_show_tag_hits\":\"\",\"maximum\":200,\"filter_field\":\"\",\"show_pagination_limit\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',117,118,0,'*',0),(188,'main','com_postinstall','Post-installation messages','','Post-installation messages','index.php?option=com_postinstall','component',0,1,1,32,0,'0000-00-00 00:00:00',0,1,'class:postinstall',0,'',47,48,0,'*',1),(189,'main','COM_K2','com-k2','','com-k2','index.php?option=com_k2','component',0,1,1,10002,0,'0000-00-00 00:00:00',0,1,'../media/k2/assets/images/system/k2_16x16.png',0,'',145,166,0,'',1),(190,'main','K2_ITEMS','k2-items','','com-k2/k2-items','index.php?option=com_k2&view=items','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',146,147,0,'',1),(191,'main','K2_CATEGORIES','k2-categories','','com-k2/k2-categories','index.php?option=com_k2&view=categories','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',148,149,0,'',1),(192,'main','K2_TAGS','k2-tags','','com-k2/k2-tags','index.php?option=com_k2&view=tags','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',150,151,0,'',1),(193,'main','K2_COMMENTS','k2-comments','','com-k2/k2-comments','index.php?option=com_k2&view=comments','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',152,153,0,'',1),(194,'main','K2_USERS','k2-users','','com-k2/k2-users','index.php?option=com_k2&view=users','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',154,155,0,'',1),(195,'main','K2_USER_GROUPS','k2-user-groups','','com-k2/k2-user-groups','index.php?option=com_k2&view=usergroups','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',156,157,0,'',1),(196,'main','K2_EXTRA_FIELDS','k2-extra-fields','','com-k2/k2-extra-fields','index.php?option=com_k2&view=extrafields','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',158,159,0,'',1),(197,'main','K2_EXTRA_FIELD_GROUPS','k2-extra-field-groups','','com-k2/k2-extra-field-groups','index.php?option=com_k2&view=extrafieldsgroups','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',160,161,0,'',1),(198,'main','K2_MEDIA_MANAGER','k2-media-manager','','com-k2/k2-media-manager','index.php?option=com_k2&view=media','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',162,163,0,'',1),(199,'main','K2_INFORMATION','k2-information','','com-k2/k2-information','index.php?option=com_k2&view=info','component',0,189,2,10002,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',164,165,0,'',1);


--
-- Table structure for table `#__menu_types`
--



CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu_types`
--


INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES (1,'mainmenu','Main Menu','The main menu for the site'),(2,'authormenu','Author Menu',''),(3,'bottommenu','Bottom Menu','');


--
-- Table structure for table `#__messages`
--



CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages`
--




--
-- Table structure for table `#__messages_cfg`
--



CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages_cfg`
--




--
-- Table structure for table `#__modules`
--



CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules`
--


INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES (1,0,'Main Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"mainmenu\",\"active\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(2,0,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),(3,0,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(4,0,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(8,0,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),(9,0,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),(10,0,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(12,0,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),(13,0,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),(14,0,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),(15,0,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),(79,0,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(89,0,'Footer menu','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(90,79,'[icon-ok] Weblinks','','<ul>\r\n<li><a href=\"https://www.gavick.com/forums\">Support forum</a></li>\r\n<li><a href=\"https://www.gavick.com/documentation/\">Documentation</a></li>\r\n<li><a href=\"https://www.gavick.com/blog/\">Web design Blog</a></li>\r\n<li><a href=\"http://github.com/GavickPro\">GavickPro on Github</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(91,80,'[icon-fire] Hot links','','<ul>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(92,81,'[icon-time] Templates','','<ul>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(93,82,'[icon-gift] Freebies','','<ul>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(94,83,'[icon-exclamation-sign] Important','','<ul>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n<li><a href=\"#\">Lorem Ipsum</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(95,84,'[icon-thumbs-up] Share ','','<ul>\r\n<li><a href=\"https://www.facebook.com/gavickpro\">Facebook</a></li>\r\n<li><a href=\"https://twitter.com/gavickpro\">Twitter</a></li>\r\n<li><a href=\"https://plus.google.com/+GavickPro-Company\">Google+</a></li>\r\n<li><a href=\"https://www.pinterest.com/robertgavick/\">Pinterest</a></li>\r\n<li><a href=\"http://github.com/GavickPro\">Github</a></li>\r\n</ul>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(96,85,'Header - frontpage','','<h1 class=\"gk-big-header\">Hello, <span>everyone!</span></h1>\r\n<h2 class=\"gk-small-header\">I’m new and really free Joomla 3 template based on the new version of the Gavern Framework <br />which features built-in support for Bootstrap.</h2>\r\n<p class=\"gk-buttons\"><a class=\"gk-blue-button\" href=\"index.php/template/content/single-article\">View details</a> <a id=\"gk-download-btn\" class=\"gk-yellow-button\" href=\"#coming-soon\" title=\"Coming soon…\">Download</a></p>',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(97,0,'HEADER - module variations','','<h1 class=\"gk-medium-header\">Template Module Variations</h1>',0,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(98,0,'Header - module positions','','<h1 class=\"gk-medium-header\">Template Module Positions</h1>',0,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(99,0,'Header - Typography','','<h1 class=\"gk-medium-header\">Template Typography</h1>',0,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(100,78,'Based on Bootstrap','','<div class=\"container-fluid\">\r\n     <div class=\"row-fluid\">\r\n          <div class=\"span4 gk-demo-content\"><img src=\"templates/meet_gavern/images/content/joomla30.png\" alt=\"Free Joomla! Template\" />\r\n               <h2>\r\n                    Free Joomla! Template\r\n               </h2>\r\n               <p>\r\n                    This is our first and free template built especially for Joomla. Want to know more about Joomla 3?\r\n               </p>\r\n               <a class=\"btn btn-large\" href=\"http://www.joomla.org/3/\">Read more</a></div>\r\n          <div class=\"span4 gk-demo-content\"><img src=\"templates/meet_gavern/images/content/gavern_plus_bootstrap.png\" alt=\"Gavern + Bootstrap\" />\r\n               <h2>\r\n                    Gavern + Bootstrap\r\n               </h2>\r\n               <p>\r\n                    Meet Gavern is based upon a brand new version of the Gavern Framework which features built-in support for Bootstrap\r\n               </p>\r\n               <a class=\"btn btn-large\" href=\"index.php/template/content/single-article\">Read more</a></div>\r\n          <div class=\"span4 gk-demo-content\"><img src=\"templates/meet_gavern/images/content/responsive_design.png\" alt=\"Responsive Web Design\" />\r\n               <h2>\r\n                    Responsive Web Design\r\n               </h2>\r\n               <p>\r\n                    Joomla! and Gavern Framework are prepared to support Responsive Web Design\r\n               </p>\r\n               <a class=\"btn btn-large\" href=\"https://www.gavick.com/documentation/joomla/gavern-framework/responsive-layout\">Read more</a></div>\r\n     </div>\r\n</div>\r\n',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(101,86,'Social icons','','<p><a class=\"gk-facebook-icon\" href=\"http://www.facebook.com/gavickpro\">Facebook</a><a class=\"gk-gplus-icon\" href=\"https://plus.google.com/110937149959405490547?prsrc=3\">G+</a><a class=\"gk-twitter-icon\" href=\"http://twitter.com/gavickpro\">Twitter</a><a class=\"gk-rss-icon\" href=\"#\">RSS</a></p>',1,'social',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(103,0,'[icon-search] Search','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,1,'{\"label\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(104,0,'Suffix default','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(105,0,'Suffix \"blue\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"blue\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(106,0,'Suffix \"blue-header\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"blue-header\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(107,0,'Suffix \"red\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"red\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(108,0,'Latest News','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_latest',1,1,'{\"catid\":[\"\"],\"count\":\"5\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(109,0,'Log in','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"usetext\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(130,0,'Suffix \"red-header\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"red-header\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(131,0,'Suffix \"green\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"green\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(132,0,'Suffix \"green-header\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"green-header\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(133,0,'Suffix \"yellow\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"yellow\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(134,0,'Suffix \"yellow-header\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"yellow-header\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(135,0,'Suffix \"border1\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(136,0,'Suffix \"border2\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(137,0,'Suffix \"border3\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(138,0,'Suffix \"hot\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(139,0,'Suffix \"popular\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"popular\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(140,0,'Suffix \"new\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(141,0,'Suffix \"coming\"','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper.</p>\r\n<ul>\r\n<li><a href=\"#\">Donec id elit non mi porta.</a></li>\r\n<li><a href=\"#\">Gravida at eget metus.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus</a></li>\r\n<li><a href=\"#\">Magna, vel scelerisque</a></li>\r\n</ul>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"coming\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(142,0,'K2 Comments','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_comments',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"catfilter\":\"0\",\"comments_limit\":\"3\",\"comments_word_limit\":\"10\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"32\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"0\",\"itemTitle\":\"0\",\"itemCategory\":\"0\",\"feed\":\"0\",\"commenters_limit\":\"5\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"0\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(143,0,'K2 Content','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_content',1,1,'{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"filter\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"itemCount\":\"2\",\"itemsOrdering\":\"\",\"FeaturedItems\":\"1\",\"popularityRange\":\"\",\"videosOnly\":\"0\",\"item\":\"0\",\"itemTitle\":\"1\",\"itemAuthor\":\"1\",\"itemAuthorAvatar\":\"0\",\"itemAuthorAvatarWidthSelect\":\"custom\",\"itemAuthorAvatarWidth\":\"50\",\"userDescription\":\"0\",\"itemIntroText\":\"1\",\"itemIntroTextWordLimit\":\"15\",\"itemImage\":\"1\",\"itemImgSize\":\"Small\",\"itemVideo\":\"1\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemAttachments\":\"1\",\"itemTags\":\"1\",\"itemCategory\":\"1\",\"itemDateCreated\":\"1\",\"itemHits\":\"0\",\"itemReadMore\":\"1\",\"itemExtraFields\":\"0\",\"itemCommentsCounter\":\"0\",\"feed\":\"1\",\"itemPreText\":\"\",\"itemCustomLink\":\"0\",\"itemCustomLinkTitle\":\"\",\"itemCustomLinkURL\":\"http:\\/\\/\",\"itemCustomLinkMenuItem\":\"103\",\"K2Plugins\":\"1\",\"JPlugins\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(144,0,'Tag Coud','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"100\",\"max_size\":\"100\",\"cloud_limit\":\"20\",\"cloud_category\":[\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(147,0,'K2 Quick Icons (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_quickicons',1,1,'',1,'*'),(148,0,'K2 Stats (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_stats',1,1,'',1,'*'),(149,0,'Archive','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"100\",\"max_size\":\"100\",\"cloud_limit\":\"20\",\"cloud_category\":[\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(150,0,'Blog Categories','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"4\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"1\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"100\",\"max_size\":\"100\",\"cloud_limit\":\"20\",\"cloud_category\":[\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(151,0,'Calendar','','',1,'sidebar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,0,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"2\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"100\",\"max_size\":\"100\",\"cloud_limit\":\"20\",\"cloud_category\":[\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),(155,0,'Usermenu','','',1,'usermenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',2,0,'{\"menutype\":\"authormenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*');


--
-- Table structure for table `#__modules_menu`
--



CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules_menu`
--


INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES (1,0),(2,0),(3,0),(4,0),(6,0),(7,0),(8,0),(9,0),(10,0),(12,0),(13,0),(14,0),(15,0),(79,0),(89,0),(90,0),(91,0),(92,0),(93,0),(94,0),(95,0),(96,101),(97,145),(98,146),(99,144),(100,101),(101,0),(103,-167),(103,-166),(103,-165),(103,-164),(103,-163),(103,-162),(103,-161),(103,-160),(103,-144),(103,-101),(104,145),(105,145),(106,145),(107,145),(108,-167),(108,-166),(108,-165),(108,-164),(108,-163),(108,-162),(108,-161),(108,-160),(108,-144),(108,-101),(109,0),(130,145),(131,145),(132,145),(133,145),(134,145),(135,145),(136,145),(137,145),(138,145),(139,145),(140,145),(141,145),(142,160),(142,161),(142,162),(142,163),(142,164),(142,165),(143,160),(143,161),(143,162),(143,163),(143,164),(144,160),(144,161),(144,162),(144,163),(144,164),(144,165),(147,0),(148,0),(149,160),(149,161),(149,162),(149,163),(149,164),(150,160),(150,161),(150,162),(150,163),(150,164),(151,160),(151,161),(151,162),(151,163),(151,164),(155,0);


--
-- Table structure for table `#__newsfeeds`
--



CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__newsfeeds`
--


INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES (11,1,'Gavick Magazine','gavick-magazine','http://www.gavick.com/magazine/?format=feed&type=rss',1,5,3600,0,'0000-00-00 00:00:00',1,0,1,'*','{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"newsfeed_layout\":\"\",\"feed_display_order\":\"\"}','2012-10-07 20:08:22',166,'','2013-04-25 15:49:54',166,'','','{\"tags\":[4,13,14,3],\"robots\":\"\",\"rights\":\"\"}','','0000-00-00 00:00:00','0000-00-00 00:00:00','',3,1,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}');


--
-- Table structure for table `#__overrider`
--



CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__overrider`
--




--
-- Table structure for table `#__postinstall_messages`
--



CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__postinstall_messages`
--


INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES (1,700,'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION','plg_twofactorauth_totp',1,'action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_condition','3.2.0',1),(2,700,'COM_CPANEL_MSG_EACCELERATOR_TITLE','COM_CPANEL_MSG_EACCELERATOR_BODY','COM_CPANEL_MSG_EACCELERATOR_BUTTON','com_cpanel',1,'action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_condition','3.2.0',1),(4,700,'COM_CPANEL_MSG_PHPVERSION_TITLE','COM_CPANEL_MSG_PHPVERSION_BODY','','com_cpanel',1,'message','','','admin://components/com_admin/postinstall/phpversion.php','admin_postinstall_phpversion_condition','3.2.2',1),(5,700,'COM_CPANEL_MSG_HTACCESS_TITLE','COM_CPANEL_MSG_HTACCESS_BODY','','com_cpanel',1,'message','','','admin://components/com_admin/postinstall/htaccess.php','admin_postinstall_htaccess_condition','3.4.0',1),(6,700,'COM_CPANEL_MSG_ROBOTS_TITLE','COM_CPANEL_MSG_ROBOTS_BODY','','com_cpanel',1,'message','','','','','3.3.0',1),(7,700,'COM_CPANEL_MSG_LANGUAGEACCESS340_TITLE','COM_CPANEL_MSG_LANGUAGEACCESS340_BODY','','com_cpanel',1,'message','','','admin://components/com_admin/postinstall/languageaccess340.php','admin_postinstall_languageaccess340_condition','3.4.1',1);


--
-- Table structure for table `#__redirect_links`
--



CREATE TABLE `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) DEFAULT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `header` smallint(3) NOT NULL DEFAULT '301',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__redirect_links`
--


INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`, `header`) VALUES (1,'http://joomla30.gavick.com/preview/stable/index.php?option=lol','','','',1,0,'2012-10-05 17:33:20','0000-00-00 00:00:00',301),(2,'http://joomla30.gavick.com/preview/stable/index.php/loool','','','',19,0,'2012-10-07 11:02:45','0000-00-00 00:00:00',301),(3,'http://joomla30.gavick.com/preview/stable/index.php/contact/single-contact','','','',1,0,'2012-10-07 12:52:32','0000-00-00 00:00:00',301),(4,'http://joomla30.gavick.com/preview/stable/index.php/2012-10-07-12-52-07/content/single-article','','http://joomla30.gavick.com/preview/stable/index.php/2012-10-07-12-52-07/contact','',1,0,'2012-10-08 11:59:56','0000-00-00 00:00:00',301),(5,'http://joomla30.gavick.com/preview/stable/index.php/about','','http://joomla30.gavick.com/preview/stable/index.php/2012-10-07-12-52-07/content/single-article','',1,0,'2012-10-08 14:18:44','0000-00-00 00:00:00',301),(6,'http://joomla30.gavick.com/preview/stable/','','http://joomla30.gavick.com/preview/stable/administrator/index.php?option=com_content&view=articles','',4,0,'2012-10-08 21:18:26','0000-00-00 00:00:00',301),(7,'http://joomla30.gavick.com/preview/stable/index.php','','http://joomla30.gavick.com/preview/stable/','',1,0,'2012-10-08 21:18:50','0000-00-00 00:00:00',301),(8,'http://joomla30.gavick.com/index.php/component/not_exisiting/?Itemid=118','','http://joomla30.gavick.com/','',2,0,'2012-10-09 17:19:38','0000-00-00 00:00:00',301);


--
-- Table structure for table `#__schemas`
--



CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__schemas`
--





--
-- Table structure for table `#__session`
--



CREATE TABLE `#__session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` mediumtext,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__session`
--


INSERT INTO `#__session` (`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`) VALUES ('c61f922b0ceee9d37607785f87eee6af',1,0,'1461761563','__default|a:8:{s:15:\"session.counter\";i:9;s:19:\"session.timer.start\";i:1461761525;s:18:\"session.timer.last\";i:1461761558;s:17:\"session.timer.now\";i:1461761563;s:22:\"session.client.browser\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.86 Safari/537.36\";s:8:\"registry\";O:24:\"Joomla\\Registry\\Registry\":2:{s:7:\"\\0\\0\\0data\";O:8:\"stdClass\":2:{s:11:\"application\";O:8:\"stdClass\":1:{s:4:\"lang\";s:5:\"en-GB\";}s:13:\"com_installer\";O:8:\"stdClass\":2:{s:7:\"message\";s:0:\"\";s:17:\"extension_message\";s:0:\"\";}}s:9:\"separator\";s:1:\".\";}s:4:\"user\";O:5:\"JUser\":29:{s:9:\"\\0\\0\\0isRoot\";b:1;s:2:\"id\";s:3:\"166\";s:4:\"name\";s:10:\"Super User\";s:8:\"username\";s:7:\"gkadmin\";s:5:\"email\";s:16:\"blank@gavick.com\";s:8:\"password\";s:60:\"$2y$10$dwfWEftCFcNB5jKgA.xezupsXl5/QxNr5TJl9ih1/gmnrpSHES11O\";s:14:\"password_clear\";s:0:\"\";s:5:\"block\";s:1:\"0\";s:9:\"sendEmail\";s:1:\"1\";s:12:\"registerDate\";s:19:\"2012-09-30 09:57:35\";s:13:\"lastvisitDate\";s:19:\"2016-04-27 04:42:26\";s:10:\"activation\";s:1:\"0\";s:6:\"params\";s:92:\"{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}\";s:6:\"groups\";a:1:{i:8;s:1:\"8\";}s:5:\"guest\";i:0;s:13:\"lastResetTime\";s:19:\"0000-00-00 00:00:00\";s:10:\"resetCount\";s:1:\"0\";s:12:\"requireReset\";s:1:\"0\";s:10:\"\\0\\0\\0_params\";O:24:\"Joomla\\Registry\\Registry\":2:{s:7:\"\\0\\0\\0data\";O:8:\"stdClass\":6:{s:11:\"admin_style\";s:0:\"\";s:14:\"admin_language\";s:0:\"\";s:8:\"language\";s:0:\"\";s:6:\"editor\";s:0:\"\";s:8:\"helpsite\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"separator\";s:1:\".\";}s:14:\"\\0\\0\\0_authGroups\";a:2:{i:0;i:1;i:1;i:8;}s:14:\"\\0\\0\\0_authLevels\";a:4:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;}s:15:\"\\0\\0\\0_authActions\";N;s:12:\"\\0\\0\\0_errorMsg\";N;s:13:\"\\0\\0\\0userHelper\";O:18:\"JUserWrapperHelper\":0:{}s:10:\"\\0\\0\\0_errors\";a:0:{}s:3:\"aid\";i:0;s:6:\"otpKey\";s:0:\"\";s:4:\"otep\";s:0:\"\";s:3:\"gid\";i:1000;}s:13:\"session.token\";s:32:\"6368ee90e0bc6ef67072bc5405f6356f\";}',166,'gkadmin');


--
-- Table structure for table `#__tags`
--



CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__tags`
--


INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES (1,0,0,37,0,'','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2011-01-01 00:00:01','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,1,1,12,1,'joomla-3-0','Joomla! 3.0','joomla-3-0','','<p>Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:44:48','',166,'2013-04-25 16:13:42','{\"image_intro\":\"images\\/gkavatar.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"Joomla! 3.0\",\"image_intro_caption\":\"Joomla! 3.0\",\"image_fulltext\":\"images\\/meetgavern.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(3,2,2,11,2,'joomla-3-0/templates','Templates','templates','','<p>Vestibulum id ligula porta felis euismod semper.</p>',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:45:16','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(4,1,13,14,1,'gavickpro','GavickPro','gavickpro','','<p>Nulla vitae elit libero, a pharetra augue. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:45:38','',166,'2013-04-25 16:50:27','{\"image_intro\":\"images\\/gkavatar.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/gkavatar.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',3,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(5,3,3,4,3,'joomla-3-0/templates/ecommerce','eCommerce','ecommerce','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:45:55','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(6,3,5,6,3,'joomla-3-0/templates/business','Business','business','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:46:07','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(7,3,7,8,3,'joomla-3-0/templates/portfolio','Portfolio','portfolio','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:46:21','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(8,3,9,10,3,'joomla-3-0/templates/social-network','Social Network','social-network','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:46:33','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(9,1,15,16,1,'proffesional','Proffesional','proffesional','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 15:46:43','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(10,1,17,18,1,'meet-gavern','Meet Gavern','meet-gavern','','',1,0,'0000-00-00 00:00:00',1,'','','','',166,'2013-04-25 15:47:27','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(11,1,19,20,1,'features','Features','features','','',1,0,'0000-00-00 00:00:00',1,'','','','',166,'2013-04-25 15:48:47','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(12,1,21,22,1,'community','Community','community','','',1,0,'0000-00-00 00:00:00',1,'','','','',166,'2013-04-25 15:49:27','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(13,1,23,24,1,'blog','Blog','blog','','',1,0,'0000-00-00 00:00:00',1,'','','','',166,'2013-04-25 15:49:54','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(14,1,25,26,1,'magazine','Magazine','magazine','','',1,0,'0000-00-00 00:00:00',1,'','','','',166,'2013-04-25 15:49:54','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(15,1,27,28,1,'extension','Extension','extension','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 17:21:38','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(16,1,29,30,1,'design','Design','design','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 17:21:50','',166,'2013-04-25 17:21:54','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(17,1,31,32,1,'elegant','Elegant','elegant','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 17:22:17','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(18,1,33,34,1,'responsive','Responsive','responsive','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 17:22:24','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),(19,1,35,36,1,'clean','Clean','clean','','',1,0,'0000-00-00 00:00:00',1,'','','','{\"author\":\"\",\"robots\":\"\",\"tags\":null}',166,'2013-04-25 17:22:29','',0,'0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00');


--
-- Table structure for table `#__template_styles`
--



CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__template_styles`
--


INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES (4,'beez3',0,'0','Beez3 - Default','{\"wrapperSmall\":53,\"wrapperLarge\":72,\"logo\":\"\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"left\",\"templatecolor\":\"nature\"}'),(5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),(7,'protostar',0,'0','My Default Style (Protostar)','{\"templateColor\":\"#08C\",\"templateBackgroundColor\":\"#F4F6F7\",\"logoFile\":\"\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),(8,'isis',1,'1','isis - Default','{\"templateColor\":\"\",\"logoFile\":\"\"}'),(9,'meet_gavern',0,'1','meet_gavern - Default','{\"max_page_width\":\"1205\",\"layout_manager\":\"[{\\\"position\\\":\\\"top-wrapper\\\",\\\"type\\\":\\\"wrapper\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"childs\\\":[{\\\"position\\\":\\\"logo\\\",\\\"type\\\":\\\"locked\\\",\\\"width\\\":\\\"span3\\\"},{\\\"position\\\":\\\"mainmenu\\\",\\\"type\\\":\\\"locked\\\",\\\"width\\\":\\\"span9\\\"}],\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"},{\\\"position\\\":\\\"header\\\",\\\"type\\\":\\\"locked\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"},{\\\"position\\\":\\\"top\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"6\\\",\\\"width_mobile\\\":\\\"6\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"6\\\",\\\"width_mobile\\\":\\\"6\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"4\\\",\\\"width_mobile\\\":\\\"6\\\"},{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"4\\\",\\\"width_mobile\\\":\\\"6\\\"},{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"4\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"12\\\",\\\"width_tablet\\\":\\\"12\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"}],\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"},{\\\"position\\\":\\\"content-wrapper\\\",\\\"type\\\":\\\"wrapper\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"childs\\\":[{\\\"position\\\":\\\"mainbody-wrapper\\\",\\\"type\\\":\\\"wrapper\\\",\\\"width\\\":\\\"span9\\\",\\\"childs\\\":[{\\\"position\\\":\\\"breadcrumb\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"12\\\",\\\"width_tablet\\\":\\\"12\\\",\\\"width_mobile\\\":\\\"12\\\"}]},{\\\"position\\\":\\\"mainbody_top\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"12\\\",\\\"width_mobile\\\":\\\"12\\\"}]},{\\\"position\\\":\\\"mainbody\\\",\\\"type\\\":\\\"locked\\\",\\\"width\\\":\\\"row-fluid\\\"},{\\\"position\\\":\\\"mainbody_bottom\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"3\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"}]}]},{\\\"position\\\":\\\"sidebar\\\",\\\"type\\\":\\\"module\\\",\\\"float\\\":\\\"right\\\",\\\"width\\\":\\\"span3\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"sibling\\\":\\\"mainbody-wrapper\\\"}],\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"},{\\\"position\\\":\\\"bottom\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"row-fluid\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"4\\\",\\\"width_mobile\\\":\\\"4\\\"},{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"2\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"2\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"},{\\\"width_desktop\\\":\\\"6\\\",\\\"width_tablet\\\":\\\"3\\\",\\\"width_mobile\\\":\\\"3\\\"}],\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"},{\\\"position\\\":\\\"footer\\\",\\\"type\\\":\\\"module\\\",\\\"width\\\":\\\"span8\\\",\\\"default_width\\\":\\\"5\\\",\\\"advanced\\\":\\\"0\\\",\\\"modules\\\":[{\\\"width_desktop\\\":\\\"12\\\",\\\"width_tablet\\\":\\\"9\\\",\\\"width_mobile\\\":\\\"9\\\"}],\\\"level\\\":0,\\\"pCid\\\":\\\"root\\\",\\\"pID\\\":\\\"layoutManager\\\"}]\",\"font_name_group1\":\"standard;Verdana, Geneva, sans-serif\",\"font_rules_group1\":\"body\",\"font_name_group2\":\"squirrel;Colaborate\",\"font_rules_group2\":\"h1,\\r\\nh2,\\r\\nh3,\\r\\nh4,\\r\\nh5,\\r\\nh6,\\r\\n.gk-blue-button,\\r\\n.gk-yellow-button \",\"font_name_group3\":\"google;own;http:\\/\\/fonts.googleapis.com\\/css?family=Open+Sans:400,300,700;Open Sans\",\"font_rules_group3\":\"#gk-content h2 small\",\"font_name_group4\":\"standard;Arial, Helvetica, sans-serif\",\"font_rules_group4\":\"\",\"logo_type\":\"css\",\"logo_image\":\"\",\"logo_text\":\"Meet Gavern\",\"logo_slogan\":\"Free Joomla! 3.0 Template\",\"favicon_image\":\"\",\"show_category_details\":\"1\",\"framework_logo\":\"1\",\"copyrights\":\"\",\"webmaster_contact_type\":\"email\",\"webmaster_contact\":\"webmaster@gavick.com\",\"google_analytics\":\"\",\"menu_animation\":\"width_height_opacity\",\"menu_speed\":\"fast\",\"submenu_width\":\"200\",\"social_pos\":\"right\",\"fb_api_id\":\"\",\"fb_lang\":\"en_US\",\"fb_login\":\"1\",\"fb_like\":\"1\",\"fb_like_send\":\"1\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"true\",\"fb_like_width\":\"400\",\"fb_like_action\":\"like\",\"fb_like_font\":\"arial\",\"fb_like_colorscheme\":\"light\",\"google_plus\":\"1\",\"google_plus_count\":\"1\",\"google_plus_size\":\"medium\",\"google_plus_lang\":\"en-GB\",\"google_plus_share\":\"1\",\"google_plus_share_annotation\":\"vertical-bubble\",\"google_plus_share_size\":\"20\",\"tweet_btn\":\"1\",\"tweet_btn_data_count\":\"vertical\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"pinterest_btn\":\"1\",\"pinterest_btn_style\":\"horizontal\",\"excluded_arts\":\"\",\"cookie_consent\":\"0\",\"consenttype\":\"explicit\",\"cookie_latest_version\":\"0\",\"cookie_use_ssl\":\"0\",\"banner_position\":\"bottom\",\"banner_tag_placement\":\"bottom-right\",\"cookie_style\":\"dark\",\"refreshOnConsent\":\"0\",\"cookiecss\":\"1\",\"recompile_css\":\"1\",\"recompile_bootstrap\":\"0\",\"usernameless_login\":\"1\",\"css_cache\":\"0\",\"css_compression\":\"0\",\"css_override\":\"1\",\"css_prefixer\":\"0\",\"js_compression\":\"0\",\"css_custom\":\"\",\"chrome_frame_support\":\"1\"}');


--
-- Table structure for table `#__ucm_base`
--



CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__ucm_base`
--


INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES (1,11,1,0),(2,14,6,0),(3,1,3,0),(4,1,2,0),(5,1,4,0);


--
-- Table structure for table `#__ucm_content`
--



CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields';


--
-- Dumping data for table `#__ucm_content`
--


INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES (1,'com_content.article','About Meet Gavern','about-meet-gavern','<p>\r\n     Meet Gavern is based upon a brand new version of the Gavern Framework which features built-in support for Bootstrap.\r\n</p>\r\n<p>\r\n     Meet Gavern is a free template which is available also on the Github repository. If you will need any help - please feel free to ask on the Github issues section for our help.\r\n</p>\r\n<p>\r\n     Currently the Meet Gavern template contains the most important features necessary for the proper work with Joomla! 3. We will implement constantly new features, also the ones suggested by our users.\r\n</p>\r\n<p>\r\n     Please remember that Joomla! 3 is recommended only for the early adopters and we can include big changes in the Meet Gavern template in the future. We have a lot of ideas and we also need your feedback - it will really help us in the template development.\r\n</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',166,'','2012-10-07 22:23:39',166,'2015-09-02 07:29:28','*','2012-10-07 22:23:39','0000-00-00 00:00:00',11,69,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/meetgavern.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"Meet Gavern\",\"image_fulltext_caption\":\"Meet Gavern is a Free Joomla! template\"}','{\"urla\":\"https:\\/\\/github.com\\/GavickPro\\/Meet-Gavern\",\"urlatext\":\"Meet Gavern Github repository\",\"targeta\":\"\",\"urlb\":\"https:\\/\\/www.gavick.com\\/joomla-templates\\/meet-gavern\",\"urlbtext\":\"Meet Gavern Template Details Page\",\"targetb\":\"\",\"urlc\":\"http:\\/\\/twitter.github.com\\/bootstrap\\/index.html\",\"urlctext\":\"Bootstrap official website\",\"targetc\":\"\"}',254,7,0,'','',12,'',1),(2,'com_content.category','Meet Gavern Features','meet-gavern-features','<p>The most important features implemented in the Meet Gavern template.</p>',1,'',0,1,'{\"category_layout\":\"\",\"image\":\"\"}',0,'{\"author\":\"\",\"tags\":[10,4,11],\"robots\":\"\"}',166,'','2012-10-08 15:33:46',0,'2013-04-25 15:48:47','*','0000-00-00 00:00:00','0000-00-00 00:00:00',14,70,'','',0,1,0,'','',12,'',6),(3,'com_contact.contact','GavickPro','contact','012 Lorem Street, 123rd Floor City, GA 0123456-78\r\n',1,'',0,1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_tags\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"articles_display_num\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":false,\"linkb_name\":\"\",\"linkb\":false,\"linkc_name\":\"\",\"linkc\":false,\"linkd_name\":\"\",\"linkd\":false,\"linke_name\":\"\",\"linke\":false,\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',1,'{\"robots\":\"\",\"rights\":\"\"}',166,'','2012-10-07 12:45:53',166,'2016-04-27 04:52:09','*','0000-00-00 00:00:00','0000-00-00 00:00:00',1,71,'images/gkavatar.jpeg','',5,7,1,'','',10,'',3),(4,'com_weblinks.weblink','Joomla! Community','joomla-community','',1,'',0,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}',0,'{\"tags\":[2,4,12],\"robots\":\"\",\"rights\":\"\"}',166,'','2011-01-01 00:00:01',0,'2013-04-25 15:49:27','*','0000-00-00 00:00:00','0000-00-00 00:00:00',1,72,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}','',0,1,1,'','',8,'',2),(5,'com_newsfeeds.newsfeed','Gavick Magazine','gavick-magazine','',1,'',0,1,'{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"newsfeed_layout\":\"\",\"feed_display_order\":\"\"}',0,'{\"tags\":[4,13,14,3],\"robots\":\"\",\"rights\":\"\"}',166,'','2012-10-07 20:08:22',0,'2013-04-25 15:49:54','*','0000-00-00 00:00:00','0000-00-00 00:00:00',1,73,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}','http://www.gavick.com/magazine/?format=feed&type=rss',0,3,1,'','',11,'',4);


--
-- Table structure for table `#__ucm_history`
--



CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__ucm_history`
--




--
-- Table structure for table `#__update_sites`
--



CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Update Sites';


--
-- Dumping data for table `#__update_sites`
--


INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES (1,'Joomla Core','collection','http://update.joomla.org/core/list.xml',1,1461761558,''),(2,'Joomla Extension Directory','collection','http://update.joomla.org/jed/list.xml',0,0,''),(3,'Accredited Joomla! Translations','collection','http://update.joomla.org/language/translationlist_3.xml',1,0,''),(4,'K2 Updates','extension','http://getk2.org/update.xml',1,0,''),(5,'Joomla! Update Component Update Site','extension','http://update.joomla.org/core/extensions/com_joomlaupdate.xml',1,0,''),(6,'Meet Gavern Updates','template','https://www.gavick.com/update_server/joomla3/meet_gavern.xml',1,0,'');


--
-- Table structure for table `#__update_sites_extensions`
--



CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';


--
-- Dumping data for table `#__update_sites_extensions`
--


INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1,700),(2,700),(3,600),(4,10002),(5,28),(6,10000);


--
-- Table structure for table `#__updates`
--



CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Available Updates';


--
-- Dumping data for table `#__updates`
--


INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES (1,1,700,'Joomla','','joomla','file','',0,'3.5.1','','https://update.joomla.org/core/sts/extension_sts.xml','','');


--
-- Table structure for table `#__user_keys`
--



CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_keys`
--




--
-- Table structure for table `#__user_notes`
--



CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_notes`
--




--
-- Table structure for table `#__user_profiles`
--



CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';


--
-- Dumping data for table `#__user_profiles`
--




--
-- Table structure for table `#__user_usergroup_map`
--



CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_usergroup_map`
--


INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES (166,8),(167,2),(477,8);


--
-- Table structure for table `#__usergroups`
--



CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup`  USING BTREE (`lft`,`rgt`) 
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__usergroups`
--


INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES (1,0,1,18,'Public'),(2,1,8,15,'Registered'),(3,2,9,14,'Author'),(4,3,10,13,'Editor'),(5,4,11,12,'Publisher'),(6,1,4,7,'Manager'),(7,6,5,6,'Administrator'),(8,1,16,17,'Super Users'),(9,1,2,3,'Guest');


--
-- Table structure for table `#__users`
--



CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=168 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__users`
--


INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES (166,'Super User','gkadmin','blank@gavick.com','$2y$10$dwfWEftCFcNB5jKgA.xezupsXl5/QxNr5TJl9ih1/gmnrpSHES11O',0,1,'2012-09-30 09:57:35','2016-04-27 12:52:12','0','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}','0000-00-00 00:00:00',0,'','',0),(167,'Company','company','blank@blank.com','47bdcedeaaeee47498338c521f9efd4e:IizRKRYWBD3bcXLrxzrbjsb94o10vOVj',0,0,'2012-10-07 12:46:39','0000-00-00 00:00:00','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}','0000-00-00 00:00:00',0,'','',0);


--
-- Table structure for table `#__viewlevels`
--



CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__viewlevels`
--


INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES (1,'Public',0,'[1]'),(2,'Registered',1,'[6,2,8]'),(3,'Special',2,'[6,3,8]'),(5,'Guest',0,'[9]');











-- Dump completed on 2016-04-27 15:51:06
UPDATE `#__users` SET block=1 WHERE block=0
